% LS time-domain conversion

% Vswing
LSTD.Vsw.DN = 3.6;
LSTD.Vsw.DPDN=3.6;
LSTD.Vsw.SBU =3.6;
LSTD.Vsw.CC = 1.2;

% Risetime (0-100%)
LSTD.Tr.DN   = 4e-9/0.8;
LSTD.Tr.DPDN = 4e-9/0.8;
LSTD.Tr.SBU  = 3.5e-9/0.8;
LSTD.Tr.CC   = 300e-9/0.8;

% Data rate (not important)
LSTD.dataRate.DN   = 12e6;
LSTD.dataRate.DPDN = 12e6;
LSTD.dataRate.SBU  = 50e6;
LSTD.dataRate.CC   = 0.3e6;

% TD coupling limits
LSTD.CC2DPDN.limit=5;
LSTD.CC2SBU.limit=20;

LSTD.DN2CC_CT_Active.limit=110;
LSTD.DN2CC_CT_Idle.limit=255;
LSTD.DN2CC_FF_Active.limit=50;
LSTD.DN2CC_FF_Idle.limit=110;

LSTD.DPDN2CC_Active.limit=35;
LSTD.DPDN2CC_Idle.limit=65;
LSTD.DPDN2SBU.limit=10;

LSTD.SBU2CC_Active.limit=20;
LSTD.SBU2CC_Idle.limit=100;
LSTD.SBU2DPDN.limit=85;
LSTD.SBU2SBU.limit=270;

% Assume the following port configuration
%--------------------------------------------------------------------------
% D+   ==  D+
% D-   ==  D-
% Vbus ==  Vbus
% CC   ==  CC
% SBUA ==  SBUA
% SBUB ==  SBUB

% CC2DPDN
%--------------------------------------------------------------------------
LSTD.CC2DPDN.portReduction=[1 2 3 4 7 8];

% Aggressor and vitim ports
LSTD.CC2DPDN.aggrPorts=[5 6];
LSTD.CC2DPDN.vicPorts=[1 2; 3 4]; 

% Port termination resistance
LSTD.CC2DPDN.aggVic(1,1).R=[45; 45; 45; 45; 33; 5e6];
LSTD.CC2DPDN.aggVic(1,2).R=[45; 45; 45; 45; 33; 5e6];
LSTD.CC2DPDN.aggVic(2,1).R=[45; 45; 45; 45; 5e6; 33];
LSTD.CC2DPDN.aggVic(2,2).R=[45; 45; 45; 45; 5e6; 33];

% Port termination capacitances
LSTD.CC2DPDN.aggVic(1,1).C=[0; 0; 0; 0; 200e-12; 200e-12];
LSTD.CC2DPDN.aggVic(1,2).C=[0; 0; 0; 0; 200e-12; 200e-12];
LSTD.CC2DPDN.aggVic(2,1).C=[0; 0; 0; 0; 200e-12; 200e-12];
LSTD.CC2DPDN.aggVic(2,2).C=[0; 0; 0; 0; 200e-12; 200e-12];

% CC2SBU
%--------------------------------------------------------------------------
LSTD.CC2SBU.portReduction=[7 8 9 10 11 12];

LSTD.CC2SBU.aggrPorts=[1 2];
LSTD.CC2SBU.vicPorts=[3 4 5 6]; 

LSTD.CC2SBU.aggVic(1,1).R=[33; 5e6; 1e6; 45; 45; 45];
LSTD.CC2SBU.aggVic(1,2).R=[33; 5e6; 45; 1e6; 45; 45];
LSTD.CC2SBU.aggVic(1,3).R=[33; 5e6; 45; 45; 1e6; 45];
LSTD.CC2SBU.aggVic(1,4).R=[33; 5e6; 45; 45; 45; 1e6];

LSTD.CC2SBU.aggVic(2,1).R=[5e6; 33; 1e6; 45; 45; 45];
LSTD.CC2SBU.aggVic(2,2).R=[5e6; 33; 45; 1e6; 45; 45];
LSTD.CC2SBU.aggVic(2,3).R=[5e6; 33; 45; 45; 1e6; 45];
LSTD.CC2SBU.aggVic(2,4).R=[5e6; 33; 45; 45; 45; 1e6];   

LSTD.CC2SBU.aggVic(1,1).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.CC2SBU.aggVic(1,2).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.CC2SBU.aggVic(1,3).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.CC2SBU.aggVic(1,4).C=[200e-12; 200e-12; 0; 0; 0; 0];

LSTD.CC2SBU.aggVic(2,1).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.CC2SBU.aggVic(2,2).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.CC2SBU.aggVic(2,3).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.CC2SBU.aggVic(2,4).C=[200e-12; 200e-12; 0; 0; 0; 0];

% DN2CC
%--------------------------------------------------------------------------
LSTD.DN2CC.portReduction=[3 4 7 8];

LSTD.DN2CC.aggrPorts=[1 2];
LSTD.DN2CC.vicPorts=[3 4]; 

LSTD.DN2CC_Act.aggVic(1,1).R=[45;    1.5e3; 5e6; 80];
LSTD.DN2CC_Act.aggVic(1,2).R=[45;    1.5e3; 80;  5e6];
LSTD.DN2CC_Act.aggVic(2,1).R=[1.5e3; 45;    5e6; 80];
LSTD.DN2CC_Act.aggVic(2,2).R=[1.5e3; 45;    80;  5e6];

LSTD.DN2CC_Idl.aggVic(1,1).R=[45;    1.5e3; 5e6; 5e6];
LSTD.DN2CC_Idl.aggVic(1,2).R=[45;    1.5e3; 5e6; 5e6];
LSTD.DN2CC_Idl.aggVic(2,1).R=[1.5e3; 45;    5e6; 5e6];
LSTD.DN2CC_Idl.aggVic(2,2).R=[1.5e3; 45;    5e6; 5e6];

LSTD.DN2CC_Act.aggVic(1,1).C=[0; 0; 200e-12; 200e-12];
LSTD.DN2CC_Act.aggVic(1,2).C=[0; 0; 200e-12; 200e-12];
LSTD.DN2CC_Act.aggVic(2,1).C=[0; 0; 200e-12; 200e-12];
LSTD.DN2CC_Act.aggVic(2,2).C=[0; 0; 200e-12; 200e-12];

LSTD.DN2CC_Idl.aggVic(1,1).C=[0; 0; 200e-12; 200e-12];
LSTD.DN2CC_Idl.aggVic(1,2).C=[0; 0; 200e-12; 200e-12];
LSTD.DN2CC_Idl.aggVic(2,1).C=[0; 0; 200e-12; 200e-12];
LSTD.DN2CC_Idl.aggVic(2,2).C=[0; 0; 200e-12; 200e-12];

% DPDN2CC
%--------------------------------------------------------------------------
LSTD.DPDN2CC.portReduction=[1 2 3 4 7 8];

LSTD.DPDN2CC.aggrPorts=[1 2; 3 4];
LSTD.DPDN2CC.vicPorts=[5 6]; 

LSTD.DPDN2CC_Act.aggVic(1,1).R=[45;    1.5e3;  45;    1.5e3; 80;  5e6];
LSTD.DPDN2CC_Act.aggVic(1,2).R=[45;    1.5e3;  45;    1.5e3; 5e6; 80];
LSTD.DPDN2CC_Act.aggVic(2,1).R=[1.5e3; 45;     1.5e3; 45;    80;  5e6];
LSTD.DPDN2CC_Act.aggVic(2,2).R=[1.5e3; 45;     1.5e3; 45;    5e6; 80];

LSTD.DPDN2CC_Idl.aggVic(1,1).R=[45;    1.5e3; 45;    1.5e3;  5e6; 5e6];
LSTD.DPDN2CC_Idl.aggVic(1,2).R=[45;    1.5e3; 45;    1.5e3;  5e6; 5e6];
LSTD.DPDN2CC_Idl.aggVic(2,1).R=[1.5e3; 45;    1.5e3; 45;     5e6; 5e6];
LSTD.DPDN2CC_Idl.aggVic(2,2).R=[1.5e3; 45;    1.5e3; 45;     5e6; 5e6];

LSTD.DPDN2CC_Act.aggVic(1,1).C=[0; 0; 0; 0; 200e-12; 200e-12];
LSTD.DPDN2CC_Act.aggVic(1,2).C=[0; 0; 0; 0; 200e-12; 200e-12];
LSTD.DPDN2CC_Act.aggVic(2,1).C=[0; 0; 0; 0; 200e-12; 200e-12];
LSTD.DPDN2CC_Act.aggVic(2,2).C=[0; 0; 0; 0; 200e-12; 200e-12];

LSTD.DPDN2CC_Idl.aggVic(1,1).C=[0; 0; 0; 0; 200e-12; 200e-12];
LSTD.DPDN2CC_Idl.aggVic(1,2).C=[0; 0; 0; 0; 200e-12; 200e-12];
LSTD.DPDN2CC_Idl.aggVic(2,1).C=[0; 0; 0; 0; 200e-12; 200e-12];
LSTD.DPDN2CC_Idl.aggVic(2,2).C=[0; 0; 0; 0; 200e-12; 200e-12];

% DPDN2SBU
%--------------------------------------------------------------------------
LSTD.DPDN2SBU.portReduction=[1 2 3 4 9 10 11 12];

LSTD.DPDN2SBU.aggrPorts=[1 2; 3 4];
LSTD.DPDN2SBU.vicPorts=[5 6 7 8]; 

LSTD.DPDN2SBU.aggVic(1,1).R=[45;  1.5e3; 45;  1.5e3; 1e6; 45;  45;  45];
LSTD.DPDN2SBU.aggVic(1,2).R=[45;  1.5e3; 45;  1.5e3; 45;  1e6; 45;  45];
LSTD.DPDN2SBU.aggVic(1,3).R=[45;  1.5e3; 45;  1.5e3; 45;  45;  1e6; 45];
LSTD.DPDN2SBU.aggVic(1,4).R=[45;  1.5e3; 45;  1.5e3; 45;  45;  45;  1e6];

LSTD.DPDN2SBU.aggVic(2,1).R=[1.5e3; 45; 1.5e3; 45; 1e6; 45;  45;  45];
LSTD.DPDN2SBU.aggVic(2,2).R=[1.5e3; 45; 1.5e3; 45; 45;  1e6; 45;  45];
LSTD.DPDN2SBU.aggVic(2,3).R=[1.5e3; 45; 1.5e3; 45; 45;  45;  1e6; 45];
LSTD.DPDN2SBU.aggVic(2,4).R=[1.5e3; 45; 1.5e3; 45; 45;  45;  45;  1e6];

LSTD.DPDN2SBU.aggVic(1,1).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.DPDN2SBU.aggVic(1,2).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.DPDN2SBU.aggVic(1,3).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.DPDN2SBU.aggVic(1,4).C=[0; 0; 0; 0; 0; 0; 0; 0];

LSTD.DPDN2SBU.aggVic(2,1).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.DPDN2SBU.aggVic(2,2).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.DPDN2SBU.aggVic(2,3).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.DPDN2SBU.aggVic(2,4).C=[0; 0; 0; 0; 0; 0; 0; 0];

% SBU2CC
%--------------------------------------------------------------------------
LSTD.SBU2CC.portReduction=[7 8 9 10 11 12];

LSTD.SBU2CC.aggrPorts=[3 4 5 6];
LSTD.SBU2CC.vicPorts=[1 2]; 

LSTD.SBU2CC_Act.aggVic(1,1).R=[5e6; 80;  45;  1e6; 45;  45];
LSTD.SBU2CC_Act.aggVic(2,1).R=[5e6; 80;  1e6; 45;  45;  45];
LSTD.SBU2CC_Act.aggVic(3,1).R=[5e6; 80;  45;  45;  45;  1e6];
LSTD.SBU2CC_Act.aggVic(4,1).R=[5e6; 80;  45;  45;  1e6; 45];

LSTD.SBU2CC_Act.aggVic(1,2).R=[80;  5e6; 45;  1e6; 45;  45];
LSTD.SBU2CC_Act.aggVic(2,2).R=[80;  5e6; 1e6; 45;  45;  45];
LSTD.SBU2CC_Act.aggVic(3,2).R=[80;  5e6; 45;  45;  45;  1e6];
LSTD.SBU2CC_Act.aggVic(4,2).R=[80;  5e6; 45;  45;  1e6; 45];


LSTD.SBU2CC_Act.aggVic(1,1).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Act.aggVic(2,1).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Act.aggVic(3,1).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Act.aggVic(4,1).C=[200e-12; 200e-12; 0; 0; 0; 0];

LSTD.SBU2CC_Act.aggVic(1,2).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Act.aggVic(2,2).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Act.aggVic(3,2).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Act.aggVic(4,2).C=[200e-12; 200e-12; 0; 0; 0; 0];


LSTD.SBU2CC_Idl.aggVic(1,1).R=[5e6; 5e6;  45;  1e6; 45;  45];
LSTD.SBU2CC_Idl.aggVic(2,1).R=[5e6; 5e6;  1e6; 45;  45;  45];
LSTD.SBU2CC_Idl.aggVic(3,1).R=[5e6; 5e6;  45;  45;  45;  1e6];
LSTD.SBU2CC_Idl.aggVic(4,1).R=[5e6; 5e6;  45;  45;  1e6; 45];

LSTD.SBU2CC_Idl.aggVic(1,2).R=[5e6;  5e6; 45;  1e6; 45;  45];
LSTD.SBU2CC_Idl.aggVic(2,2).R=[5e6;  5e6; 1e6; 45;  45;  45];
LSTD.SBU2CC_Idl.aggVic(3,2).R=[5e6;  5e6; 45;  45;  45;  1e6];
LSTD.SBU2CC_Idl.aggVic(4,2).R=[5e6;  5e6; 45;  45;  1e6; 45];


LSTD.SBU2CC_Idl.aggVic(1,1).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Idl.aggVic(2,1).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Idl.aggVic(3,1).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Idl.aggVic(4,1).C=[200e-12; 200e-12; 0; 0; 0; 0];

LSTD.SBU2CC_Idl.aggVic(1,2).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Idl.aggVic(2,2).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Idl.aggVic(3,2).C=[200e-12; 200e-12; 0; 0; 0; 0];
LSTD.SBU2CC_Idl.aggVic(4,2).C=[200e-12; 200e-12; 0; 0; 0; 0];

% SBU2DPDN
%--------------------------------------------------------------------------
LSTD.SBU2DPDN.portReduction=[1 2 3 4 9 10 11 12];

LSTD.SBU2DPDN.aggrPorts=[5 6 7 8];
LSTD.SBU2DPDN.vicPorts=[ 1 2; 3 4]; 

LSTD.SBU2DPDN.aggVic(1,1).R=[45; 45; 45; 45; 45; 1e6; 45; 45];
LSTD.SBU2DPDN.aggVic(2,1).R=[45; 45; 45; 45; 1e6; 45; 45; 45];
LSTD.SBU2DPDN.aggVic(3,1).R=[45; 45; 45; 45; 45; 45;  45; 1e6];
LSTD.SBU2DPDN.aggVic(4,1).R=[45; 45; 45; 45; 45; 45;  1e6; 45];
LSTD.SBU2DPDN.aggVic(1,2).R=[45; 45; 45; 45; 45; 1e6; 45; 45];
LSTD.SBU2DPDN.aggVic(2,2).R=[45; 45; 45; 45; 1e6; 45; 45; 45];
LSTD.SBU2DPDN.aggVic(3,2).R=[45; 45; 45; 45; 45; 45;  45; 1e6];
LSTD.SBU2DPDN.aggVic(4,2).R=[45; 45; 45; 45; 45; 45;  1e6; 45];

LSTD.SBU2DPDN.aggVic(1,1).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.SBU2DPDN.aggVic(2,1).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.SBU2DPDN.aggVic(3,1).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.SBU2DPDN.aggVic(4,1).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.SBU2DPDN.aggVic(1,2).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.SBU2DPDN.aggVic(2,2).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.SBU2DPDN.aggVic(3,2).C=[0; 0; 0; 0; 0; 0; 0; 0];
LSTD.SBU2DPDN.aggVic(4,2).C=[0; 0; 0; 0; 0; 0; 0; 0];

% SBU2SBU
%--------------------------------------------------------------------------
LSTD.SBU2SBU.portReduction=[9 10 11 12];

LSTD.SBU2SBU.aggrPorts=[1 2];
LSTD.SBU2SBU.vicPorts=[3 4]; 

LSTD.SBU2SBU.aggVic(1,1).R=[45;  1e6; 1e6; 45];
LSTD.SBU2SBU.aggVic(1,2).R=[45;  1e6; 45;  1e6];
LSTD.SBU2SBU.aggVic(2,1).R=[1e6; 45;  1e6; 45];
LSTD.SBU2SBU.aggVic(2,2).R=[1e6; 45;  45;  1e6];
LSTD.SBU2SBU.aggVic(1,1).C=[0; 0;  0;  0];
LSTD.SBU2SBU.aggVic(1,2).C=[0; 0;  0;  0];
LSTD.SBU2SBU.aggVic(2,1).C=[0; 0;  0;  0];
LSTD.SBU2SBU.aggVic(2,2).C=[0; 0;  0;  0];

% TD time duration UI*max_time_mult
LSTD.max_time_mult=6;
LSTD.fl=0;
LSTD.fh=1.0e9;
LSTD.npts=3000;

% save
save('LSTD_inputData.mat','LSTD');