function [SDD,SDC]=VNA4spAssemble(mix,rawSp)

% 1- Tx(L)==Tx(R)
SDD21=squeeze(mix{1}.S(1,2,:));
SDD11=squeeze(mix{1}.S(1,1,:));
SDD22=squeeze(mix{1}.S(2,2,:));
SDC12=squeeze(mix{1}.S(1,4,:));
SDC21=squeeze(mix{1}.S(2,3,:));

% 2- Rx(L)==Rx(R)
SDD43=squeeze(mix{2}.S(1,2,:));
SDD33=squeeze(mix{2}.S(1,1,:));
SDD44=squeeze(mix{2}.S(2,2,:));
SDC34=squeeze(mix{2}.S(1,4,:));
SDC43=squeeze(mix{2}.S(2,3,:));

% 3- D+/D-(L)==D+/D-(R)        
SDD65=squeeze(mix{3}.S(1,2,:));        
SDD55=squeeze(mix{3}.S(1,1,:));
SDD66=squeeze(mix{3}.S(2,2,:));        

% 4- Tx(L)==Rx(L)
SDD31=squeeze(mix{4}.S(1,2,:));

% 5- Tx(R)== Rx(R)
SDD42=squeeze(mix{5}.S(1,2,:));

% 6- Tx(L)==D+/D-(L)
SDD51=squeeze(mix{6}.S(1,2,:));
n=length(SDD51);

% 7- Rx(L)==D+/D-(L)
SDD53=squeeze(mix{7}.S(1,2,:));        

% 8- Tx(R)==D+/D-(R)
SDD62=squeeze(mix{8}.S(1,2,:));

% 9- Rx(R)==D+/D-(R)
SDD64=squeeze(mix{9}.S(1,2,:));

% 10- Tx(L)==Rx(R)
SDD41=squeeze(mix{10}.S(1,2,:));

% 11- Tx(R)==Rx(L)
SDD32=squeeze(mix{11}.S(1,2,:));

% 12- Tx(R)==D+/D-(L)
if ~strcmp(rawSp{12}.name,'Not Defined')
    SDD52=squeeze(mix{12}.S(1,2,:));
else
    SDD52(1:n,1)=nan;
end

% 13- Rx(R)==D+/D-(L)
if ~strcmp(rawSp{13}.name,'Not Defined')
    SDD54=squeeze(mix{13}.S(1,2,:));
else
    SDD54(1:n,1)=nan;
end

% 14- Tx(L)==D+/D-(R)
if ~strcmp(rawSp{14}.name,'Not Defined')
    SDD61=squeeze(mix{14}.S(1,2,:));
else
    SDD61(1:n,1)=nan;
end

% 15- Rx(L)==D+/D-(R)
if ~strcmp(rawSp{15}.name,'Not Defined')
    SDD63=squeeze(mix{15}.S(1,2,:));
else
    SDD63(1:n,1)=nan;
end

% Assemble SDD for SDC
SDD.SSIL=[SDD21 SDD43];
SDD.SSRL=[SDD11 SDD22 SDD33 SDD44];
SDD.SSNXT=[SDD31 SDD42];
SDD.SSFXT=[SDD41 SDD32];
SDD.DDIL=SDD65;
SDD.DDRL=[SDD55 SDD66];
SDD.D2SNXT=[SDD51 SDD53 SDD62 SDD64];
SDD.D2SFXT=[SDD52 SDD54 SDD61 SDD63];
SDC.SS=[SDC12 SDC21 SDC34 SDC43];

