function Sc=cascade(Sa,Sb)

% Assume the port assignment is
%    1,2,3,4,..m/2 == m/2+1,m/2+2,...m

m=size(Sa,1);
n=size(Sa,3);

for k=1:n

   Sa1=Sa(1:m/2,1:m/2,k);
   Sa2=Sa(1:m/2,m/2+1:m,k);
   Sa3=Sa(m/2+1:m,1:m/2,k);
   Sa4=Sa(m/2+1:m,m/2+1:m,k);
   Sb1=Sb(1:m/2,1:m/2,k);
   Sb2=Sb(1:m/2,m/2+1:m,k);
   Sb3=Sb(m/2+1:m,1:m/2,k);
   Sb4=Sb(m/2+1:m,m/2+1:m,k);

    a=inv(eye(m/2,m/2)-Sb1*Sa4);
    t1=a*Sb1*Sa3;
    t2=a*Sb2;
    t3=Sa3+Sa4*t1;
    t4=Sa4*t2;
    
    
    
    Sc1=Sa1+Sa2*t1;
    Sc2=Sa2*t2;
    Sc3=Sb3*t3;
    Sc4=Sb4+Sb3*t4;
    
    for i=1:m/2
        for j=1:m/2
            Sc(i,j,k)=Sc1(i,j);
            Sc(i,j+m/2,k)=Sc2(i,j);
            Sc(i+m/2,j,k)=Sc3(i,j);
            Sc(i+m/2,j+m/2,k)=Sc4(i,j);
        end
    end

end
