function [Hnew,fnew]=decayExtrap(H,f,fpad)

%f=f(:);

% form the new frequency array
df=f(2)-f(1); n=length(f);
N=1+floor((fpad-f(1))/df);
fstart=f(1); fend=fstart+(N-1)*df;
fext=[f(n)+5*df:df:fend]';
fnew=[fstart:df:fend]'; 

Hmag=abs(H); Hphi=unwrap(angle(H));
if Hmag(1)==0; Hmag(1)=1e-30; end;
Hdb=20*log10(Hmag); Hdba=Hdb(n); Hphia=Hphi(n);            

if any(Hdb(n-4:n)<-600)
    Hext=[H;zeros(length(fext),1)];
    Hnew=interp1([f;fext],Hext,fnew,'spline');    
else            
    % Magnitude, using the last 5 points to extrapolate
    p=polyfit(f(n-4:n)*1e-6,Hdb(n-4:n),1);
    if p(1) < 0
        Hdbext=p(1)*fext*1e-6+p(2);   
    else
        Hdbb=-100;
        k=(Hdba-Hdbb)/(fend-f(n));
        Hdbext=Hdba-(fext-f(n))*k;
    end
    Hdbext=[Hdb;Hdbext];

    idx_small=find(Hdbext<-600); 
    Hdbext(idx_small)=-600; 

    % Phase using the last 5 points to extrapolate
    p=polyfit(f(n-4:n)*1e-6,Hphi(n-4:n),1);
    if p(1) < 1e-5 
        Hphiext=p(1)*fext*1e-6+p(2);
    else
        Hphib=Hphia-10*pi;
        k=(Hphia-Hphib)/(fend-f(n));
        Hphiext=Hphia-(fext-f(n))*k;    
    end
    Hphiext=[Hphi;Hphiext];

    Hmagext=10.^(Hdbext/20);
    Hext=Hmagext.*exp(sqrt(-1)*Hphiext);
    Hnew=interp1([f;fext],Hext,fnew,'spline');
end
