function resp=getTDresp(sp,aggrPorts,vicPorts,aggVic,tx,max_time,CCisVic);

% Step response if isPr=0 and pulse response if isPr=1
% Apply LP filter if CC is the victim, CCisVic=1

% Convert FD coupling to TD coupling

f=sp.f; S=sp.S; Z0=sp.Z0;
Vsw=tx.Vsw; Tr=tx.Tr; dataRate=tx.dataRate; UI=1/dataRate;

Aggressor_Tbit = 1/dataRate;
time_resolution = Tr/15;
%trunc_time = UI*2; 
trunc_time = max_time; 
delay=0;

[m,m,n]=size(S);
Nagg=size(aggrPorts,2);   
Nvic=size(vicPorts,2);

% For each aggressor port
for ii=1:size(aggrPorts,2)    
    Agg=aggrPorts(:,ii);
    
    % For each victim port
    for jj=1:size(vicPorts,2)
        Vic=vicPorts(:,jj);      
        
        % Apply RC termination
        R=aggVic(ii,jj).R;
        C=aggVic(ii,jj).C;
        
        for k=1:length(f)
            
            % Convert to zp
            zp=s2z(S(:,:,k),Z0);

            A=[];
            for j=1:m
                Zportj=R(j)/(1+sqrt(-1)*C(j)*R(j)*2*pi*f(k));                
                A=[A zp(:,j)/Zportj];
            end
            A=eye(m)+A;
            Z(:,:,k)=inv(A)*zp;
        end
    
        % Equivalent current source       
        tx_mag=Vsw./R(Agg);   
        
        % Get xtalk transfer function
        if length(Agg)==1 & length(Vic)==1      % all SE
            H=tx_mag*squeeze(Z(Vic,Agg,:));
        elseif length(Agg)==1 & length(Vic)==2  % SE aggr, diff vic
            H=tx_mag*(squeeze(Z(Vic(1),Agg,:))-squeeze(Z(Vic(2),Agg,:)));            
        elseif length(Agg)==2 & length(Vic)==1  % diff agg, SE vic
            H=tx_mag(1)*squeeze(Z(Vic,Agg(1),:))-tx_mag(2)*squeeze(Z(Vic,Agg(2),:));            
        end

            %figure(2)
            %hold all
            %semilogx(f,db(H))
            %title('Xtalk Transfer Function')
            
        fpad=3.0e9;
        if f(end)<fpad
            [H1,f1]=decayExtrap(H,f,fpad);
        else
            H1=H; f1=f;
        end
               
        % Add low pass filter
        if CCisVic ==1
            lpfR = 10e3;
            lpfC = 10e-12;
            H1=H1./(1+sqrt(-1)*2*pi*f1*lpfR*lpfC);                  
        end
        
        [t,v,vin]=H2hpulse(f1,H1,Tr,UI,max_time,delay);  
        ID=find(t<=trunc_time);
        t=t(ID);
        wave0=v(ID);        
       
        wave(ii,jj,:) = wave0*1000;
        p2pCoupling(ii,jj)=(max(wave0)-min(wave0))*1000;       
       
    end
end

% Find the max coupling
if Nagg <= 2
    [p2pMax, ind]=max(p2pCoupling(:));
    [ii,jj] = ind2sub(size(p2pCoupling),ind);    
    resp.wave=squeeze(wave(ii,jj,:));    
elseif Nagg == 4
    a=p2pCoupling(1:2,:);
    [p2pMax1, ind]=max(a(:));
    [ii,jj] = ind2sub(size(a),ind);
    resp.wave(:,1)=squeeze(wave(ii,jj,:));
    a=p2pCoupling(3:4,:);
    [p2pMax2, ind]=max(a(:));
    [ii,jj] = ind2sub(size(a),ind);
    resp.wave(:,2)=squeeze(wave(2+ii,jj,:));  
    p2pMax=p2pMax1+p2pMax2;
end
resp.t=t;
resp.p2pMax=p2pMax;
disp(p2pCoupling);
