    % Infomrative and normative spec limits. Those items are hard coded for now
    % based on Rev 1.0 spec. 
    
% Type-C to Type-C Cables, High Speed Signals

    % ---------------------------------------------------------------------
    % Spec limits, Type-C to Type-C, informative
    % ---------------------------------------------------------------------
        inp.f_IL_c2c_gen2=[100e6,2.5e9,5.0e9,10e9,15e9];
        inp.DDIL_c2c_gen2=[-2.0,-4.0,-6,-11,-20];    

        inp.f_IL_c2c_gen1=[100e6,2.5e9,5.0e9];
        inp.DDIL_c2c_gen1=[-3.0,-7.0,-11.5];    % (Xiang 12/11/2020) USB3.2 Gen1 update from -12.0 to -11.5  

        inp.f_RL_c2c = [100e6,5e9, 10e9, 15e9];
        inp.DDRL_c2c = [-18,  -18,  -12, -5];

        inp.f_XT_c2c=[100e6,5e9, 10e9, 15e9];
        inp.DDXT_c2c=[-37,  -37, -32,  -25];    

        inp.f_XT_usb2_c2c=[100e6, 5e9, 7.5e9];
        inp.DDXT_usb2_c2c=[-35,  -35,  -30];
    
    %----------------------------------------------------------------------    
    % Spec limit, normative, Type-C to TypeC
    %----------------------------------------------------------------------
        % ILfitatNq 
        inp.ILfitatNq_c2c_gen2(1)=-4.0;
        inp.ILfitatNq_c2c_gen2(2)=-6.0;
        inp.ILfitatNq_c2c_gen2(3)=-11.0;
        inp.ILfitatNq_c2c_gen1(1)=-7.0;
        inp.ILfitatNq_c2c_gen1(2)=-11.5; % (Xiang 12/11/2020) update USB3.2 Gen1 from -12.0 to -11.5  
        
        % IMR<=coeff(1)*ILfitatNq^2+coeff(2)*ILfitatNq+coeff(3)
        inp.IMR_c2c_gen1_coeff(1)=0.126;
        inp.IMR_c2c_gen1_coeff(2)=3.024;
        inp.IMR_c2c_gen1_coeff(3)=-24.792; % (Xiang 12/11/2020) update USB3.2 Gen1 from -23.392 to -24.792
        inp.IMR_c2c_gen2_coeff(1)=0.126;
        inp.IMR_c2c_gen2_coeff(2)=3.024;
        inp.IMR_c2c_gen2_coeff(3)=-23.392; % (Xiang 12/11/2020) USB3.2 Gen2 
        
        % IRL<=coeff(1)*ILfitatNq^2+coeff(2)*ILfitatNq+coeff(3)
        inp.IRL_c2c_gen1_coeff(1)=0.046;
        inp.IRL_c2c_gen1_coeff(2)=1.812;
        inp.IRL_c2c_gen1_coeff(3)=-10.784; % (Xiang 12/11/2020) update USB3.2 Gen1 from -10.784 to -9.784
        inp.IRL_c2c_gen2_coeff(1)=0.046;
        inp.IRL_c2c_gen2_coeff(2)=1.812;
        inp.IRL_c2c_gen2_coeff(3)=-9.784; % (Xiang 12/11/2020) USB3.2 Gen2 
                
        % SS NEXT and FEXT
        inp.INEXT_c2c=-40;
        inp.IFEXT_c2c=-40;    
        
        % XT on D+/D-
        inp.IDDXT_c2c_fmax=1.2;       % GHz
        inp.IDDXT_c2c_NN_limit=-33;   % dB
        inp.IDDXT_c2c_NF_limit=-34.5; % dB
         
        % Common mode
        inp.f_CM_c2c=[100e6,10e9];
        inp.DCM_c2c_gen1=[-17,-17]; % update 12/17/2020 - Xiang
        inp.DCM_c2c_gen2=[-20,-20];  % update 12/17/2020 - Xiang
        inp.CM_limit_gen1=-17;% update 12/17/2020 - Xiang
        
 % Type-C to Legacy Cables
        
        %------------------------------------------------------------------
        % Spec limit, informtative, Type-C to Legacy
        %------------------------------------------------------------------
        inp.f_IL_legacy=[100e6,2.5e9,5.0e9];
        inp.DDIL_legacy=[-2.0,-4.0,-6];  
        inp.DDIL_legacy_StdA=[-2.0,-3.5,-6];  
        
        inp.f_RL_legacy= [100e6, 5e9];
        inp.DDRL_legacy = [-17,  -17];
        
        inp.f_NEXT_legacy=[100e6,5e9];
        inp.DDNEXT_legacy=[-34,  -34];
        
        inp.f_SS2DD_XT_legacy=[100e6,5e9];
        inp.SS2DD_XT_legacy=[-30,  -30]; 
        
        inp.f_CM_legacy=[100e6,10e9];
        inp.DCM_legacy=[-20,-20];
        
        %------------------------------------------------------------------
        % Spec limit, normative, TypeC to Legacy
        %------------------------------------------------------------------
        inp.ILfitatNq_legacy(1)=-4.0;
        inp.ILfitatNq_legacy(2)=-6.0;
        inp.ILfitatNq_stdA_legacy(1)=-3.5;
        inp.ILfitatNq_stdA_legacy(2)=-6;

        inp.IMR_coeff_legacy(1)=0.126;
        inp.IMR_coeff_legacy(2)=3.024;
        inp.IMR_coeff_legacy(3)=-29.353+5.961+2;  % relaxed by 2dB froom C2C
        % inp.IMR_coeff_legacy(3)=-27.353;

        inp.ISSXT_legacy=-38;
        inp.IDDXT_legacy=-28.5;

        inp.IRL_coeff_legacy(1)=0.046;
        inp.IRL_coeff_legacy(2)=1.812;
        inp.IRL_coeff_legacy(3)=-15.825+5.0410+1;% relaxed by 1dB froom C2C
        %inp.IRL_coeff_legacy(3)=-14.825;
        
        % USB2 D+/D- Attenuation
        inp.f_c2l_dd=[50, 100, 200, 400]; % MHz
        inp.IL_c2l_dd=[-1.02, -1.43, -2.40, -4.35]; % dB
 
 % Type-C to Legacy Adaptors
 
        %------------------------------------------------------------------
        % Spec limit, informtative, TypeC to Legacy Adaptor
        %------------------------------------------------------------------
        inp.f_IL_adaptor=[100e6,2.5e9,5.0e9];
        inp.DDIL_adaptor=[-2.4,-2.4,-3.5];
        
        inp.f_RL_adaptor= [100e6, 5e9];
        inp.DDRL_adaptor = [-15,  -15];
        
        inp.f_NEXT_adaptor=[100e6,5e9];
        inp.DDNEXT_adaptor=[-40,  -40];
        
        inp.f_SS2DD_XT_adaptor=[100e6,2.5e9];
        inp.SS2DD_XT_adaptor=[-30,  -30]; 
        
        inp.f_CM_adaptor=[100e6,7.5e9];
        inp.DCM_adaptor=[-15,-15];
    
        %------------------------------------------------------------------
        % Spec limit, normative, Type-C to Legacy Adaptor
        %------------------------------------------------------------------
        inp.ILfitatNq_adaptor=[-2.4,-3.5];
        inp.IMR_adaptor=[-34,-27];
        inp.ISSXT_adaptor=-37;
        inp.IDDXT_adaptor=-30;        
        inp.IRL_adaptor=[-14.5,-12.0];
        inp.CM_limit=-20;
        inp.CM_adaptor_limit=-15;
        
        % USB2 D+/D- Attenuation
        inp.f_adator_dd=[50 400];      % MHz
        inp.IL_adaptor_dd=[-0.7 -0.7]; % dB
 
% Type-C to Type-C Cables, Low Speed Signals

        %------------------------------------------------------------------
        % Spec limits, Type-C to Type-C (low speed signaling), normative
        %------------------------------------------------------------------
        inp.f_CC_USB2_COUPLING=[300e3,1e6,10e6,16e6,100e6];
        inp.CC_USB2_COUPLING=[-60.5,-50.0,-30,-26,-26]; 

        inp.f_VBUS_USB2_COUPLING=[300e3,1e6,30e6,100e6];
        inp.VBUS_USB2_COUPLING=[-40,-40,-40,-30];    

        inp.f_VBUS_COUPLING=[300e3,1e6,10e6,100e6];
        inp.VBUS_COUPLING=[-40,-40,-20,-20];    

        inp.f_SBU_SBU_COUPLING = [300e3,1e6,10e6,11.2e6,100e6];
        inp.SBU_SBU_COUPLING = [-56.5,-46,-26,-25,-25]; 
        
        inp.f_SBU_CC_COUPLING = [300e3,1e6,18e6,100e6];
        inp.SBU_CC_COUPLING = [-65,-55,-30,-30]; 
        
        inp.f_SBU_USB2_COUPLING = [300e3,30e6,100e6];
        inp.SBU_USB2_COUPLING = [-80,-40,-40];
        
        inp.f_cc_usbDminus_charge = [300e3,1e6,10e6,100e6];
        inp.cc_usbDminus_charge_coupling = [-48.5,-38,-18,-18];
        
        inp.f_cc_usbDminus_full = [300e3,10e6,11.8e6,100e6];
        inp.cc_usbDminus_full_coupling = [-58,-27.5,-26,-26]; 
               
        % USB2 D+/D- Attenuation
        inp.f_c2c_dd=[50, 100, 200, 400]; % MHz
        inp.IL_c2c_dd=[-1.02, -1.43, -2.40, -4.35]; % dB
        
        % SBU IL
        inp.f_sbu=[0.5, 1, 10, 25, 50, 100]; % MHz
        inp.IL_sbu=[-2.0, -4.0, -9.0, -10.7, -11.9, -13.0]; % dB        
        
    
% Shielding effectiveness
        
        %------------------------------------------------------------------
        % Spec limit, informtative, TypeC RFI
        %------------------------------------------------------------------
        inp.f_RFI_1=[500e6,1.59e9,1.6e9,4e9];
        inp.f_RFI_2=[5e9,6e9];
        
        inp.RFI_diff_typeC_1=[-55,-55,-50,-50];
        inp.RFI_diff_typeC_2=[-50,-50];
        inp.RFI_comm_typeC_1=[-40,-40,-35,-35];
        inp.RFI_comm_typeC_2=[-35,-35];

        inp.RFI_diff_legacy_1=[-49,-49,-44,-44];
        inp.RFI_diff_legacy_2=[-44,-44];
        inp.RFI_comm_legacy_1=[-34,-34,-29,-29];
        inp.RFI_comm_legacy_2=[-29,-29];
        
        inp.RFI_diff_adaptor_1=[-44,-44,-39,-39];
        inp.RFI_diff_adaptor_2=[-39,-39];
        inp.RFI_comm_adaptor_1=[-29,-29,-24,-24];
        inp.RFI_comm_adaptor_2=[-24,-24];

% Control Parameters    
    
    % Input / control parameters
    %----------------------------------------------------------------------    
    inp.fNq=[2.5e9,5.0e9,10e9];                  % Nyquist frequencies
    inp.Tb=0.5./inp.fNq;                         % Unit interval
    inp.Tr=0.4*inp.Tb;                           % Rise time
    inp.Zref=42.5;                               % Ref impedance
    inp.fmax_c2c=[7.5e9,10e9,12.5e9];            % Truncation frequency
    inp.fmax_c2l=[7.5e9,10e9];                   % Truncation frequency
    inp.fmax_c2la=7.5e9;                         % For adaptor
    
    % Frequency array for high speed signaling
    inp.flo=10e6;
    inp.fhi=15e9;
    inp.fstep=10e6;
    inp.freq=[inp.flo:inp.fstep:inp.fhi]';
    
    % Frequency array for FRI coupling
    inp.flo_RFI_1=0.5e9;
    inp.fhi_RFI_1=4e9;
    inp.flo_RFI_2=5e9;
    inp.fhi_RFI_2=6e9;
    inp.freq_RFI_1=[inp.flo_RFI_1:inp.fstep:inp.fhi_RFI_1];
    inp.freq_RFI_2=[inp.flo_RFI_2:inp.fstep:inp.fhi_RFI_2];
    inp.freq_RFI=[inp.freq_RFI_1,inp.freq_RFI_2];

    % Frequency array for low speed signaling
    inp.flo_low=300e3;
    inp.fhi_low=100e6;
    inp.fstep_low=1e5;
    inp.freq_low=[inp.flo_low:inp.fstep_low:inp.fhi_low]';  
    inp.Z0_low=50;
    
    % Frequency range to extract inductances
    inp.flower_low=500e3; 
    inp.fupper_low=2e6;    
    
    % Vbus bulk caps
    inp.Cbulk1=10e-6;
    inp.Cbulk2=1e-6;
   
    % save
    save('inputData.mat','inp');