function [mix,f]=renomAndmixMode(Zref,n,m,rawSp)

% Matrix to convert to mixed mode
    M=zeros(m,m);
    for i=1:2:m/2-1
        M(i,2*i-1)=1; M(i,2*i+1)=-1;
        M(i+m/2,2*i-1)=1; M(i+m/2,2*i+1)=1;
    end
    for i=2:2:m/2
        M(i,2*i-2)=1; M(i,2*i)=-1;
        M(i+m/2,2*i-2)=1; M(i+m/2,2*i)=1;
    end
    M=M/sqrt(2);
    Minv=inv(M);    
    
    for i=1:n        
        if ~strcmp(rawSp{i}.name,'Not Defined')           
            f=rawSp{i}.f;
            S=rawSp{i}.S;
            Z0=rawSp{i}.Z0;

            % Renoramlize impedance
            if Zref ~= Z0
            rho=(Zref-Z0)/(Zref+Z0);
                for k=1:size(S,3)
                    S(:,:,k)=inv(eye(m,m)-rho*S(:,:,k))*(S(:,:,k)-rho*eye(m,m));
                end
            end
            % Connvert to mixed mode
            for k=1:size(S,3)
                mix{i}.S(:,:,k)=M*S(:,:,k)*Minv;
            end
        else
            mix{i}.S=[];
        end            
    end
        