function varargout = IntePar(varargin)
% INTEPAR MATLAB code for IntePar.fig
%      INTEPAR, by itself, creates a new INTEPAR or raises the existing
%      singleton*.
%
%      H = INTEPAR returns the handle to a new INTEPAR or the handle to
%      the existing singleton*.
%
%      INTEPAR('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in INTEPAR.M with the given input arguments.
%
%      INTEPAR('Property','Value',...) creates a new INTEPAR or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before IntePar_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to IntePar_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help IntePar

% Last Modified by GUIDE v2.5 29-Jun-2017 11:13:04

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @IntePar_OpeningFcn, ...
                   'gui_OutputFcn',  @IntePar_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before IntePar is made visible.
function IntePar_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to IntePar (see VARARGIN)

% Choose default command line output for IntePar
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes IntePar wait for user response (see UIRESUME)
% uiwait(handles.figure1);

%==========================================================================

% Initialization

    % Addpath
    % addpath('Include');

    % Store application data to be shared throughout the program
    setappdata(0, 'hMainGui', gcf);
    hMainGui = getappdata(0, 'hMainGui');
    
    % Load input data from inputData.mat, which includes spec limits and
    % other control parameters. 
    load inputData.mat;
    
    % Save input data
    setappdata(hMainGui,'inp',inp);
    
    % Set cable type popupmenu
    popupStr={'1. Type-C to Type-C, Gen 2 (High Speed)';...
              '2. Type-C to Type-C, Gen 1 (High Speed)';...
              '3. Type-C to Type-C Port-to-Port Crosstalk (Gen 1 and Gen 2)';...
              '4. Type-C to Type-C (Low Speed, Full-Featured)';...
              '5. Type-C to Type-C (Low Speed, Charging-Through)';...
              '6. Type-C to Legacy Cable';...
              '7. Type-C to Legacy Adaptor';...
              '8. Shielding Effectiveness (Type-C to Type-C)';...
              '9. Shielding Effectiveness (Type-C to Legacy)';...
              '10. Shielding Effectiveness (Type-C to Legacy Adaptor)'};
    set(handles.popupmenu_cabletype,'String',popupStr);
    
    % Default VNA is 8 port
    set(handles.checkbox_VNA_8,'Value',1);
    set(handles.edit_Spara_1,'String','Tx(L), Tx(R), Rx(L), Rx(R)');    
    set(handles.edit_port_1,'String','[1,2,3,4,5,6,7,8]');  
    set(handles.edit_Spara_2,'String','Tx(L), Tx(R), D+/D-(L), D+/D-(R)');    
    set(handles.edit_port_2,'String','[1,2,3,4,9,10,11,12]');  
    set(handles.edit_Spara_3,'String','Rx(L), Rx(R), D+/D-(L), D+/D-(R)');    
    set(handles.edit_port_3,'String','[5,6,7,8,9,10,11,12]');  
    
    % Initialize the output table
    columnname = {'Value', 'Criteria','Pass/Fail'};
    set(handles.uitable_result,'ColumnName', columnname);
    set(handles.uitable_result,'ColumnWidth',{100,100,100});
    rowname = {'ILfit@2.5GHz, dB','ILfit@5.0GHz, dB', 'ILfit@10.0GHz, dB',...
               'IMR, dB', 'IRL, dB','INEXT, dB','IFEXT, dB','SCD12/SCD21, dB',...
               'D+/D- IL@50MHz, dB','D+/D- IL@100MHz, dB','D+/D- IL@200MHz, dB',...
               'D+/D- IL@400MHz, dB','IDDXT (2NEXT), dB','IDDXT (1NEXT+1FEXT), dB'}; 
    set(handles.uitable_result,'RowName', rowname);

    axes(handles.axes_plot)
    imshow(imread('high_speed_typeC.jpg')); 
    set(handles.pushbutton_import,'Enable','off');
    set(handles.pushbutton_compliance,'Enable','off');
    
    set(handles.pushbutton_Save,'Enable','off');
    set(handles.edit_resultFile,'Enable','off');
    set(handles.checkbox5,'Value',0);
    set(handles.checkbox5,'Enable','off');
    set(handles.checkbox8,'Value',0);
    set(handles.checkbox8,'Enable','off');
    
% --- Outputs from this function are returned to the command line.
function varargout = IntePar_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes on button press in pushbutton_load_config.
function pushbutton_load_config_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_config (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    % Get the MainGui handle hMainGui
    hMainGui = getappdata(0, 'hMainGui');
    
    % Get the file
    [FileName,PathName] = uigetfile({'*.xlsx';'*.xls'},'Select the config spreadsheet');
    if (FileName ~= 0)
        set(handles.popupmenu_config,'String',[PathName,FileName]);
        set(handles.pushbutton_import,'Enable','on');
            % Load configuration spreadsheet    
    [num,txt,raw]=xlsread([PathName,FileName]);
    
    % Cable type
    cableType=raw{2,2};
    axes(handles.axes_plot)
    set(handles.popupmenu_cabletype,'Value',cableType);
    if cableType == 1 % type C to type C Gen 2
       columnname = {'Value', 'Criteria','Pass/Fail'};     
       rowname = {'ILfit@2.5GHz, dB','ILfit@5.0GHz, dB', 'ILfit@10.0GHz, dB',...
               'IMR, dB', 'IRL, dB','INEXT, dB','IFEXT, dB','SCD12/SCD21, dB',...
               'D+/D- IL@50MHz, dB','D+/D- IL@100MHz, dB','D+/D- IL@200MHz, dB',...
               'D+/D- IL@400MHz, dB','IDDXT (2NEXT), dB','IDDXT (1NEXT+1FEXT), dB'}; 
       imshow(imread('high_speed_typeC.jpg'))
    elseif cableType == 2 % type C to type C Gen 1
       columnname = {'Value', 'Criteria','Pass/Fail'};    
       rowname = {'ILfit@2.5GHz, dB','ILfit@5.0GHz, dB',...
               'IMR, dB', 'IRL, dB','INEXT, dB','IFEXT, dB','SCD12/SCD21, dB',...
               'D+/D- IL@50MHz, dB','D+/D- IL@100MHz, dB','D+/D- IL@200MHz, dB',...
               'D+/D- IL@400MHz, dB','IDDXT (2NEXT), dB','IDDXT (1NEXT+1FEXT), dB'};
       imshow(imread('high_speed_typeC.jpg'))
    elseif cableType == 3
        columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'};
        rowname = {'Tx1 to Tx2 INEXT','Tx1 to Rx2 INEXT',...
                   'Tx2 to Rx1 INEXT','Rx1 to Rx2 INEXT'};         
        imshow(imread('port2portXT.jpg'))            

    elseif cableType == 4 % type C to type C low speed
        columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'};   
        rowname = {'CC to D+/D-','CC to D-','VBUS to D+/D-',...
            'SBU_A/SBU_B to CC',...
            'SBU_A/SBU_B to D+/D-','SBU_A to SBU_B','VBUS Lloop',...
            'VBUS Cap', 'M(VBUS,D+)/M(VBUS,D-)',...
            'M(VBUS,CC)','M(VBUS,SBU_A)/M(VBUS,SBU_B)',...
            'SBU IL @ 0.5 MHz', 'SBU IL @ 1 MHz', 'SBU IL @ 10 MHz',...
            'SBU IL @ 25 MHz', 'SBU IL @ 50 MHz', 'SBU IL @ 100 MHz'};
        imshow(imread('low_speed_typeC_12port.jpg'))
        setappdata(hMainGui,'tableData_TD_Full',[]);
        setappdata(hMainGui,'tableData_TD_Partial',[]);
    
    elseif cableType == 5
        columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'}; 
        rowname = {'CC to D+/D-','CC to D- (CT)','VBUS to D+/D-',...
                   'VBUS Lloop','M(VBUS,D+)/M(VBUS,D-)',...
                   'M(VBUS,CC)'}; 
        imshow(imread('low_speed_typeC_CT.jpg'))
        setappdata(hMainGui,'tableData_TD_Full',[]);
        setappdata(hMainGui,'tableData_TD_Partial',[]);
    
    elseif cableType == 6 % type C to legacy cable
        columnname = {'Value', 'Criteria','Pass/Fail'};   
        rowname = {'ILfit@2.5GHz, dB','ILfit@5.0GHz, dB',...
                   'IMR, dB', 'IRL, dB','ISSXT, dB','IDDXT, dB','SCD12/SCD21, dB',...
                   'D+/D- IL@50MHz, dB','D+/D- IL@100MHz, dB','D+/D- IL@200MHz, dB',...
                   'D+/D- IL@400MHz, dB'}; 
        imshow(imread('high_speed_typeC.jpg'))
    
    elseif cableType == 7 % type C to legacy adaptor
        columnname = {'Value', 'Criteria','Pass/Fail'};   
        rowname = {'ILfit@2.5GHz, dB','ILfit@5.0GHz, dB',...
                   'IMR@2.5GHz, dB','IMR@5.0GHz, dB', 'IRL@2.5GHz, dB','IRL@5.0GHz, dB',...
                   'ISSXT, dB','IDDXT, dB','SCD12 and SCD21, dB',...
                   'D+/D- IL@400MHz, dB'};   
        imshow(imread('high_speed_typeC.jpg'))
    
    elseif cableType == 8 | cableType == 9 | cableType == 10 % shielding effectiveness
        columnname = {'Margin','Pass/Fail'};        
        rowname = {'Differential Coupling','Common Mode Coupling'};
        imshow(imread('RFI_typeC.jpg'))        
        
    end
    set(handles.uitable_result,'ColumnName', columnname);
    set(handles.uitable_result,'RowName', rowname);
    
    % VNA port
    VNAport=raw{3,2};
    
    tag_pushbutton = [handles.pushbutton_load_Spara_1 handles.pushbutton_load_Spara_2 ...
         handles.pushbutton_load_Spara_3 handles.pushbutton_load_Spara_4 ...
         handles.pushbutton_load_Spara_5 handles.pushbutton_load_Spara_6 ...
         handles.pushbutton_load_Spara_7 handles.pushbutton_load_Spara_8 ...
         handles.pushbutton_load_Spara_9 handles.pushbutton_load_Spara_10 ...
         handles.pushbutton_load_Spara_11 handles.pushbutton_load_Spara_12 ...
         handles.pushbutton_load_Spara_13 handles.pushbutton_load_Spara_14 ...
         handles.pushbutton_load_Spara_15];
    tag_Spara =[handles.edit_Spara_1 handles.edit_Spara_2 ... 
        handles.edit_Spara_3 handles.edit_Spara_4 ...
        handles.edit_Spara_5 handles.edit_Spara_6 ...
        handles.edit_Spara_7 handles.edit_Spara_8 ...
        handles.edit_Spara_9 handles.edit_Spara_10 ...
        handles.edit_Spara_11 handles.edit_Spara_12 ...
        handles.edit_Spara_13 handles.edit_Spara_14 ...
        handles.edit_Spara_15 ];
    tag_port = [handles.edit_port_1 handles.edit_port_2 ...
        handles.edit_port_3 handles.edit_port_4 ...
        handles.edit_port_5 handles.edit_port_6 ...
        handles.edit_port_7 handles.edit_port_8 ...
        handles.edit_port_9 handles.edit_port_10 ...
        handles.edit_port_11 handles.edit_port_12 ...
        handles.edit_port_13 handles.edit_port_14 ...
        handles.edit_port_15 ];
   
    if VNAport == 12
        set(handles.checkbox_VNA_12,'Value', 1);
        set(handles.checkbox_VNA_8,'Value', 0);
        set(handles.checkbox_VNA_4,'Value', 0);
    elseif VNAport == 8
        set(handles.checkbox_VNA_12,'Value', 0);
        set(handles.checkbox_VNA_8,'Value', 1);
        set(handles.checkbox_VNA_4,'Value', 0);
    elseif VNAport == 4
        set(handles.checkbox_VNA_12,'Value', 0);
        set(handles.checkbox_VNA_8,'Value', 0);
        set(handles.checkbox_VNA_4,'Value', 1);     
    end
    
    for i=1:15
          set(tag_pushbutton(i),'Enable','off');
          set(tag_Spara(i),'String','');
          set(tag_Spara(i),'Enable','off');
          set(tag_port(i),'String','');
          set(tag_port(i),'Enable','off');
    end
      
    for k=1:(size(raw,1)-3)/2
        if ~isnan(raw{2*k+2,2})
             set(tag_pushbutton(k),'Enable','on'); 
             set(tag_Spara(k),'String',raw{2*k+2,2});
             set(tag_Spara(k),'Enable','on');
             set(tag_port(k),'String',raw{2*k+3,2});
             set(tag_port(k),'Enable','on');
             
        else            
        % exit the loop    
        end
    end
    
    PathFile=raw{2*1+2,2};
    ID=max(find(PathFile=='\'));
    PathName=PathFile(1:ID);
    
    % Create a directory for results
    resultsPathName=[PathName,'results'];
    if ~isdir(resultsPathName)
        mkdir(resultsPathName)
    end
    resultsPathName=[resultsPathName,'\'];
    
    if cableType == 1
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_HSgen2_VendorName_Sample#_Tx#Rx#DD']);
    elseif cableType == 2
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_HSgen1_VendorName_Sample#_Tx#Rx#DD']);
    elseif cableType == 3
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_HS_VendorName_Sample#_p2pXT']); 
    elseif cableType == 4
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_FF_LS_VendorName_Sample#']);
    elseif cableType == 5
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_CT_LS_VendorName_Sample#']);    
    elseif cableType == 6 
        set(handles.edit_resultFile,'String',[resultsPathName,'C2Legacy_VendorName_Sample#']);
    elseif cableType == 7 
        set(handles.edit_resultFile,'String',[resultsPathName,'Adaptor_VendorName_Sample#']);
    elseif cableType == 8
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_RFI_VendorName_Sample#']); 
    elseif cableType == 9
        set(handles.edit_resultFile,'String',[resultsPathName,'C2Legacy_RFI_VendorName_Sample#']);
    elseif cableType == 10
        set(handles.edit_resultFile,'String',[resultsPathName,'Adaptor_RFI_VendorName_Sample#']);
    end        
        
    set(handles.popupmenu_rawSpara,'String','Empty');
    set(handles.popupmenu_rawSpara,'Value',1);
    set(handles.popupmenu_port,'String','1,1');
    set(handles.popupmenu_port,'Value',1);
    set(handles.popupmenu_Spec,'String','Empty');
    set(handles.popupmenu_Spec,'Value',1);
    set(handles.uitable_result,'Data','');
    set(handles.pushbutton_compliance,'Enable','off');
    
    end
    
    set(handles.pushbutton_Save,'Enable','off');
    set(handles.edit_resultFile,'Enable','off');
    set(handles.checkbox5,'Value',0);
    set(handles.checkbox5,'Enable','off');
    set(handles.checkbox8,'Value',0);
    set(handles.checkbox8,'Enable','off');
    
% --- Executes on selection change in popupmenu_config.
function popupmenu_config_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu_config (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu_config contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu_config


% --- Executes during object creation, after setting all properties.
function popupmenu_config_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu_config (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_1.
function pushbutton_load_Spara_1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    % Get the MainGui handle hMainGui
    hMainGui = getappdata(0, 'hMainGui');
    
    % Check VNA ports
    val1=get(handles.checkbox_VNA_12,'Value');
    val2=get(handles.checkbox_VNA_8,'Value');
    val3=get(handles.checkbox_VNA_4,'Value');
    
    cableType=get(handles.popupmenu_cabletype,'Value');
        
    % Get file name
    open_name=['Import S-parameters'];
    if val1
        [FileName,PathName] = uigetfile({'*.s12p';'*.s16p';'*.s20p'},open_name);
    elseif val2
        [FileName,PathName] = uigetfile({'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name);
    elseif val3
        [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name);
    end
    
    % Create a directory for results
    resultsPathName=[PathName,'results'];
    if ~isdir(resultsPathName)
        mkdir(resultsPathName)
    end
    resultsPathName=[resultsPathName,'\'];
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];
    setappdata(hMainGui,'current_path',PathName);
       
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.popupmenu_rawSpara,'String','Empty');
        set(handles.popupmenu_rawSpara,'Value',1);
        set(handles.popupmenu_port,'String','1,1');
        set(handles.popupmenu_port,'Value',1);
        set(handles.popupmenu_Spec,'String','Empty');
        set(handles.popupmenu_Spec,'Value',1);
        set(handles.uitable_result,'Data','');
        set(handles.pushbutton_import,'Enable','off');
        set(handles.pushbutton_compliance,'Enable','off');
  
        if val1
            set(handles.edit_port_1,'String','[1 2 3 4 5 6 7 8 9 10 11 12]');
        elseif val2
            set(handles.edit_port_1,'String','[1 2 3 4 5 6 7 8]');
        elseif val3
            set(handles.edit_port_1,'String','[1 2 3 4]');
        end
        
        set(handles.edit_Spara_1,'String',spName);
        set(handles.pushbutton_import,'Enable','on');
        
    end    
    
    if cableType == 1
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_HSgen2_VendorName_Sample#_Tx#Rx#DD']);
    elseif cableType == 2
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_HSgen1_VendorName_Sample#_Tx#Rx#DD']);
    elseif cableType == 3
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_HS_VendorName_Sample#_p2pXT']);    
    elseif cableType == 4
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_FF_LS_VendorName_Sample#']);
    elseif cableType == 5
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_CT_LS_VendorName_Sample#']);    

    elseif cableType == 6 
        set(handles.edit_resultFile,'String',[resultsPathName,'C2Legacy_VendorName_Sample#']);
    elseif cableType == 7 
        set(handles.edit_resultFile,'String',[resultsPathName,'Adaptor_VendorName_Sample#']);
    elseif cableType == 8
        set(handles.edit_resultFile,'String',[resultsPathName,'C2C_RFI_VendorName_Sample#']); 
    elseif cableType == 9
        set(handles.edit_resultFile,'String',[resultsPathName,'C2Legacy_RFI_VendorName_Sample#']);   
    end
    
    set(handles.pushbutton_Save,'Enable','off');
    set(handles.edit_resultFile,'Enable','off');
    
function edit_Spara_1_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_1 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_1 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


function edit_port_1_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_1 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_1 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_2.
function pushbutton_load_Spara_2_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    % Get the MainGui handle hMainGui
    hMainGui = getappdata(0, 'hMainGui');
    
    % Check VNA ports
    val2=get(handles.checkbox_VNA_8,'Value');
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];
    if val2
        if (current_path ~=0 )
            [FileName,PathName] = uigetfile({'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
        else
            [FileName,PathName] = uigetfile({'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
        end 
    else
        if (current_path ~=0 )
            [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
        else
            [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
        end
    end
   
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
   if (FileName ~= 0)
        set(handles.edit_Spara_2,'String',spName);
        if val2
            set(handles.edit_port_2,'String','[1 2 3 4 5 6 7 8]');    
        else
            set(handles.edit_port_2,'String','[1 2 3 4]');
    end
   end
    

function edit_Spara_2_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_2 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_2 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_2_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_2 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_2 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_3.
function pushbutton_load_Spara_3_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    % Get the MainGui handle hMainGui
    hMainGui = getappdata(0, 'hMainGui');
    
    % Check VNA ports
    val2=get(handles.checkbox_VNA_8,'Value');
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];
    if val2
        if (current_path ~=0 )
            [FileName,PathName] = uigetfile({'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
        else
            [FileName,PathName] = uigetfile({'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
        end 
    else
        if (current_path ~=0 )
            [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
        else
            [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
        end
    end
   
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_3,'String',spName);
        if val2
            set(handles.edit_port_3,'String','[1 2 3 4 5 6 7 8]');    
        else
            set(handles.edit_port_3,'String','[1 2 3 4]');
        end
   end

% 
% function edit_Spara_3_Callback(hObject, eventdata, handles)
% % hObject    handle to edit_Spara_3 (see GCBO)
% % eventdata  reserved - to be defined in a future version of MATLAB
% % handles    structure with handles and user data (see GUIDATA)
% 
% % Hints: get(hObject,'String') returns contents of edit_Spara_3 as text
% %        str2double(get(hObject,'String')) returns contents of edit_Spara_3 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% 
% function edit_port_3_Callback(hObject, eventdata, handles)
% % hObject    handle to edit_port_3 (see GCBO)
% % eventdata  reserved - to be defined in a future version of MATLAB
% % handles    structure with handles and user data (see GUIDATA)
% 
% % Hints: get(hObject,'String') returns contents of edit_port_3 as text
% %        str2double(get(hObject,'String')) returns contents of edit_port_3 as a double
% 

% --- Executes during object creation, after setting all properties.
function edit_port_3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_4.
function pushbutton_load_Spara_4_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_4,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_4,'String',spName);
   end


function edit_Spara_4_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_4 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_4 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_4_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_4 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_4 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_5.
function pushbutton_load_Spara_5_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_5,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_5,'String',spName);
   end

function edit_Spara_5_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_5 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_5 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_5_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_5 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_5 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_6.
function pushbutton_load_Spara_6_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_6,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_6,'String',spName);
   end

function edit_Spara_6_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_6 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_6 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_6_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_6_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_6 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_6 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_6_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_7.
function pushbutton_load_Spara_7_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_7,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_7,'String',spName);
   end
    
function edit_Spara_7_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_7 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_7 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_7_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_7_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_7 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_7 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_7_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_8.
function pushbutton_load_Spara_8_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_8,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_8,'String',spName);
   end

function edit_Spara_8_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_8 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_8 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_8_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_8_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_8 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_8 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_8_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_9.
function pushbutton_load_Spara_9_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_9,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_9,'String',spName);
   end
    
function edit_Spara_9_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_9 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_9 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_9_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_9_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_9 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_9 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_9_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton11.
function pushbutton11_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



function edit19_Callback(hObject, eventdata, handles)
% hObject    handle to edit19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit19 as text
%        str2double(get(hObject,'String')) returns contents of edit19 as a double


% --- Executes during object creation, after setting all properties.
function edit19_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit20_Callback(hObject, eventdata, handles)
% hObject    handle to edit20 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit20 as text
%        str2double(get(hObject,'String')) returns contents of edit20 as a double


% --- Executes during object creation, after setting all properties.
function edit20_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit20 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in checkbox_VNA_12.
function checkbox_VNA_12_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox_VNA_12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox_VNA_12
    set(handles.popupmenu_rawSpara,'String','Empty');
    set(handles.popupmenu_rawSpara,'Value',1);
    set(handles.popupmenu_port,'String','1,1');
    set(handles.popupmenu_port,'Value',1);
    set(handles.popupmenu_Spec,'String','Empty');
    set(handles.popupmenu_Spec,'Value',1);
    set(handles.uitable_result,'Data','');
    set(handles.pushbutton_import,'Enable','off');
    set(handles.pushbutton_compliance,'Enable','off');
    
    cableType=get(handles.popupmenu_cabletype,'Value');

    set(handles.checkbox_VNA_12,'Value',1);
    set(handles.checkbox_VNA_8,'Value',0);
    set(handles.checkbox_VNA_4,'Value',0);
   
    if cableType == 1 | cableType == 2 | cableType == 6 | cableType == 7   
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Tx(L), Tx(R), Rx(L), Rx(R), D+/D-(L), D+/D-(R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4,5,6,7,8,9,10,11,12]');      
    axes(handles.axes_plot)
    imshow(imread('high_speed_typeC.jpg')); 
   
    elseif cableType == 3
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Tx1, Tx2, Rx1, Rx2');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4,5,6,7,8,*,*,*,*]');       
    axes(handles.axes_plot)
    imshow(imread('port2portXT.jpg'));

    elseif cableType == 4
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','D+(L&R),D-(L&R),VBUS(L&R),CC(L&R),SBU_A(L&R),SBU_B(L&R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4,5,6,7,8,9,10,11,12]');       
    axes(handles.axes_plot)
    imshow(imread('low_speed_typeC_12port.jpg'));
  
    elseif cableType == 5
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','D+(L&R),D-(L&R),VBUS(L&R),CC(L&R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4,5,6,7,8,*,*,*,*]');       
    axes(handles.axes_plot)
    imshow(imread('low_speed_typeC_CT.jpg'));
   
    elseif cableType == 8 | cableType == 9
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Fixture SMA, Diff+, Diff-, ......');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,*,*,*,*,*,*,*,*,*]');       
    axes(handles.axes_plot)
    imshow(imread('RFI_typeC.jpg')); 
    
    
    end
    
    set(handles.pushbutton_load_Spara_2,'Enable','off');
    set(handles.pushbutton_load_Spara_3,'Enable','off');
    set(handles.pushbutton_load_Spara_4,'Enable','off');
    set(handles.pushbutton_load_Spara_5,'Enable','off');
    set(handles.pushbutton_load_Spara_6,'Enable','off');
    set(handles.pushbutton_load_Spara_7,'Enable','off');
    set(handles.pushbutton_load_Spara_8,'Enable','off');
    set(handles.pushbutton_load_Spara_9,'Enable','off');
    set(handles.pushbutton_load_Spara_10,'Enable','off');
    set(handles.pushbutton_load_Spara_11,'Enable','off');
    set(handles.pushbutton_load_Spara_12,'Enable','off');
    set(handles.pushbutton_load_Spara_13,'Enable','off');
    set(handles.pushbutton_load_Spara_14,'Enable','off');
    set(handles.pushbutton_load_Spara_15,'Enable','off');
    %set(handles.pushbutton18,'Enable','off');
    %set(handles.pushbutton19,'Enable','off');
    
    set(handles.edit_Spara_2,'Enable','off');
    set(handles.edit_port_2,'Enable','off');
    set(handles.edit_Spara_3,'Enable','off');
    set(handles.edit_port_3,'Enable','off');
    set(handles.edit_Spara_4,'Enable','off');
    set(handles.edit_port_4,'Enable','off');
    set(handles.edit_Spara_5,'Enable','off');
    set(handles.edit_port_5,'Enable','off');    
    set(handles.edit_Spara_6,'Enable','off');
    set(handles.edit_port_6,'Enable','off');
    set(handles.edit_Spara_7,'Enable','off');
    set(handles.edit_port_7,'Enable','off');
    set(handles.edit_Spara_8,'Enable','off');
    set(handles.edit_port_8,'Enable','off');
    set(handles.edit_Spara_9,'Enable','off');
    set(handles.edit_port_9,'Enable','off');
    set(handles.edit_Spara_10,'Enable','off');
    set(handles.edit_port_10,'Enable','off');
    set(handles.edit_Spara_11,'Enable','off');
    set(handles.edit_port_11,'Enable','off');
    set(handles.edit_Spara_12,'Enable','off');
    set(handles.edit_port_12,'Enable','off');
    set(handles.edit_Spara_13,'Enable','off');
    set(handles.edit_port_13,'Enable','off');
    set(handles.edit_Spara_14,'Enable','off');
    set(handles.edit_port_14,'Enable','off');
    set(handles.edit_Spara_15,'Enable','off');
    set(handles.edit_port_15,'Enable','off');
    
    set(handles.edit_Spara_2,'String','');
    set(handles.edit_port_2,'String','');
    set(handles.edit_Spara_3,'String','');
    set(handles.edit_port_3,'String','');
    set(handles.edit_Spara_4,'String','');
    set(handles.edit_port_4,'String','');
    set(handles.edit_Spara_5,'String','');
    set(handles.edit_port_5,'String','');    
    set(handles.edit_Spara_6,'String','');
    set(handles.edit_port_6,'String','');
    set(handles.edit_Spara_7,'String','');
    set(handles.edit_port_7,'String','');
    set(handles.edit_Spara_8,'String','');
    set(handles.edit_port_8,'String','');
    set(handles.edit_Spara_9,'String','');
    set(handles.edit_port_9,'String','');
    set(handles.edit_Spara_10,'String','');
    set(handles.edit_port_10,'String','');
    set(handles.edit_Spara_11,'String','');
    set(handles.edit_port_11,'String','');
    set(handles.edit_Spara_12,'String','');
    set(handles.edit_port_12,'String','');
    set(handles.edit_Spara_13,'String','');
    set(handles.edit_port_13,'String','');
    set(handles.edit_Spara_14,'String','');
    set(handles.edit_port_14,'String','');
    set(handles.edit_Spara_15,'String','');
    set(handles.edit_port_15,'String','');
    
set(handles.pushbutton_Save,'Enable','off');
set(handles.edit_resultFile,'Enable','off');
    
% --- Executes on button press in checkbox_VNA_8.
function checkbox_VNA_8_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox_VNA_8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox_VNA_8
    set(handles.popupmenu_rawSpara,'String','Empty');
    set(handles.popupmenu_rawSpara,'Value',1);
    set(handles.popupmenu_port,'String','1,1');
    set(handles.popupmenu_port,'Value',1);
    set(handles.popupmenu_Spec,'String','Empty');
    set(handles.popupmenu_Spec,'Value',1);
    set(handles.uitable_result,'Data','');
    set(handles.pushbutton_import,'Enable','off');
    set(handles.pushbutton_compliance,'Enable','off');
    
    set(handles.pushbutton_load_Spara_1,'Enable','off');
    set(handles.pushbutton_load_Spara_2,'Enable','off');
    set(handles.pushbutton_load_Spara_3,'Enable','off');
    set(handles.pushbutton_load_Spara_4,'Enable','off');
    set(handles.pushbutton_load_Spara_5,'Enable','off');
    set(handles.pushbutton_load_Spara_6,'Enable','off');
    set(handles.pushbutton_load_Spara_7,'Enable','off');
    set(handles.pushbutton_load_Spara_8,'Enable','off');
    set(handles.pushbutton_load_Spara_9,'Enable','off');
    set(handles.pushbutton_load_Spara_10,'Enable','off');
    set(handles.pushbutton_load_Spara_11,'Enable','off');
    set(handles.pushbutton_load_Spara_12,'Enable','off');
    set(handles.pushbutton_load_Spara_13,'Enable','off');
    set(handles.pushbutton_load_Spara_14,'Enable','off');
    set(handles.pushbutton_load_Spara_15,'Enable','off');
    %set(handles.pushbutton18,'Enable','off');
    %set(handles.pushbutton19,'Enable','off');
    set(handles.edit_Spara_1,'Enable','off');
    set(handles.edit_port_1,'Enable','off');
    set(handles.edit_Spara_2,'Enable','off');
    set(handles.edit_port_2,'Enable','off');
    set(handles.edit_Spara_3,'Enable','off');
    set(handles.edit_port_3,'Enable','off');
    set(handles.edit_Spara_4,'Enable','off');
    set(handles.edit_port_4,'Enable','off');
    set(handles.edit_Spara_5,'Enable','off');
    set(handles.edit_port_5,'Enable','off');    
    set(handles.edit_Spara_6,'Enable','off');
    set(handles.edit_port_6,'Enable','off');
    set(handles.edit_Spara_7,'Enable','off');
    set(handles.edit_port_7,'Enable','off');
    set(handles.edit_Spara_8,'Enable','off');
    set(handles.edit_port_8,'Enable','off');
    set(handles.edit_Spara_9,'Enable','off');
    set(handles.edit_port_9,'Enable','off');
    set(handles.edit_Spara_10,'Enable','off');
    set(handles.edit_port_10,'Enable','off');
    set(handles.edit_Spara_11,'Enable','off');
    set(handles.edit_port_11,'Enable','off');
    set(handles.edit_Spara_12,'Enable','off');
    set(handles.edit_port_12,'Enable','off');
    set(handles.edit_Spara_13,'Enable','off');
    set(handles.edit_port_13,'Enable','off');
    set(handles.edit_Spara_14,'Enable','off');
    set(handles.edit_port_14,'Enable','off');
    set(handles.edit_Spara_15,'Enable','off');
    set(handles.edit_port_15,'Enable','off');
    
    set(handles.edit_Spara_1,'String','');
    set(handles.edit_port_1,'String','');
    set(handles.edit_Spara_2,'String','');
    set(handles.edit_port_2,'String','');
    set(handles.edit_Spara_3,'String','');
    set(handles.edit_port_3,'String','');
    set(handles.edit_Spara_4,'String','');
    set(handles.edit_port_4,'String','');
    set(handles.edit_Spara_5,'String','');
    set(handles.edit_port_5,'String','');    
    set(handles.edit_Spara_6,'String','');
    set(handles.edit_port_6,'String','');
    set(handles.edit_Spara_7,'String','');
    set(handles.edit_port_7,'String','');
    set(handles.edit_Spara_8,'String','');
    set(handles.edit_port_8,'String','');
    set(handles.edit_Spara_9,'String','');
    set(handles.edit_port_9,'String','');
    set(handles.edit_Spara_10,'String','');
    set(handles.edit_port_10,'String','');
    set(handles.edit_Spara_11,'String','');
    set(handles.edit_port_11,'String','');
    set(handles.edit_Spara_12,'String','');
    set(handles.edit_port_12,'String','');
    set(handles.edit_Spara_13,'String','');
    set(handles.edit_port_13,'String','');
    set(handles.edit_Spara_14,'String','');
    set(handles.edit_port_14,'String','');
    set(handles.edit_Spara_15,'String','');
    set(handles.edit_port_15,'String','');
    
    cableType=get(handles.popupmenu_cabletype,'Value');
 
    set(handles.checkbox_VNA_12,'Value',0);
    set(handles.checkbox_VNA_8,'Value',1);
    set(handles.checkbox_VNA_4,'Value',0);
  
    if cableType == 1 | cableType == 2 
 
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Tx(L), Tx(R), Rx(L), Rx(R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4,5,6,7,8]');  
    
    set(handles.pushbutton_load_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'String','Tx(L), Tx(R), D+/D-(L), D+/D-(R)');    
    set(handles.edit_port_2,'Enable','on');
    set(handles.edit_port_2,'String','[1,2,3,4,9,10,11,12]');
    
    set(handles.pushbutton_load_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'String','Rx(L), Rx(R), D+/D-(L), D+/D-(R)');    
    set(handles.edit_port_3,'Enable','on');
    set(handles.edit_port_3,'String','[5,6,7,8,9,10,11,12]');
  
    axes(handles.axes_plot)
    imshow(imread('high_speed_typeC.jpg'));

  elseif cableType == 3
    
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Tx1, Tx2, Rx1, Rx2');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4,5,6,7,8]'); 

    
 elseif cableType == 4
    
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','D+(L), D-(L), VBUS(L&R), CC(L&R), SBU_A(L), SBU_B(L)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1, 3, 5, 6, 7, 8, 9, 11]');  
    
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','D+(L&R), D-(L&R), VBUS(L&R), CC(L&R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1, 2, 3, 4, 5, 6, 7, 8]');  
    
    set(handles.pushbutton_load_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'String','D+(L&R), D-(L&R), SBU_A(L&R), SBU_B(L&R)');    
    set(handles.edit_port_2,'Enable','on');
    set(handles.edit_port_2,'String','[1, 2, 3, 4, 9, 10, 11, 12]');  
         
    set(handles.pushbutton_load_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'String','VBUS(L&R), CC(L&R), SBU_A(L&R), SBU_B(L&R)');    
    set(handles.edit_port_3,'Enable','on');
    set(handles.edit_port_3,'String','[5, 6, 7, 8, 9, 10, 11, 12]'); 

    axes(handles.axes_plot)
    imshow(imread('low_speed_typeC_12port.jpg'));
    
    elseif cableType == 5
    
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','D+(L&R), D-(L&R), VBUS(L&R), CC(L&R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4,5,6,7,8]'); 
    
    elseif cableType == 6| cableType == 7
 
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Tx(L), Tx(R), Rx(L), Rx(R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4,5,6,7,8]');  
    
    set(handles.pushbutton_load_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'String','Tx(L), Tx(R), D+/D-(L), D+/D-(R)');    
    set(handles.edit_port_2,'Enable','on');
    set(handles.edit_port_2,'String','[1,2,3,4,9,10,11,12]');
    
    set(handles.pushbutton_load_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'String','Rx(L), Rx(R), D+/D-(L), D+/D-(R)');    
    set(handles.edit_port_3,'Enable','on');
    set(handles.edit_port_3,'String','[5,6,7,8,9,10,11,12]');
  
    axes(handles.axes_plot)
    imshow(imread('high_speed_typeC.jpg'));
    
    elseif cableType == 8| cableType == 9
 
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Fixture SMA, Diff+, Diff-, ......');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,*,*,*,*,*]');  
    
    set(handles.pushbutton_load_Spara_2,'Enable','off');
    set(handles.edit_Spara_2,'Enable','off');
    set(handles.edit_Spara_2,'String','');    
    set(handles.edit_port_2,'Enable','off');
    set(handles.edit_port_2,'String','');
    
    set(handles.pushbutton_load_Spara_3,'Enable','off');
    set(handles.edit_Spara_3,'Enable','off');
    set(handles.edit_Spara_3,'String','');    
    set(handles.edit_port_3,'Enable','off');
    set(handles.edit_port_3,'String','');
  
    axes(handles.axes_plot)
    imshow(imread('RFI_typeC.jpg'));
    
    end
    
  %{
    set(handles.pushbutton_load_Spara_4,'Enable','off');
    set(handles.pushbutton_load_Spara_5,'Enable','off');
    set(handles.pushbutton_load_Spara_6,'Enable','off');
    set(handles.pushbutton_load_Spara_7,'Enable','off');
    set(handles.pushbutton_load_Spara_8,'Enable','off');
    set(handles.pushbutton_load_Spara_9,'Enable','off');
    set(handles.pushbutton_load_Spara_10,'Enable','off');
    set(handles.pushbutton_load_Spara_11,'Enable','off');
    set(handles.pushbutton_load_Spara_12,'Enable','off');
    set(handles.pushbutton_load_Spara_13,'Enable','off');
    set(handles.pushbutton_load_Spara_14,'Enable','off');
    set(handles.pushbutton_load_Spara_15,'Enable','off');
    %set(handles.pushbutton18,'Enable','off');
    %set(handles.pushbutton19,'Enable','off');
    
    set(handles.edit_Spara_4,'String','');
    set(handles.edit_port_4,'String','');
    set(handles.edit_Spara_5,'String','');
    set(handles.edit_port_5,'String','');    
    set(handles.edit_Spara_6,'String','');
    set(handles.edit_port_6,'String','');
    set(handles.edit_Spara_7,'String','');
    set(handles.edit_port_7,'String','');
    set(handles.edit_Spara_8,'String','');
    set(handles.edit_port_8,'String','');
    set(handles.edit_Spara_9,'String','');
    set(handles.edit_port_9,'String','');
    set(handles.edit_Spara_10,'String','');
    set(handles.edit_port_10,'String','');
    set(handles.edit_Spara_11,'String','');
    set(handles.edit_port_11,'String','');
    set(handles.edit_Spara_12,'String','');
    set(handles.edit_port_12,'String','');
    set(handles.edit_Spara_13,'String','');
    set(handles.edit_port_13,'String','');
    set(handles.edit_Spara_14,'String','');
    set(handles.edit_port_14,'String','');
    set(handles.edit_Spara_15,'String','');
    set(handles.edit_port_15,'String','');
    
    set(handles.edit_Spara_4,'Enable','off');
    set(handles.edit_port_4,'Enable','off');
    set(handles.edit_Spara_5,'Enable','off');
    set(handles.edit_port_5,'Enable','off');    
    set(handles.edit_Spara_6,'Enable','off');
    set(handles.edit_port_6,'Enable','off');
    set(handles.edit_Spara_7,'Enable','off');
    set(handles.edit_port_7,'Enable','off');
    set(handles.edit_Spara_8,'Enable','off');
    set(handles.edit_port_8,'Enable','off');
    set(handles.edit_Spara_9,'Enable','off');
    set(handles.edit_port_9,'Enable','off');
    set(handles.edit_Spara_10,'Enable','off');
    set(handles.edit_port_10,'Enable','off');
    set(handles.edit_Spara_11,'Enable','off');
    set(handles.edit_port_11,'Enable','off');
    set(handles.edit_Spara_12,'Enable','off');
    set(handles.edit_port_12,'Enable','off');
    set(handles.edit_Spara_13,'Enable','off');
    set(handles.edit_port_13,'Enable','off');
    set(handles.edit_Spara_14,'Enable','off');
    set(handles.edit_port_14,'Enable','off');
    set(handles.edit_Spara_15,'Enable','off');
    set(handles.edit_port_15,'Enable','off');
 %}

    set(handles.pushbutton_Save,'Enable','off');
    set(handles.edit_resultFile,'Enable','off');
    
% --- Executes on button press in checkbox_VNA_4.
function checkbox_VNA_4_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox_VNA_4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox_VNA_4
    set(handles.popupmenu_rawSpara,'String','Empty');
    set(handles.popupmenu_rawSpara,'Value',1);
    set(handles.popupmenu_port,'String','1,1');
    set(handles.popupmenu_port,'Value',1);
    set(handles.popupmenu_Spec,'String','Empty');
    set(handles.popupmenu_Spec,'Value',1);
    set(handles.uitable_result,'Data','');
    set(handles.pushbutton_import,'Enable','off');
    set(handles.pushbutton_compliance,'Enable','off');

    set(handles.pushbutton_load_Spara_1,'Enable','off');
    set(handles.pushbutton_load_Spara_2,'Enable','off');
    set(handles.pushbutton_load_Spara_3,'Enable','off');
    set(handles.pushbutton_load_Spara_4,'Enable','off');
    set(handles.pushbutton_load_Spara_5,'Enable','off');
    set(handles.pushbutton_load_Spara_6,'Enable','off');
    set(handles.pushbutton_load_Spara_7,'Enable','off');
    set(handles.pushbutton_load_Spara_8,'Enable','off');
    set(handles.pushbutton_load_Spara_9,'Enable','off');
    set(handles.pushbutton_load_Spara_10,'Enable','off');
    set(handles.pushbutton_load_Spara_11,'Enable','off');
    set(handles.pushbutton_load_Spara_12,'Enable','off');
    set(handles.pushbutton_load_Spara_13,'Enable','off');
    set(handles.pushbutton_load_Spara_14,'Enable','off');
    set(handles.pushbutton_load_Spara_15,'Enable','off');
    %set(handles.pushbutton18,'Enable','off');
    %set(handles.pushbutton19,'Enable','off');
    set(handles.edit_Spara_1,'Enable','off');
    set(handles.edit_port_1,'Enable','off');
    set(handles.edit_Spara_2,'Enable','off');
    set(handles.edit_port_2,'Enable','off');
    set(handles.edit_Spara_3,'Enable','off');
    set(handles.edit_port_3,'Enable','off');
    set(handles.edit_Spara_4,'Enable','off');
    set(handles.edit_port_4,'Enable','off');
    set(handles.edit_Spara_5,'Enable','off');
    set(handles.edit_port_5,'Enable','off');    
    set(handles.edit_Spara_6,'Enable','off');
    set(handles.edit_port_6,'Enable','off');
    set(handles.edit_Spara_7,'Enable','off');
    set(handles.edit_port_7,'Enable','off');
    set(handles.edit_Spara_8,'Enable','off');
    set(handles.edit_port_8,'Enable','off');
    set(handles.edit_Spara_9,'Enable','off');
    set(handles.edit_port_9,'Enable','off');
    set(handles.edit_Spara_10,'Enable','off');
    set(handles.edit_port_10,'Enable','off');
    set(handles.edit_Spara_11,'Enable','off');
    set(handles.edit_port_11,'Enable','off');
    set(handles.edit_Spara_12,'Enable','off');
    set(handles.edit_port_12,'Enable','off');
    set(handles.edit_Spara_13,'Enable','off');
    set(handles.edit_port_13,'Enable','off');
    set(handles.edit_Spara_14,'Enable','off');
    set(handles.edit_port_14,'Enable','off');
    set(handles.edit_Spara_15,'Enable','off');
    set(handles.edit_port_15,'Enable','off');
    
    set(handles.edit_Spara_1,'String','');
    set(handles.edit_port_1,'String','');
    set(handles.edit_Spara_2,'String','');
    set(handles.edit_port_2,'String','');
    set(handles.edit_Spara_3,'String','');
    set(handles.edit_port_3,'String','');
    set(handles.edit_Spara_4,'String','');
    set(handles.edit_port_4,'String','');
    set(handles.edit_Spara_5,'String','');
    set(handles.edit_port_5,'String','');    
    set(handles.edit_Spara_6,'String','');
    set(handles.edit_port_6,'String','');
    set(handles.edit_Spara_7,'String','');
    set(handles.edit_port_7,'String','');
    set(handles.edit_Spara_8,'String','');
    set(handles.edit_port_8,'String','');
    set(handles.edit_Spara_9,'String','');
    set(handles.edit_port_9,'String','');
    set(handles.edit_Spara_10,'String','');
    set(handles.edit_port_10,'String','');
    set(handles.edit_Spara_11,'String','');
    set(handles.edit_port_11,'String','');
    set(handles.edit_Spara_12,'String','');
    set(handles.edit_port_12,'String','');
    set(handles.edit_Spara_13,'String','');
    set(handles.edit_port_13,'String','');
    set(handles.edit_Spara_14,'String','');
    set(handles.edit_port_14,'String','');
    set(handles.edit_Spara_15,'String','');
    set(handles.edit_port_15,'String','');    
    
    
    cableType=get(handles.popupmenu_cabletype,'Value');
 
    set(handles.checkbox_VNA_12,'Value',0);
    set(handles.checkbox_VNA_8,'Value',0);
    set(handles.checkbox_VNA_4,'Value',1);
  
    if cableType == 1 | cableType == 2 
        
    % Insertion loss and return losses
    %-------------------------------------------------
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Tx(L), TX(R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4]');  
    
    set(handles.pushbutton_load_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'String','Rx(L), RX(R)');
    set(handles.edit_port_2,'Enable','on');
    set(handles.edit_port_2,'String','[5,6,7,8]');
    
    set(handles.pushbutton_load_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'String','D+/D-(L), D+/D-(R)');
    set(handles.edit_port_3,'Enable','on');
    set(handles.edit_port_3,'String','[9,10,11,12]');
    
    % SS-SS NEXT, Type-C Side
    %------------------------------------------------------------------
    set(handles.pushbutton_load_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'String','Tx(L), Rx(L)');    
    set(handles.edit_port_4,'Enable','on');
    set(handles.edit_port_4,'String','[1,3,5,7]');
        
    % SS-SS NEXT, Type-C/Legacy Side
    set(handles.pushbutton_load_Spara_5,'Enable','on');
    set(handles.edit_Spara_5,'Enable','on');
    set(handles.edit_port_5,'Enable','on');
    set(handles.edit_Spara_5,'String','Tx(R), Rx(R)');  
    set(handles.edit_port_5,'String','[2,4,6,8]');
    
    % SS-D+/D- NXET, Type-C Side
    set(handles.pushbutton_load_Spara_6,'Enable','on');
    set(handles.edit_Spara_6,'Enable','on');
    set(handles.edit_Spara_6,'String','Tx(L), D+/D-(L)');  
    set(handles.edit_port_6,'Enable','on');
    set(handles.edit_port_6,'String','[1,3,9,11]');
    
    set(handles.pushbutton_load_Spara_7,'Enable','on');
    set(handles.edit_Spara_7,'Enable','on');
    set(handles.edit_port_7,'Enable','on');
    set(handles.edit_Spara_7,'String','Rx(L), D+/D-(L)');  
    set(handles.edit_port_7,'String','[5,7,9,11]');
    
     % SS-D+/D- NXET, Type-C/Legacy Side    
    set(handles.pushbutton_load_Spara_8,'Enable','on');
    set(handles.edit_Spara_8,'Enable','on');
    set(handles.edit_port_8,'Enable','on');
    set(handles.edit_Spara_8,'String','Tx(R), D+/D-(R)');  
    set(handles.edit_port_8,'String','[2,4,10,12]');
        
    set(handles.pushbutton_load_Spara_9,'Enable','on');
    set(handles.edit_Spara_9,'Enable','on');
    set(handles.edit_port_9,'Enable','on');
    set(handles.edit_Spara_9,'String','Rx(R), D+/D-(R)');  
    set(handles.edit_port_9,'String','[6,8,10,12]');

    % SS-SS FEXT
    %-------------------------------------------------------------------
    set(handles.pushbutton_load_Spara_10,'Enable','on');
    set(handles.edit_Spara_10,'Enable','on');
    set(handles.edit_Spara_10,'String','Tx(L), Rx(R)');    
    set(handles.edit_port_10,'Enable','on');
    set(handles.edit_port_10,'String','[1,3,6,8]');
    
    set(handles.pushbutton_load_Spara_11,'Enable','on');
    set(handles.edit_Spara_11,'Enable','on');
    set(handles.edit_Spara_11,'String','Tx(R), Rx(L)');    
    set(handles.edit_port_11,'Enable','on');
    set(handles.edit_port_11,'String','[2,4,5,7]');
    
    % SS-DD FEXT
    set(handles.pushbutton_load_Spara_12,'Enable','on');
    set(handles.edit_Spara_12,'Enable','on');
    set(handles.edit_Spara_12,'String','Tx(R), D+/D-(L) -- Optional');  
    set(handles.edit_port_12,'Enable','on');
    set(handles.edit_port_12,'String','[2,4,9,11]');
    
    set(handles.pushbutton_load_Spara_13,'Enable','on');
    set(handles.edit_Spara_13,'Enable','on');
    set(handles.edit_Spara_13,'String','Rx(R), D+/D-(L) -- Optional');  
    set(handles.edit_port_13,'Enable','on');
    set(handles.edit_port_13,'String','[6,8,9,11]');
    
    set(handles.pushbutton_load_Spara_14,'Enable','on');
    set(handles.edit_Spara_14,'Enable','on');
    set(handles.edit_Spara_14,'String','Tx(L), D+/D-(R) -- Optional');  
    set(handles.edit_port_14,'Enable','on');
    set(handles.edit_port_14,'String','[1,3,10,12]');
    
    set(handles.pushbutton_load_Spara_15,'Enable','on');
    set(handles.edit_Spara_15,'Enable','on');
    set(handles.edit_port_15,'Enable','on');
    set(handles.edit_Spara_15,'String','Rx(L), D+/D-(R) -- Optional');  
    set(handles.edit_port_15,'String','[5,7,10,12]');
    
    axes(handles.axes_plot)
    imshow(imread('high_speed_typeC.jpg')); 
  
    elseif cableType == 4
    
    % D+/D- to VBUS, CC, SBU_A/SBU_B 
    %-------------------------------------------------
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','D+(L),D+(R),D-(L),D-(R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4]');  
    
    set(handles.pushbutton_load_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'String','D+(L),D+(R),VBUS(L),VBUS(R)');
    set(handles.edit_port_2,'Enable','on');
    set(handles.edit_port_2,'String','[1,2,5,6]');
       
    set(handles.pushbutton_load_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'String','D+(L),D+(R),CC(L),CC(R)');
    set(handles.edit_port_3,'Enable','on');
    set(handles.edit_port_3,'String','[1,2,7,8]');
    
    set(handles.pushbutton_load_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'String','D+(L),D+(R),SBU_A(L),SBU_A(R)');    
    set(handles.edit_port_4,'Enable','on');
    set(handles.edit_port_4,'String','[1,2,9,10]');
    
    set(handles.pushbutton_load_Spara_5,'Enable','on');
    set(handles.edit_Spara_5,'Enable','on');
    set(handles.edit_Spara_5,'String','D+(L),D+(R),SBU_B(L),SBU_B(R)');    
    set(handles.edit_port_5,'Enable','on');
    set(handles.edit_port_5,'String','[1,2,11,12]');
    
    set(handles.pushbutton_load_Spara_6,'Enable','on');
    set(handles.edit_Spara_6,'Enable','on');
    set(handles.edit_Spara_6,'String','D-(L),D-(R),VBUS(L),VBUS(R),');    
    set(handles.edit_port_6,'Enable','on');
    set(handles.edit_port_6,'String','[3,4,5,6]');
    
     set(handles.pushbutton_load_Spara_7,'Enable','on');
    set(handles.edit_Spara_7,'Enable','on');
    set(handles.edit_Spara_7,'String','D-(L),D-(R),CC(L),CC(R)');    
    set(handles.edit_port_7,'Enable','on');
    set(handles.edit_port_7,'String','[3,4,7,8]');
    
     set(handles.pushbutton_load_Spara_8,'Enable','on');
    set(handles.edit_Spara_8,'Enable','on');
    set(handles.edit_Spara_8,'String','D-(L),D-(R),SBU_A(L),SBU_A(R)');    
    set(handles.edit_port_8,'Enable','on');
    set(handles.edit_port_8,'String','[3,4,9,10]');
    
    set(handles.pushbutton_load_Spara_9,'Enable','on');
    set(handles.edit_Spara_9,'Enable','on');
    set(handles.edit_Spara_9,'String','D-(L),D-(R),SBU_B(L),SBU_B(R)');    
    set(handles.edit_port_9,'Enable','on');
    set(handles.edit_port_9,'String','[3,4,11,12]');
    
    set(handles.pushbutton_load_Spara_10,'Enable','on');
    set(handles.edit_Spara_10,'Enable','on');
    set(handles.edit_Spara_10,'String','VBUS(L),VBUS(R),CC(L),CC(R)');    
    set(handles.edit_port_10,'Enable','on');
    set(handles.edit_port_10,'String','[5,6,7,8]');
 
    set(handles.pushbutton_load_Spara_11,'Enable','on');
    set(handles.edit_Spara_11,'Enable','on');
    set(handles.edit_Spara_11,'String','VBUS(L),VBUS(R),SBU_A(L),SBU_A(R)');    
    set(handles.edit_port_11,'Enable','on');
    set(handles.edit_port_11,'String','[5,6,9,10]');
    
    set(handles.pushbutton_load_Spara_12,'Enable','on');
    set(handles.edit_Spara_12,'Enable','on');
    set(handles.edit_Spara_12,'String','VBUS(L),VBUS(R),SBU_B(L),SBU_B(R)');    
    set(handles.edit_port_12,'Enable','on');
    set(handles.edit_port_12,'String','[5,6,11,12]');
    
    set(handles.pushbutton_load_Spara_13,'Enable','on');
    set(handles.edit_Spara_13,'Enable','on');
    set(handles.edit_Spara_13,'String','CC(L),CC(R),SBU_A(L),SBU_A(R)');    
    set(handles.edit_port_13,'Enable','on');
    set(handles.edit_port_13,'String','[7,8,9,10]');
    
    set(handles.pushbutton_load_Spara_14,'Enable','on');
    set(handles.edit_Spara_14,'Enable','on');
    set(handles.edit_Spara_14,'String','CC(L),CC(R),SBU_B(L),SBU_B(R)');    
    set(handles.edit_port_14,'Enable','on');
    set(handles.edit_port_14,'String','[7,8,11,12]');
    
    set(handles.pushbutton_load_Spara_15,'Enable','on');
    set(handles.edit_Spara_15,'Enable','on');
    set(handles.edit_Spara_15,'String','SBU_A(L),SBU_A(R),SBU_B(L),SBU_B(R)');    
    set(handles.edit_port_15,'Enable','on');
    set(handles.edit_port_15,'String','[9,10,11,12]');

    axes(handles.axes_plot)
    imshow(imread('low_speed_typeC_12port.jpg')); 
    
    elseif cableType == 6 | cableType == 7
        
    % Insertion loss and return losses
    %-------------------------------------------------
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Tx(L), TX(R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4]');  
    
    set(handles.pushbutton_load_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'String','Rx(L), RX(R)');
    set(handles.edit_port_2,'Enable','on');
    set(handles.edit_port_2,'String','[5,6,7,8]');
    
    set(handles.pushbutton_load_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'String','D+/D-(L), D+/D-(R)');
    set(handles.edit_port_3,'Enable','on');
    set(handles.edit_port_3,'String','[9,10,11,12]');
    
    % SS-SS NEXT, Type-C Side
    %------------------------------------------------------------------
    set(handles.pushbutton_load_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'String','Tx(L), Rx(L)');    
    set(handles.edit_port_4,'Enable','on');
    set(handles.edit_port_4,'String','[1,3,5,7]');
        
    % SS-SS NEXT, Type-C/Legacy Side
    set(handles.pushbutton_load_Spara_5,'Enable','on');
    set(handles.edit_Spara_5,'Enable','on');
    set(handles.edit_port_5,'Enable','on');
    set(handles.edit_Spara_5,'String','Tx(R), Rx(R)');  
    set(handles.edit_port_5,'String','[2,4,6,8]');
    
    % SS-D+/D- NXET, Type-C Side
    set(handles.pushbutton_load_Spara_6,'Enable','on');
    set(handles.edit_Spara_6,'Enable','on');
    set(handles.edit_Spara_6,'String','Tx(L), D+/D-(L)');  
    set(handles.edit_port_6,'Enable','on');
    set(handles.edit_port_6,'String','[1,3,9,11]');
    
    set(handles.pushbutton_load_Spara_7,'Enable','on');
    set(handles.edit_Spara_7,'Enable','on');
    set(handles.edit_port_7,'Enable','on');
    set(handles.edit_Spara_7,'String','Rx(L), D+/D-(L)');  
    set(handles.edit_port_7,'String','[5,7,9,11]');
    
     % SS-D+/D- NXET, Type-C/Legacy Side    
    set(handles.pushbutton_load_Spara_8,'Enable','on');
    set(handles.edit_Spara_8,'Enable','on');
    set(handles.edit_port_8,'Enable','on');
    set(handles.edit_Spara_8,'String','Tx(R), D+/D-(R)');  
    set(handles.edit_port_8,'String','[2,4,10,12]');
        
    set(handles.pushbutton_load_Spara_9,'Enable','on');
    set(handles.edit_Spara_9,'Enable','on');
    set(handles.edit_port_9,'Enable','on');
    set(handles.edit_Spara_9,'String','Rx(R), D+/D-(R)');  
    set(handles.edit_port_9,'String','[6,8,10,12]');

    % SS-SS FEXT
    %-------------------------------------------------------------------
    set(handles.pushbutton_load_Spara_10,'Enable','on');
    set(handles.edit_Spara_10,'Enable','on');
    set(handles.edit_Spara_10,'String','Tx(L), Rx(R)');    
    set(handles.edit_port_10,'Enable','on');
    set(handles.edit_port_10,'String','[1,3,6,8]');
    
    set(handles.pushbutton_load_Spara_11,'Enable','on');
    set(handles.edit_Spara_11,'Enable','on');
    set(handles.edit_Spara_11,'String','Tx(R), Rx(L)');    
    set(handles.edit_port_11,'Enable','on');
    set(handles.edit_port_11,'String','[2,4,5,7]');
    
    % SS-DD FEXT
    set(handles.pushbutton_load_Spara_12,'Enable','on');
    set(handles.edit_Spara_12,'Enable','on');
    set(handles.edit_Spara_12,'String','Tx(R), D+/D-(L)');  
    set(handles.edit_port_12,'Enable','on');
    set(handles.edit_port_12,'String','[2,4,9,11]');
    
    set(handles.pushbutton_load_Spara_13,'Enable','on');
    set(handles.edit_Spara_13,'Enable','on');
    set(handles.edit_Spara_13,'String','Rx(R), D+/D-(L)');  
    set(handles.edit_port_13,'Enable','on');
    set(handles.edit_port_13,'String','[6,8,9,11]');
    
    set(handles.pushbutton_load_Spara_14,'Enable','on');
    set(handles.edit_Spara_14,'Enable','on');
    set(handles.edit_Spara_14,'String','Tx(L), D+/D-(R)');  
    set(handles.edit_port_14,'Enable','on');
    set(handles.edit_port_14,'String','[1,3,10,12]');
    
    set(handles.pushbutton_load_Spara_15,'Enable','on');
    set(handles.edit_Spara_15,'Enable','on');
    set(handles.edit_port_15,'Enable','on');
    set(handles.edit_Spara_15,'String','Rx(L), D+/D-(R)');  
    set(handles.edit_port_15,'String','[5,7,10,12]');
    
    axes(handles.axes_plot)
    imshow(imread('high_speed_typeC.jpg')); 
    
    elseif cableType == 8 | cableType == 9
    
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Fixture SMA, Diff+, Diff-, ......');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,*]'); 
    axes(handles.axes_plot)
    imshow(imread('RFI_typeC.jpg')); 
    
    elseif cableType == 5
    
    % D+/D- to VBUS, CC 
    %-------------------------------------------------     
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','D+(L),D+(R),D-(L),D-(R)');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4]');  
    
    set(handles.pushbutton_load_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'String','D+(L),D+(R),VBUS(L),VBUS(R)');
    set(handles.edit_port_2,'Enable','on');
    set(handles.edit_port_2,'String','[1,2,5,6]');
       
    set(handles.pushbutton_load_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'String','D+(L),D+(R),CC(L),CC(R)');
    set(handles.edit_port_3,'Enable','on');
    set(handles.edit_port_3,'String','[1,2,7,8]');
    
    set(handles.pushbutton_load_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'String','D-(L),D-(R),VBUS(L),VBUS(R)');    
    set(handles.edit_port_4,'Enable','on');
    set(handles.edit_port_4,'String','[3,4,5,6]');
    
    set(handles.pushbutton_load_Spara_5,'Enable','on');
    set(handles.edit_Spara_5,'Enable','on');
    set(handles.edit_Spara_5,'String','D-(L),D-(R),CC(L),CC(R)');    
    set(handles.edit_port_5,'Enable','on');
    set(handles.edit_port_5,'String','[3,4,7,8]');
    
    set(handles.pushbutton_load_Spara_6,'Enable','on');
    set(handles.edit_Spara_6,'Enable','on');
    set(handles.edit_Spara_6,'String','VBUS(L),VBUS(R),CC(L),CC(R)');    
    set(handles.edit_port_6,'Enable','on');
    set(handles.edit_port_6,'String','[5,6,7,8]');    
    
    axes(handles.axes_plot)
    imshow(imread('low_speed_typeC_CT.jpg')); 
    
    elseif cableType == 3
    
    % Tx1 to Tx2 NEXT 
    set(handles.pushbutton_load_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'Enable','on');
    set(handles.edit_Spara_1,'String','Tx1+, Tx2+, Tx1-, Tx2-');    
    set(handles.edit_port_1,'Enable','on');
    set(handles.edit_port_1,'String','[1,2,3,4]');  
    
    % Tx1 to Rx2 NEXT
    set(handles.pushbutton_load_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'Enable','on');
    set(handles.edit_Spara_2,'String','Tx1+, Rx2+, Tx1-, Rx2-');
    set(handles.edit_port_2,'Enable','on');
    set(handles.edit_port_2,'String','[1,6,3,8]');       
       
    % Tx2 to Rx1 NEXT
    set(handles.pushbutton_load_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'Enable','on');
    set(handles.edit_Spara_3,'String','Tx2+, Rx1+, Tx2-, Rx1-');    
    set(handles.edit_port_3,'Enable','on');
    set(handles.edit_port_3,'String','[2,5,4,7]');
    
    % Rx1 to Rx2 NEXT
    set(handles.pushbutton_load_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'Enable','on');
    set(handles.edit_Spara_4,'String','Rx1+, Rx2+, Rx1-, Rx2-');    
    set(handles.edit_port_4,'Enable','on');
    set(handles.edit_port_4,'String','[5,6,7,8]');
    
    axes(handles.axes_plot)
    imshow(imread('port2portXT.jpg')); 
    end

    set(handles.pushbutton_Save,'Enable','off');
    set(handles.edit_resultFile,'Enable','off');

% --- Executes on selection change in popupmenu_cabletype.
function popupmenu_cabletype_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu_cabletype (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu_cabletype contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu_cabletype

    cableType=get(handles.popupmenu_cabletype,'Value');
    
    % Initialize the output table
    if cableType == 1
       columnname = {'Value', 'Criteria','Pass/Fail'};   
       rowname = {'ILfit@2.5GHz, dB','ILfit@5.0GHz, dB', 'ILfit@10.0GHz, dB',...
               'IMR, dB', 'IRL, dB','INEXT, dB','IFEXT, dB','SCD12/SCD21, dB',...
               'D+/D- IL@50MHz, dB','D+/D- IL@100MHz, dB','D+/D- IL@200MHz, dB',...
               'D+/D- IL@400MHz, dB','IDDXT (2NEXT), dB','IDDXT (1NEXT+1FEXT), dB'}; 
    elseif cableType == 2
       columnname = {'Value', 'Criteria','Pass/Fail'};   
       rowname = {'ILfit@2.5GHz, dB','ILfit@5.0GHz, dB',...
               'IMR, dB', 'IRL, dB','INEXT, dB','IFEXT, dB','SCD12/SCD21, dB',...
               'D+/D- IL@50MHz, dB','D+/D- IL@100MHz, dB','D+/D- IL@200MHz, dB',...
               'D+/D- IL@400MHz, dB','IDDXT (2NEXT), dB','IDDXT (1NEXT+1FEXT), dB'}; 
    elseif cableType == 4
        columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'};        
        rowname = {'CC to D+/D-','CC to D-','VBUS to D+/D-',...
            'SBU_A/SBU_B to CC',...
            'SBU_A/SBU_B to D+/D-','SBU_A to SBU_B','VBUS Lloop',...
            'VBUS Cap', 'M(VBUS,D+)/M(VBUS,D-)',...
            'M(VBUS,CC)','M(VBUS,SBU_A)/M(VBUS,SBU_B)',...
            'SBU IL @ 0.5 MHz', 'SBU IL @ 1 MHz', 'SBU IL @ 10 MHz',...
            'SBU IL @ 25 MHz', 'SBU IL @ 50 MHz', 'SBU IL @ 100 MHz'};
    elseif cableType == 6
        columnname = {'Value', 'Criteria','Pass/Fail'};  
        rowname = {'ILfit@2.5GHz, dB','ILfit@5.0GHz, dB',...
                   'IMR, dB', 'IRL, dB','ISSXT, dB','IDDXT, dB','SCD12/SCD21, dB',...
                   'D+/D- IL@50MHz, dB','D+/D- IL@100MHz, dB','D+/D- IL@200MHz, dB',...
                   'D+/D- IL@400MHz, dB'}; 
    elseif  cableType == 7
        columnname = {'Value', 'Criteria','Pass/Fail'};  
        rowname = {'ILfit@2.5GHz, dB','ILfit@5.0GHz, dB',...
                   'IMR@2.5GHz, dB','IMR@5.0GHz, dB', 'IRL@2.5GHz, dB','IRL@5.0GHz, dB',...
                   'ISSXT, dB','IDDXT, dB','SCD12 and SCD21, dB',...
                   'D+/D- IL@400MHz, dB'};   
    elseif cableType == 8 | cableType == 9% shielding effectiveness
        columnname = {'Margin', 'Pass/Fail'}; 
        rowname = {'Differential coupling','Common coupling'};   
    elseif cableType == 5
        columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'};        
        rowname = {'CC to D+/D-','CC to D- (CT)','VBUS to D+/D-',...
                   'VBUS Lloop','M(VBUS,D+)/M(VBUS,D-)',...
                   'M(VBUS,CC)'}; 
        imshow(imread('low_speed_typeC_CT.jpg'));
    elseif cableType == 3
        columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'};        
        rowname = {'Tx1 to Tx2 INEXT','Tx1 to Rx2 INEXT','Tx2 to Rx1 INEXT',...
                   'Rx1 to Rx2 INEXT'}; 
        imshow(imread('port2portXT.jpg'));    
    end
    set(handles.uitable_result,'ColumnName', columnname);
    set(handles.uitable_result,'RowName', rowname);
    set(handles.uitable_result,'Data', []);
    
    % Check VNA ports
    VNA12=get(handles.checkbox_VNA_12,'Value');
    VNA8=get(handles.checkbox_VNA_8,'Value');
    VNA4=get(handles.checkbox_VNA_4,'Value');  
    
   if VNA12
       checkbox_VNA_12_Callback(handles.checkbox_VNA_12, '', handles);
    elseif VNA8
       checkbox_VNA_8_Callback(handles.checkbox_VNA_8, '', handles);
    elseif VNA4
       checkbox_VNA_4_Callback(handles.checkbox_VNA_4, '', handles);
   end
    
   set(handles.pushbutton_Save,'Enable','off');
   set(handles.edit_resultFile,'Enable','off');
   set(handles.checkbox5,'Value',0);   
   set(handles.checkbox5,'Enable','off');
   set(handles.checkbox8,'Value',0);   
   set(handles.checkbox8,'Enable','off');
    
% --- Executes during object creation, after setting all properties.
function popupmenu_cabletype_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu_cabletype (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_10.
function pushbutton_load_Spara_10_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_10,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_10,'String',spName);
   end

function edit_Spara_10_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_10 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_10 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_10_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_10_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_10 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_10 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_10_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_11.
function pushbutton_load_Spara_11_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_11,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_11,'String',spName);
   end

function edit_Spara_11_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_11 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_11 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_11_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_11_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_11 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_11 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_11_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_12.
function pushbutton_load_Spara_12_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_12,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_12,'String',spName);
   end

function edit_Spara_12_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_12 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_12 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_12_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_12_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_12 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_12 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_12_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_13.
function pushbutton_load_Spara_13_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_13,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_13,'String',spName);
   end
function edit_Spara_13_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_13 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_13 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_13_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_13_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_13 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_13 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_13_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_14.
function pushbutton_load_Spara_14_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_14,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_14,'String',spName);
   end

function edit_Spara_14_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_14 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_14 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_14_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_14_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_14 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_14 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_14_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_load_Spara_15.
function pushbutton_load_Spara_15_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_load_Spara_15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    hMainGui = getappdata(0, 'hMainGui');
    
    current_path= getappdata(hMainGui,'current_path');
    % Get file name
    open_name=['Import S-parameters'];

    if (current_path ~=0 )
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'},open_name,current_path);
    else
       [FileName,PathName] = uigetfile({'*.s4p';'*.s8p';'*.s12p';'*.s16p';'*.s20p'});
    end
       set(handles.edit_port_15,'String','[1 2 3 4]');
    
    % Load TS using RF toolbox 
    spName=[PathName,FileName];    
    setappdata(hMainGui,'current_path',PathName);
    
    % Fill out the editboxes
    if (FileName ~= 0)
        set(handles.edit_Spara_15,'String',spName);
   end

function edit_Spara_15_Callback(hObject, eventdata, handles)
% hObject    handle to edit_Spara_15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_Spara_15 as text
%        str2double(get(hObject,'String')) returns contents of edit_Spara_15 as a double


% --- Executes during object creation, after setting all properties.
function edit_Spara_15_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_Spara_15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_port_15_Callback(hObject, eventdata, handles)
% hObject    handle to edit_port_15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_port_15 as text
%        str2double(get(hObject,'String')) returns contents of edit_port_15 as a double


% --- Executes during object creation, after setting all properties.
function edit_port_15_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_port_15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton18.
function pushbutton18_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton18 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



function edit33_Callback(hObject, eventdata, handles)
% hObject    handle to edit33 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit33 as text
%        str2double(get(hObject,'String')) returns contents of edit33 as a double


% --- Executes during object creation, after setting all properties.
function edit33_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit33 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit34_Callback(hObject, eventdata, handles)
% hObject    handle to edit34 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit34 as text
%        str2double(get(hObject,'String')) returns contents of edit34 as a double


% --- Executes during object creation, after setting all properties.
function edit34_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit34 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton19.
function pushbutton19_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



function edit35_Callback(hObject, eventdata, handles)
% hObject    handle to edit35 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit35 as text
%        str2double(get(hObject,'String')) returns contents of edit35 as a double


% --- Executes during object creation, after setting all properties.
function edit35_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit35 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit36_Callback(hObject, eventdata, handles)
% hObject    handle to edit36 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit36 as text
%        str2double(get(hObject,'String')) returns contents of edit36 as a double


% --- Executes during object creation, after setting all properties.
function edit36_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit36 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupmenu_rawSpara.
function popupmenu_rawSpara_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu_rawSpara (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu_rawSpara contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu_rawSpara

    % Get the MainGui handle hMainGui
    hMainGui = getappdata(0, 'hMainGui');
    rawSp=getappdata(hMainGui,'rawSp');
    rawSpStr=getappdata(hMainGui,'rawSpStr');
      
    rawSpIdx=get(handles.popupmenu_rawSpara,'Value');
    spEleVal=get(handles.popupmenu_port,'Value');
    spEleStr=get(handles.popupmenu_port,'String');
    spEle=str2num(spEleStr{spEleVal});
    
    axes(handles.axes_plot);
    if ~strcmp(rawSpStr{rawSpIdx},'Not Defined')
        H=squeeze(rawSp{rawSpIdx}.S(spEle(1),spEle(2),:));
        plot(rawSp{rawSpIdx}.f,db(H),'LineWidth',3)
        xlabel('Frequency, Hz');
        ylabel ('dB')
        legend(['S(',spEleStr{spEleVal},')']);
        grid on
    else
        plot(1,1)
        disp('No S-parameter to Plot') 
    end
    
    
% --- Executes during object creation, after setting all properties.
function popupmenu_rawSpara_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu_rawSpara (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupmenu_port.
function popupmenu_port_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu_port (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu_port contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu_port

    
    % Get the MainGui handle hMainGui
    hMainGui = getappdata(0, 'hMainGui');
    rawSp=getappdata(hMainGui,'rawSp');
    rawSpStr=getappdata(hMainGui,'rawSpStr');
    
    rawSpIdx=get(handles.popupmenu_rawSpara,'Value');
    spEleVal=get(handles.popupmenu_port,'Value');
    spEleStr=get(handles.popupmenu_port,'String');
    spEle=str2num(spEleStr{spEleVal});
    
    axes(handles.axes_plot);
    if ~strcmp(rawSpStr{rawSpIdx},'Not Defined')
        H=squeeze(rawSp{rawSpIdx}.S(spEle(1),spEle(2),:));
        plot(rawSp{rawSpIdx}.f,db(H),'LineWidth',3)
        xlabel('Frequency, Hz');
        ylabel ('dB')
        legend(['S(',spEleStr{spEleVal},')']);
        grid on
    else
        plot(1,1)
        disp('No S-parameter to plot')
    end
    
    
    
    
% --- Executes during object creation, after setting all properties.
function popupmenu_port_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu_port (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupmenu_Spec.
function popupmenu_Spec_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu_Spec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu_Spec contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu_Spec

     hMainGui = getappdata(0, 'hMainGui');
     inp=getappdata(hMainGui,'inp');
     freq=inp.freq;
     freq_low=inp.freq_low;
     
     cableType=get(handles.popupmenu_cabletype,'Value');  
     
     SSIL=getappdata(hMainGui,'SSIL');
     SSRL=getappdata(hMainGui,'SSRL');
     DDIL=getappdata(hMainGui,'DDIL');
     DDRL=getappdata(hMainGui,'DDRL');
     SSD2C=getappdata(hMainGui,'SSD2C');
     SS2SS_NEXT=getappdata(hMainGui,'SS2SS_NEXT');
     SS2DD_NEXT=getappdata(hMainGui,'SS2DD_NEXT');
     SS2SS_FEXT=getappdata(hMainGui,'SS2SS_FEXT');
     SS2DD_FEXT=getappdata(hMainGui,'SS2DD_FEXT');
     res=getappdata(hMainGui,'res'); 
     
     cc_usb2=getappdata(hMainGui,'cc_usb2');
     vbus_usb2=getappdata(hMainGui,'vbus_usb2');
     cc_usbDminus = getappdata(hMainGui,'cc_usbDminus');
     sbu_cc=getappdata(hMainGui,'sbu_cc');
     sbu_usb2=getappdata(hMainGui,'sbu_usb2');
     sbu_sbu=getappdata(hMainGui,'sbu_sbu');
     L_VBUS=getappdata(hMainGui,'L_VBUS');
     f_vbus=getappdata(hMainGui,'f_vbus');

     S_RFI_diff_1=getappdata(hMainGui,'S_RFI_diff_1');
     S_RFI_diff_2=getappdata(hMainGui,'S_RFI_diff_2');
     S_RFI_comm_1=getappdata(hMainGui,'S_RFI_comm_1');
     S_RFI_comm_2=getappdata(hMainGui,'S_RFI_comm_2');
     
     p2pSS2SS_NEXT=getappdata(hMainGui,'p2pSS2SS_NEXT');
     
     
     LSTD_checked=get(handles.checkbox5,'Value');
     LSTD_checked_p=get(handles.checkbox8,'Value');
     tableData_TD_Partial=getappdata(hMainGui,'tableData_TD_Partial');
     tableData_TD_Full=getappdata(hMainGui,'tableData_TD_Full');
     if LSTD_checked == 1 & isempty(tableData_TD_Full)
         LSTD_checked=0;
     end
     if LSTD_checked_p == 1 & isempty(tableData_TD_Partial)
         LSTD_checked_p=0;
     end 
     
     if cableType == 1
         f_ILspec=inp.f_IL_c2c_gen2;
         DDIL_spec=inp.DDIL_c2c_gen2;
         f_dd_ILspec=inp.f_c2c_dd;
         DDIL_dd_spec=inp.IL_c2c_dd;
         f_RLspec=inp.f_RL_c2c;
         DDRL_spec=inp.DDRL_c2c;
         f_XT_spec=inp.f_XT_c2c;
         DDXT_spec=inp.DDXT_c2c;
         f_XTusb2_spec=inp.f_XT_usb2_c2c;
         DDXT_usb2_spec=inp.DDXT_usb2_c2c;
         f_CM_spec=inp.f_CM_c2c;
         DCM_spec=inp.DCM_c2c_gen2;% update 12/17/2020 - Xiang
     elseif cableType == 2
         f_ILspec=inp.f_IL_c2c_gen1;
         DDIL_spec=inp.DDIL_c2c_gen1;
         f_dd_ILspec=inp.f_c2c_dd;
         DDIL_dd_spec=inp.IL_c2c_dd;
         f_RLspec=inp.f_RL_c2c;
         DDRL_spec=inp.DDRL_c2c;
         f_XT_spec=inp.f_XT_c2c;
         DDXT_spec=inp.DDXT_c2c;
         f_XTusb2_spec=inp.f_XT_usb2_c2c;
         DDXT_usb2_spec=inp.DDXT_usb2_c2c;
         f_CM_spec=inp.f_CM_c2c;
         DCM_spec=inp.DCM_c2c_gen1;% update 12/17/2020 - Xiang
     elseif cableType == 3
         f_XT_spec=inp.f_XT_c2c;
         DDXT_spec=inp.DDXT_c2c;         
     elseif cableType == 6
         f_ILspec=inp.f_IL_legacy;
         DDIL_spec=inp.DDIL_legacy;
         f_dd_ILspec=inp.f_c2l_dd;
         DDIL_dd_spec=inp.IL_c2l_dd;
         f_RLspec=inp.f_RL_legacy;
         DDRL_spec=inp.DDRL_legacy;
         f_XT_spec=inp.f_NEXT_legacy;
         DDXT_spec=inp.DDNEXT_legacy;
         f_XTusb2_spec=inp.f_SS2DD_XT_legacy;
         DDXT_usb2_spec=inp.SS2DD_XT_legacy;
         f_CM_spec=inp.f_CM_legacy;
         DCM_spec=inp.DCM_legacy;
     elseif cableType == 7
         f_ILspec=inp.f_IL_adaptor;
         DDIL_spec=inp.DDIL_adaptor;
         f_dd_ILspec=inp.f_adator_dd;
         DDIL_dd_spec=inp.IL_adaptor_dd;
         f_RLspec=inp.f_RL_adaptor;
         DDRL_spec=inp.DDRL_adaptor;
         f_XT_spec=inp.f_NEXT_adaptor;
         DDXT_spec=inp.DDNEXT_adaptor;
         f_XTusb2_spec=inp.f_SS2DD_XT_adaptor;
         DDXT_usb2_spec=inp.SS2DD_XT_adaptor;
         f_CM_spec=inp.f_CM_adaptor;
         DCM_spec=inp.DCM_adaptor;
     elseif cableType == 4
         f_CC_USB2_spec = inp.f_CC_USB2_COUPLING;
         CC_USB2_spec=inp.CC_USB2_COUPLING;
         f_VBUS_USB2_spec=inp.f_VBUS_USB2_COUPLING;
         VBUS_USB2_spec=inp.VBUS_USB2_COUPLING;
         f_SBU_CC_spec=inp.f_SBU_CC_COUPLING;
         SBU_CC_spec=inp.SBU_CC_COUPLING;
         f_SBU_USB2_spec=inp.f_SBU_USB2_COUPLING;
         SBU_USB2_spec=inp.SBU_USB2_COUPLING;
         f_SBU_SBU_spec=inp.f_SBU_SBU_COUPLING;
         SBU_SBU_spec=inp.SBU_SBU_COUPLING;
         
         f_cc_usbDminus_charge_spec=inp.f_cc_usbDminus_charge;
         cc_usbDminus_charge_coupling_spec = inp.cc_usbDminus_charge_coupling;
         
         f_cc_usbDminus_full_spec=inp.f_cc_usbDminus_full;
         cc_usbDminus_full_coupling_spec = inp.cc_usbDminus_full_coupling;
         
     elseif cableType==8
         f_RFI_1=inp.f_RFI_1;
         f_RFI_2=inp.f_RFI_2;
         freq_RFI_1=inp.freq_RFI_1;
         freq_RFI_2=inp.freq_RFI_2;
         Spec_RFI_diff_1=inp.RFI_diff_typeC_1;
         Spec_RFI_diff_2=inp.RFI_diff_typeC_2;
         Spec_RFI_comm_1=inp.RFI_comm_typeC_1;
         Spec_RFI_comm_2=inp.RFI_comm_typeC_2;
     elseif cableType==9
         f_RFI_1=inp.f_RFI_1;
         f_RFI_2=inp.f_RFI_2;
         freq_RFI_1=inp.freq_RFI_1;
         freq_RFI_2=inp.freq_RFI_2;
         Spec_RFI_diff_1=inp.RFI_diff_legacy_1;
         Spec_RFI_diff_2=inp.RFI_diff_legacy_2;
         Spec_RFI_comm_1=inp.RFI_comm_legacy_1;
         Spec_RFI_comm_2=inp.RFI_comm_legacy_2;
     elseif cableType==10
         f_RFI_1=inp.f_RFI_1;
         f_RFI_2=inp.f_RFI_2;
         freq_RFI_1=inp.freq_RFI_1;
         freq_RFI_2=inp.freq_RFI_2;
         Spec_RFI_diff_1=inp.RFI_diff_adaptor_1;
         Spec_RFI_diff_2=inp.RFI_diff_adaptor_2;
         Spec_RFI_comm_1=inp.RFI_comm_adaptor_1;
         Spec_RFI_comm_2=inp.RFI_comm_adaptor_2;    
     elseif cableType == 5
         f_CC_USB2_spec = inp.f_CC_USB2_COUPLING;
         CC_USB2_spec=inp.CC_USB2_COUPLING;
         f_VBUS_USB2_spec=inp.f_VBUS_USB2_COUPLING;
         VBUS_USB2_spec=inp.VBUS_USB2_COUPLING;         
         f_cc_usbDminus_charge_spec=inp.f_cc_usbDminus_charge;
         cc_usbDminus_charge_coupling_spec = inp.cc_usbDminus_charge_coupling;         
         f_cc_usbDminus_full_spec=inp.f_cc_usbDminus_full;
         cc_usbDminus_full_coupling_spec = inp.cc_usbDminus_full_coupling;
     end      
    
     val=get(handles.popupmenu_Spec,'Value');    
     axes(handles.axes_plot);   
     ui_result = get(handles.uitable_result,'Data');
     
     if cableType == 1 | cableType == 2 | cableType == 6| cableType == 7
         switch val
             case 1
               if ~isempty(ui_result)
                    plot(freq*1e-9,db(SSIL),f_ILspec*1e-9,DDIL_spec,'LineWidth',3)
                    xlabel('Frequency, GHz');
                    ylabel ('SS DDIL, dB');
                    ylim([-20 0]);
               end
             case 2
                if ~isempty(DDIL)
                    ID=find(freq>=f_dd_ILspec(1)*1e6 & freq<=f_dd_ILspec(end)*1e6);
                    plot(freq(ID)*1e-6,db(DDIL(ID)),f_dd_ILspec,DDIL_dd_spec,'LineWidth',3)
                    xlabel('Frequency, MHz');
                    ylabel ('D+/D- DDIL, dB');
                else
                    plot(1,1)
                    disp('Nothing to plot');
                    text(0.8,1,'No data to plot');

                end
               case 3
                 plot(freq*1e-9,db(SSRL),f_RLspec*1e-9,DDRL_spec,'LineWidth',3)
                 xlabel('Frequency, GHz');
                 ylabel ('SS DDRL, dB'); 
             case 4    
                 plot(freq*1e-9,db(SSD2C),f_CM_spec*1e-9,DCM_spec,'LineWidth',3)  
                 xlabel('Frequency, GHz');
                 ylabel ('SS SCD12/SCD21, dB');
                 ylim([-70 -10]);
                 %xlim([0 10e9]);
             case 5    
                 if ~isempty(DDRL)
                    plot(freq*1e-9,db(DDRL),'LineWidth',3)
                    xlabel('Frequency, GHz');
                    ylabel ('D+/D- Pair RL, dB');
                 else
                    plot(1,1)
                    text(0.8,1,'No data to plot');
                    disp('Nothing to plot');
                 end
             case 6
                 plot(freq*1e-9,db(SS2SS_NEXT),f_XT_spec*1e-9,DDXT_spec,'LineWidth',3)
                 xlabel('Frequency, GHz');
                 ylabel ('SS2SS NEXT, dB'); 
                 ylim([-70 -20]);

             case 7
                 if ~isempty(SS2DD_NEXT)
                     plot(freq*1e-9,db(SS2DD_NEXT),f_XTusb2_spec*1e-9,DDXT_usb2_spec,'LineWidth',3)
                     xlabel('Frequency, GHz');
                     ylabel ('SS2D+/D- NEXT, dB');
                     ylim([-70 -20]);
                 else
                     plot(1,1)
                     text(0.8,1,'No data to plot');
                     disp('Nothing to plot')
                 end
             case 8
                 plot(freq*1e-9,db(SS2SS_FEXT),f_XT_spec*1e-9,DDXT_spec,'LineWidth',3) 
                 xlabel('Frequency, GHz');
                 ylabel ('SS2SS FEXT, dB'); 
                 ylim([-70 -20]);
             case 9
                 if ~isempty(SS2DD_FEXT)
                     xlabel('Frequency, GHz');
                     plot(freq*1e-9,db(SS2DD_FEXT),f_XTusb2_spec*1e-9,DDXT_usb2_spec,'LineWidth',3)  
                     ylabel ('SS2D+/D- FEXT, dB');
                     ylim([-70 -20]);
                 else
                     plot(1,1)
                     text(0.8,1,'No data to plot');
                     disp('Nothing to plot')
                 end
             case 10
                 if cableType == 5
                    f1=res(1,1).f;
                    IL1=res(1,1).IL;
                    IL1_fit=res(1,1).IL_fit;
                    f2=res(2,1).f;
                    IL2=res(2,1).IL;
                    IL2_fit=res(2,1).IL_fit;
                 else                 
                    f1=res(1,2).f;
                    IL1=res(1,2).IL;
                    IL1_fit=res(1,2).IL_fit;
                    f2=res(2,2).f;
                    IL2=res(2,2).IL;
                    IL2_fit=res(2,2).IL_fit;
                 end
                 plot(f1*1e-9,db(IL1),f1*1e-9,db(IL1_fit),f2*1e-9,db(IL2),f2*1e-9,db(IL2_fit),'LineWidth',3)
    %              legend('IL','IL fit');
                 xlabel('Frequency, GHz');
                 ylabel ('IL Fit, dB');
                 ylim([-15 0]);
             case 11
                 if cableType == 5
                    f=res(1,1).f;
                    ILD(:,1)=res(1,1).IL-res(1,1).IL_fit;
                    ILD(:,2)=res(2,1).IL-res(2,1).IL_fit;
                 else
                    f=res(1,2).f;
                    ILD(:,1)=res(1,2).IL-res(1,2).IL_fit;
                    ILD(:,2)=res(2,2).IL-res(2,2).IL_fit;
                 end
                 plot(f*1e-9,db(ILD),'LineWidth',3)
                 %legend('IL Deviation');
                 xlabel('Frequency, GHz');
                 ylabel ('IL Deviation, dB');      
         end
     elseif cableType == 4 & (LSTD_checked == 0 & LSTD_checked_p == 0);          
          switch val
            case 1
                if ~isempty(ui_result)
                    if ~isempty(cc_usb2)
                        semilogx(f_CC_USB2_spec,CC_USB2_spec,freq_low,db(cc_usb2),'LineWidth',3)
                        xlim([300e3 100e6]);
                        ylim([-80 -10]);
                        xlabel('Frequency, Hz');
                        ylabel ('CC to D+/D- Coupling, dB');
%                     legend (legend_cc_usb2,'Location','southwest');
                        legend ('Spec. limit','Near end coupling','Far end coupling');

                    else
                        plot(1,1)
                        disp('Nothing to plot')
                    end
                end
                
              case 2
                if ~isempty(cc_usbDminus)
                    semilogx(f_cc_usbDminus_full_spec,cc_usbDminus_full_coupling_spec,freq_low,db(cc_usbDminus),'LineWidth',3)
                    xlim([300e3 100e6]);ylim([-80 -10]);
                    xlabel('Frequency, Hz');
                    ylabel ('CC to D- Coupling, dB'); 
                    legend ('Spec. limit (Full featured)','Near end coupling','Fear end coupling','Location','southeast');
                else
                    plot(1,1)
                    disp('Nothing to plot')
                end

                
            case 3
                if ~isempty(vbus_usb2)
                    semilogx(f_VBUS_USB2_spec,VBUS_USB2_spec,freq_low,db(vbus_usb2),'LineWidth',3)
                    xlim([300e3 100e6]);ylim([-80 -10]);
                    xlabel('Frequency, Hz');
                    ylabel ('VBUS to D+/D- Coupling, dB'); 
                    legend ('Spec. limit','Near end coupling','Fear end coupling','Location','Northwest');
                else
                    plot(1,1)
                    disp('Nothing to plot')
                end
                
            case 4
                if ~isempty(sbu_cc)
                    semilogx(f_SBU_CC_spec,SBU_CC_spec,freq_low,db(sbu_cc),'LineWidth',3)
                    xlim([300e3 100e6]);ylim([-70 -10]);
                    xlabel('Frequency, Hz');
                    ylabel ('SBU-A/SBU-B to CC Coupling, dB'); 
                    legend ('Spec. limit','SBU-A/CC coupling (Near end)','SBU-B/CC coupling (Near end)','SBU-A/CC coupling (Far end)','SBU-B/CC coupling (Far end)','Location','Northwest');
                else
                    plot(1,1)
                    disp('Nothing to plot')
                end
                
            case 5
                if ~isempty(sbu_usb2)
                    semilogx(f_SBU_USB2_spec,SBU_USB2_spec,freq_low,db(sbu_usb2),'LineWidth',3)
                    xlim([300e3 100e6]);ylim([-100 -30]);
                    xlabel('Frequency, Hz');
                    ylabel ('SBU-A/SBU-B to D+/D- Coupling, dB');
                    legend ('Spec. limit','SBU-A (Near end)','SBU-B (Near end)','SBU-A (Far end)','SBU-B (Far end)','Location','southeast');
                else
                    plot(1,1)
                    disp('Nothing to plot')
                end
                
            case 6
                if ~isempty(sbu_sbu)
                    semilogx(f_SBU_SBU_spec,SBU_SBU_spec,freq_low,db(sbu_sbu),'LineWidth',3)
                    xlim([300e3 100e6]);ylim([-80 -10]);
                    xlabel('Frequency, Hz');
                    ylabel ('SBU-A to SBU-B Coupling, dB');
                    legend ('Spec. limit','SBU-A/SBU-B (Near end)','SBU-A/SBU-B (Far end)','Location','southeast');

                else
                    plot(1,1)
                    disp('Nothing to plot')
                end
            case 7
                sbu_IL=getappdata(hMainGui,'sbu_IL');
                plot(inp.f_sbu,inp.IL_sbu,freq_low*1e-6,sbu_IL(:,1),freq_low*1e-6,sbu_IL(:,2),'LineWidth',3)
                xlim([0.5 100]);ylim([-15 0]);
                xlabel('Frequency, MHz');
                ylabel ('SBU IL, dB');
                legend ('Spec. limit','SBU-A','SBU-B','Location','southeast');  
          end
     elseif cableType == 4 & LSTD_checked == 1
          LSTD=getappdata(hMainGui,'LSTD');                  
          switch val
              case 1
                 respCC2DPDN=getappdata(hMainGui,'respCC2DPDN');
                 time=respCC2DPDN.t;
                 wave=respCC2DPDN.wave; 
                 plot(time,wave,'LineWidth',3)
                 hold on
                 limit=LSTD.CC2DPDN.limit;
                 p2pMax=respCC2DPDN.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('CC to D+/D-, mv');
                 hold off
              case 2
                 respCC2SBU=getappdata(hMainGui,'respCC2SBU');
                 time=respCC2SBU.t;
                 wave=respCC2SBU.wave;
                 plot(time,wave,'LineWidth',3);
                 hold on
                 limit=LSTD.CC2SBU.limit;
                 p2pMax=respCC2SBU.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('CC2SBU, mv');
                 hold off
              case 3
                 respDN2CC_Act=getappdata(hMainGui,'respDN2CC_Act');   
                 time=respDN2CC_Act.t;
                 wave=respDN2CC_Act.wave;
                 plot(time,wave,'LineWidth',3);
                 hold on                
                 limit=LSTD.DN2CC_FF_Active.limit;
                 p2pMax=respDN2CC_Act.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('D- to CC (Active), mv');
                 hold off
              case 4
                 respDN2CC_Idl=getappdata(hMainGui,'respDN2CC_Idl');   
                 time=respDN2CC_Idl.t;
                 wave=respDN2CC_Idl.wave;
                 plot(time,wave,'LineWidth',3);
                 hold on  
                 limit=LSTD.DN2CC_FF_Idle.limit;
                 p2pMax=respDN2CC_Idl.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('D- to CC (Idle), mv');
                 hold off
              case 5
                 respDPDN2CC_Act=getappdata(hMainGui,'respDPDN2CC_Act');   
                 time=respDPDN2CC_Act.t;
                 wave=respDPDN2CC_Act.wave;
                 plot(time,wave,'LineWidth',3);
                 hold on 
                 limit=LSTD.DPDN2CC_Active.limit;
                 p2pMax=respDPDN2CC_Act.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('D+/D- to CC (Active), mv');
                 hold off   
              case 6
                 respDPDN2CC_Idl=getappdata(hMainGui,'respDPDN2CC_Idl');   
                 time=respDPDN2CC_Idl.t;
                 wave=respDPDN2CC_Idl.wave;
                 plot(time,wave,'LineWidth',3);
                 hold on 
                 limit=LSTD.DPDN2CC_Idle.limit;
                 p2pMax=respDPDN2CC_Idl.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('D+/D- to CC (Idle), mv');
                 hold off 
              case 7
                 respDPDN2SBU=getappdata(hMainGui,'respDPDN2SBU');   
                 time=respDPDN2SBU.t;
                 wave=respDPDN2SBU.wave;                 
                 plot(time,wave,'LineWidth',3);
                 hold on
                 limit=LSTD.DPDN2SBU.limit;
                 p2pMax=respDPDN2SBU.p2pMax;    
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('D+/D- to SBU, mv');
                 hold off
              case 8
                 respSBU2CC_Act=getappdata(hMainGui,'respSBU2CC_Act');   
                 time=respSBU2CC_Act.t;
                 wave=respSBU2CC_Act.wave;
                 plot(time,wave(:,1),time,wave(:,2),'LineWidth',3);
                 hold on
                 limit=LSTD.SBU2CC_Active.limit;
                 p2pMax=respSBU2CC_Act.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(min(wave));
                 maxPt=max(max(wave));
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('SBU2CC_Active Coupling, mv');
                 hold off
              case 9
                 respSBU2CC_Idl=getappdata(hMainGui,'respSBU2CC_Idl');   
                 time=respSBU2CC_Idl.t;
                 wave=respSBU2CC_Idl.wave;                 
                 plot(time,wave(:,1),time,wave(:,2),'LineWidth',3);
                 hold on                 
                 limit=LSTD.SBU2CC_Idle.limit;
                 p2pMax=respSBU2CC_Idl.p2pMax;             
                 ofst=(limit-p2pMax)/2;
                 minPt=min(min(wave));
                 maxPt=max(max(wave));
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('SBU2CC_Idle, mv');
                 hold off 
              case 10
                 respSBU2DPDN=getappdata(hMainGui,'respSBU2DPDN');   
                 time=respSBU2DPDN.t;
                 wave=respSBU2DPDN.wave;                 
                 plot(time,wave(:,1),time,wave(:,2),'LineWidth',3);
                 hold on                 
                 limit=LSTD.SBU2DPDN.limit;
                 p2pMax=respSBU2DPDN.p2pMax;   
                 ofst=(limit-p2pMax)/2;
                 minPt=min(min(wave));
                 maxPt=max(max(wave));
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('SBU2D+/D-, mv');
                 hold off
              case 11
                 respSBU2SBU=getappdata(hMainGui,'respSBU2SBU');   
                 time=respSBU2SBU.t;
                 wave=respSBU2SBU.wave;                 
                 plot(time,wave,'LineWidth',3);
                 hold on                
                 limit=LSTD.SBU2SBU.limit;
                 p2pMax=respSBU2SBU.p2pMax; 
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('SBU2SBU, mv');
                 hold off
          end
     elseif cableType == 4 & LSTD_checked_p == 1
            LSTD=getappdata(hMainGui,'LSTD');
            % Select item to plot
            itemTokeep=getappdata(hMainGui,'itemTokeep');
            switch itemTokeep(val)
                  case 1
                     respCC2DPDN=getappdata(hMainGui,'respCC2DPDN');
                     time=respCC2DPDN.t;
                     wave=respCC2DPDN.wave; 
                     plot(time,wave,'LineWidth',3)
                     hold on
                     limit=LSTD.CC2DPDN.limit;
                     p2pMax=respCC2DPDN.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('CC to D+/D-, mv');
                     hold off
                  case 2
                     respCC2SBU=getappdata(hMainGui,'respCC2SBU');
                     time=respCC2SBU.t;
                     wave=respCC2SBU.wave;
                     plot(time,wave,'LineWidth',3);
                     hold on
                     limit=LSTD.CC2SBU.limit;
                     p2pMax=respCC2SBU.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('CC2SBU, mv');
                     hold off
                  case 3
                     respDN2CC_Act=getappdata(hMainGui,'respDN2CC_Act');   
                     time=respDN2CC_Act.t;
                     wave=respDN2CC_Act.wave;
                     plot(time,wave,'LineWidth',3);
                     hold on                
                     limit=LSTD.DN2CC_FF_Active.limit;
                     p2pMax=respDN2CC_Act.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('D- to CC (Active), mv');
                     hold off
                  case 4
                     respDN2CC_Idl=getappdata(hMainGui,'respDN2CC_Idl');   
                     time=respDN2CC_Idl.t;
                     wave=respDN2CC_Idl.wave;
                     plot(time,wave,'LineWidth',3);
                     hold on  
                     limit=LSTD.DN2CC_FF_Idle.limit;
                     p2pMax=respDN2CC_Idl.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('D- to CC (Idle), mv');
                     hold off
                  case 5
                     respDPDN2CC_Act=getappdata(hMainGui,'respDPDN2CC_Act');   
                     time=respDPDN2CC_Act.t;
                     wave=respDPDN2CC_Act.wave;
                     plot(time,wave,'LineWidth',3);
                     hold on 
                     limit=LSTD.DPDN2CC_Active.limit;
                     p2pMax=respDPDN2CC_Act.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('D+/D- to CC (Active), mv');
                     hold off   
                  case 6
                     respDPDN2CC_Idl=getappdata(hMainGui,'respDPDN2CC_Idl');   
                     time=respDPDN2CC_Idl.t;
                     wave=respDPDN2CC_Idl.wave;
                     plot(time,wave,'LineWidth',3);
                     hold on 
                     limit=LSTD.DPDN2CC_Idle.limit;
                     p2pMax=respDPDN2CC_Idl.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('D+/D- to CC (Idle), mv');
                     hold off 
                  case 7
                     respDPDN2SBU=getappdata(hMainGui,'respDPDN2SBU');   
                     time=respDPDN2SBU.t;
                     wave=respDPDN2SBU.wave;                 
                     plot(time,wave,'LineWidth',3);
                     hold on
                     limit=LSTD.DPDN2SBU.limit;
                     p2pMax=respDPDN2SBU.p2pMax;    
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('D+/D- to SBU, mv');
                     hold off
                  case 8
                     respSBU2CC_Act=getappdata(hMainGui,'respSBU2CC_Act');   
                     time=respSBU2CC_Act.t;
                     wave=respSBU2CC_Act.wave;
                     plot(time,wave(:,1),time,wave(:,2),'LineWidth',3);
                     hold on
                     limit=LSTD.SBU2CC_Active.limit;
                     p2pMax=respSBU2CC_Act.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(min(wave));
                     maxPt=max(max(wave));
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('SBU2CC_Active Coupling, mv');
                     hold off
                  case 9
                     respSBU2CC_Idl=getappdata(hMainGui,'respSBU2CC_Idl');   
                     time=respSBU2CC_Idl.t;
                     wave=respSBU2CC_Idl.wave;                 
                     plot(time,wave(:,1),time,wave(:,2),'LineWidth',3);
                     hold on                 
                     limit=LSTD.SBU2CC_Idle.limit;
                     p2pMax=respSBU2CC_Idl.p2pMax;             
                     ofst=(limit-p2pMax)/2;
                     minPt=min(min(wave));
                     maxPt=max(max(wave));
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('SBU2CC_Idle, mv');
                     hold off 
                  case 10
                     respSBU2DPDN=getappdata(hMainGui,'respSBU2DPDN');   
                     time=respSBU2DPDN.t;
                     wave=respSBU2DPDN.wave;                 
                     plot(time,wave(:,1),time,wave(:,2),'LineWidth',3);
                     hold on                 
                     limit=LSTD.SBU2DPDN.limit;
                     p2pMax=respSBU2DPDN.p2pMax;   
                     ofst=(limit-p2pMax)/2;
                     minPt=min(min(wave));
                     maxPt=max(max(wave));
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('SBU2D+/D-, mv');
                     hold off
                  case 11
                     respSBU2SBU=getappdata(hMainGui,'respSBU2SBU');   
                     time=respSBU2SBU.t;
                     wave=respSBU2SBU.wave;                 
                     plot(time,wave,'LineWidth',3);
                     hold on                
                     limit=LSTD.SBU2SBU.limit;
                     p2pMax=respSBU2SBU.p2pMax; 
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('SBU2SBU, mv');
                     hold off       
            end
     elseif cableType==8 | cableType==9 | cableType==10
            switch val
            case 1
                if ~isempty(ui_result)
                    if ~isempty([S_RFI_diff_1, S_RFI_diff_2])
                        plot(freq_RFI_1,db(S_RFI_diff_1),'b',freq_RFI_2,db(S_RFI_diff_2),'b',...
                            f_RFI_1,Spec_RFI_diff_1,'r',f_RFI_2,Spec_RFI_diff_2,'r','LineWidth',3);
                        xlim([500e6 6e9]);
                        ylim([-90 -20]);
                        ylabel ('Differential mode Coupling, dB');
                    else
                        plot(1,1)
                        disp('Nothing to plot')
                    end
                end
            case 2
                if ~isempty([S_RFI_comm_1, S_RFI_comm_2])
                    plot(freq_RFI_1,db(S_RFI_comm_1),'b',freq_RFI_2,db(S_RFI_comm_2),'b',...
                            f_RFI_1,Spec_RFI_comm_1,'r',f_RFI_2,Spec_RFI_comm_2,'r','LineWidth',3);
                    xlim([500e6 6e9]);
                    ylim([-90 -20]);
                    ylabel ('Common mode Coupling, dB');
                    else
                        plot(1,1)
                        disp('Nothing to plot')
                    end
            end
            
     % CT cable       
     elseif cableType==5 & (LSTD_checked == 0 & LSTD_checked_p == 0)         
            switch val
            case 1
                if ~isempty(ui_result)
                    if ~isempty(cc_usb2)
                        semilogx(f_CC_USB2_spec,CC_USB2_spec,freq_low,db(cc_usb2),'LineWidth',3)
                        xlim([300e3 100e6]);
                        ylim([-80 -10]);
                        ylabel ('CC to D+/D- Coupling, dB');
%                     legend (legend_cc_usb2,'Location','southwest');
                        legend ('Spec. limit','Near end coupling','Far end coupling','Location','southeast');

                    else
                        plot(1,1)
                        disp('Nothing to plot')
                    end
                end
                
              case 2
                if ~isempty(cc_usbDminus)
                    semilogx(f_cc_usbDminus_charge_spec,cc_usbDminus_charge_coupling_spec,freq_low,db(cc_usbDminus),'LineWidth',3)
                    xlim([300e3 100e6]);ylim([-80 -10]);
                    ylabel ('CC to D- Coupling, dB'); 
                    legend ('Spec. limit (Charging only)','Near end coupling','Fear end coupling','Location','southeast');
                else
                    plot(1,1)
                    disp('Nothing to plot')
                end
                
              case 3
                if ~isempty(vbus_usb2)
                    semilogx(f_VBUS_USB2_spec,VBUS_USB2_spec,freq_low,db(vbus_usb2),'LineWidth',3)
                    xlim([300e3 100e6]);ylim([-80 -10]);
                    ylabel ('VBUS to D+/D- Coupling, dB'); 
                    legend ('Spec. limit','Near end coupling','Fear end coupling','Location','Northwest');
                else
                    plot(1,1)
                    disp('Nothing to plot')
                end  
            end
     elseif cableType== 5 & LSTD_checked == 1
          LSTD=getappdata(hMainGui,'LSTD');          
          switch val
              case 1
                 respCC2DPDN=getappdata(hMainGui,'respCC2DPDN');
                 time=respCC2DPDN.t;
                 wave=respCC2DPDN.wave; 
                 plot(time,wave,'LineWidth',3)
                 hold on
                 limit=LSTD.CC2DPDN.limit;
                 p2pMax=respCC2DPDN.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('CC to D+/D-, mv');
                 hold off              
              case 2
                 respDN2CC_Act=getappdata(hMainGui,'respDN2CC_Act');   
                 time=respDN2CC_Act.t;
                 wave=respDN2CC_Act.wave;
                 plot(time,wave,'LineWidth',3);
                 hold on                
                 limit=LSTD.DN2CC_CT_Active.limit;
                 p2pMax=respDN2CC_Act.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('D- to CC (Active), mv');
                 hold off
              case 3
                 respDN2CC_Idl=getappdata(hMainGui,'respDN2CC_Idl');   
                 time=respDN2CC_Idl.t;
                 wave=respDN2CC_Idl.wave;
                 plot(time,wave,'LineWidth',3);
                 hold on  
                 limit=LSTD.DN2CC_CT_Idle.limit;
                 p2pMax=respDN2CC_Idl.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('D- to CC (Idle), mv');
                 hold off
              case 4
                 respDPDN2CC_Act=getappdata(hMainGui,'respDPDN2CC_Act');   
                 time=respDPDN2CC_Act.t;
                 wave=respDPDN2CC_Act.wave;
                 plot(time,wave,'LineWidth',3);
                 hold on 
                 limit=LSTD.DPDN2CC_Active.limit;
                 p2pMax=respDPDN2CC_Act.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('D+/D- to CC (Active), mv');
                 hold off   
              case 5
                 respDPDN2CC_Idl=getappdata(hMainGui,'respDPDN2CC_Idl');   
                 time=respDPDN2CC_Idl.t;
                 wave=respDPDN2CC_Idl.wave;
                 plot(time,wave,'LineWidth',3);
                 hold on 
                 limit=LSTD.DPDN2CC_Idle.limit;
                 p2pMax=respDPDN2CC_Idl.p2pMax;
                 ofst=(limit-p2pMax)/2;
                 minPt=min(wave);
                 maxPt=max(wave);
                 plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                 plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                 xlabel('Time, s'); ylabel('D+/D- to CC (Idle), mv');
                 hold off              
          end
     elseif cableType == 5 & LSTD_checked_p == 1
            LSTD=getappdata(hMainGui,'LSTD');
            % Select item to plot
            itemTokeep=getappdata(hMainGui,'itemTokeep');
            switch itemTokeep(val)
                  case 1
                     respCC2DPDN=getappdata(hMainGui,'respCC2DPDN');
                     time=respCC2DPDN.t;
                     wave=respCC2DPDN.wave; 
                     plot(time,wave,'LineWidth',3)
                     hold on
                     limit=LSTD.CC2DPDN.limit;
                     p2pMax=respCC2DPDN.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('CC to D+/D-, mv');
                     hold off                  
                  case 2
                     respDN2CC_Act=getappdata(hMainGui,'respDN2CC_Act');   
                     time=respDN2CC_Act.t;
                     wave=respDN2CC_Act.wave;
                     plot(time,wave,'LineWidth',3);
                     hold on                
                     limit=LSTD.DN2CC_CT_Active.limit;
                     p2pMax=respDN2CC_Act.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('D- to CC (Active), mv');
                     hold off
                  case 3
                     respDN2CC_Idl=getappdata(hMainGui,'respDN2CC_Idl');   
                     time=respDN2CC_Idl.t;
                     wave=respDN2CC_Idl.wave;
                     plot(time,wave,'LineWidth',3);
                     hold on  
                     limit=LSTD.DN2CC_CT_Idle.limit;
                     p2pMax=respDN2CC_Idl.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('D- to CC (Idle), mv');
                     hold off
                  case 4
                     respDPDN2CC_Act=getappdata(hMainGui,'respDPDN2CC_Act');   
                     time=respDPDN2CC_Act.t;
                     wave=respDPDN2CC_Act.wave;
                     plot(time,wave,'LineWidth',3);
                     hold on 
                     limit=LSTD.DPDN2CC_Active.limit;
                     p2pMax=respDPDN2CC_Act.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('D+/D- to CC (Active), mv');
                     hold off   
                  case 5
                     respDPDN2CC_Idl=getappdata(hMainGui,'respDPDN2CC_Idl');   
                     time=respDPDN2CC_Idl.t;
                     wave=respDPDN2CC_Idl.wave;
                     plot(time,wave,'LineWidth',3);
                     hold on 
                     limit=LSTD.DPDN2CC_Idle.limit;
                     p2pMax=respDPDN2CC_Idl.p2pMax;
                     ofst=(limit-p2pMax)/2;
                     minPt=min(wave);
                     maxPt=max(wave);
                     plot([time(1) time(end)],[maxPt+ofst maxPt+ofst],'LineWidth',3,'Color','red');
                     plot([time(1) time(end)],[minPt-ofst minPt-ofst],'LineWidth',3,'Color','red');
                     xlabel('Time, s'); ylabel('D+/D- to CC (Idle), mv');
                     hold off
            end     

     elseif cableType==3
         switch val
            case 1
                if ~isempty(ui_result)
                    if ~isempty(p2pSS2SS_NEXT)
                        plot(freq*1e-9,db(p2pSS2SS_NEXT),f_XT_spec*1e-9,DDXT_spec,'LineWidth',3)
                        xlabel('Frequency, GHz');
                        ylabel ('p2p SS2SS NEXT, dB'); 
                        ylim([-70 -20]);
                    else
                        plot(1,1)
                        disp('Nothing to plot')
                    end
                end
         end
         
     end
  
     ui_result = get(handles.uitable_result,'Data');
     if ~isempty(ui_result)
         %xlabel('Frequency, Hz');
     end
         
     grid on
     
     

     
% --- Executes during object creation, after setting all properties.
function popupmenu_Spec_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu_Spec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton_compliance.
function pushbutton_compliance_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_compliance (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    % Get the MainGui handle hMainGui
    hMainGui = getappdata(0, 'hMainGui');
    inp=getappdata(hMainGui,'inp');
    rawSp=getappdata(hMainGui,'rawSp');
    rawSpStr=getappdata(hMainGui,'rawSpStr');
    
    % DUT Cable type
    cableType=get(handles.popupmenu_cabletype,'Value');
    
    % Check VNA ports
    VNA12=get(handles.checkbox_VNA_12,'Value');
    VNA8=get(handles.checkbox_VNA_8,'Value');
    VNA4=get(handles.checkbox_VNA_4,'Value');    
    
if cableType == 1 | cableType == 2 | cableType == 6 | cableType == 7
    
    % S-parameter port number
    if VNA12
        m=12; n=1; 
    elseif VNA8
        m=8; 
        if length(rawSp)>=3
            n=3;
        else
            n=length(rawSp);
        end
    elseif VNA4
        m=4;
        if length(rawSp)<15
            n=length(rawSp);
        else
            n=15;
        end
    end
    
    % Reference impedance
    Zref=inp.Zref;
    
    % Renormalization and Mixed mode
    [mix,f]=renomAndmixMode(Zref,n,m,rawSp);   
   
    % Collect needed S-parameters    
    if VNA4  
        [SDD,SDC]=VNA4spAssemble(mix,rawSp);
    elseif VNA8
        [SDD,SDC]=VNA8spAssemble(mix);  
    elseif VNA12        
        [SDD,SDC]=VNA12spAssemble(mix);          
    end
   
    SDD21=SDD.SSIL(:,1); SDD43=SDD.SSIL(:,2); 
    SDD11=SDD.SSRL(:,1); SDD22=SDD.SSRL(:,2); SDD33=SDD.SSRL(:,3); SDD44=SDD.SSRL(:,4);
    SDD31=SDD.SSNXT(:,1); SDD42=SDD.SSNXT(:,2); 
    SDD41=SDD.SSFXT(:,1); SDD32=SDD.SSFXT(:,2);
    
    SDD65=SDD.DDIL; 
    SDD55=SDD.DDRL(:,1); SDD66=SDD.DDRL(:,2);
    SDD51=SDD.D2SNXT(:,1); SDD53=SDD.D2SNXT(:,2);  
    SDD62=SDD.D2SNXT(:,3); SDD64=SDD.D2SNXT(:,4);  
    SDD52=SDD.D2SFXT(:,1); SDD54=SDD.D2SFXT(:,2);
    SDD61=SDD.D2SFXT(:,3); SDD63=SDD.D2SFXT(:,4);
    
    SDC12=SDC.SS(:,1); SDC21=SDC.SS(:,2); SDC34=SDC.SS(:,3); SDC43=SDC.SS(:,4);
    
    % Resample
    %----------------------------------------------------------------------
    SDD21=interp1(f,SDD21,inp.freq);
    SDD43=interp1(f,SDD43,inp.freq);
    SDD65=interp1(f,SDD65,inp.freq);
    
    SDD11=interp1(f,SDD11,inp.freq);
    SDD22=interp1(f,SDD22,inp.freq);
    SDD33=interp1(f,SDD33,inp.freq);
    SDD44=interp1(f,SDD44,inp.freq);
    SDD55=interp1(f,SDD55,inp.freq);
    SDD66=interp1(f,SDD66,inp.freq);
    
    SDC12=interp1(f,SDC12,inp.freq);
    SDC21=interp1(f,SDC21,inp.freq);
    SDC34=interp1(f,SDC34,inp.freq);
    SDC43=interp1(f,SDC43,inp.freq);
    
    SDD31=interp1(f,SDD31,inp.freq);
    SDD42=interp1(f,SDD42,inp.freq);
    
    SDD41=interp1(f,SDD41,inp.freq);
    SDD32=interp1(f,SDD32,inp.freq);
    
    SDD51=interp1(f,SDD51,inp.freq);
    SDD53=interp1(f,SDD53,inp.freq);
    SDD62=interp1(f,SDD62,inp.freq);
    SDD64=interp1(f,SDD64,inp.freq);
    
    if ~isempty(SDD52), SDD52=interp1(f,SDD52,inp.freq); end
    if ~isempty(SDD54), SDD54=interp1(f,SDD54,inp.freq); end
    if ~isempty(SDD61), SDD61=interp1(f,SDD61,inp.freq); end
    if ~isempty(SDD63), SDD63=interp1(f,SDD63,inp.freq); end      
    
    % Get fmax and Nyquist nfrequencies
    %----------------------------------------------------------------------     
    if cableType == 1 
        fmax=inp.fmax_c2c;
        fNq=inp.fNq;
     elseif cableType == 2
        fmax=inp.fmax_c2c(1:2);
        fNq=inp.fNq(1:2); 
    elseif cableType == 6
        fmax=inp.fmax_c2l;
        fNq=inp.fNq(1:2);         
    elseif cableType == 7
        fmax=inp.fmax_c2la;       
        fNq=inp.fNq(1);             
    end
    Tb=0.5./fNq;
    fstep=inp.fstep;    
      
    % Input frequency stecptrum
    %----------------------------------------------------------------------
    % Frequency array 
    omega=2*pi*inp.freq;    
       
    % Input / control parameters    
    fstep=inp.fstep;
    if cableType == 1 
        fmax=inp.fmax_c2c;
        fNq=inp.fNq;
        Tb=inp.Tb;
        Tr=inp.Tr;
        
     elseif cableType == 2
        fmax=inp.fmax_c2c(1:2);
        fNq=inp.fNq(1:2);
        Tb=inp.Tb(1:2);
        Tr=inp.Tr(1:2);
        
    elseif cableType == 6
        fmax=inp.fmax_c2l;
        fNq=inp.fNq(1:2);
        Tb=inp.Tb(1:2);
        Tr=inp.Tr(1:2);
    
    elseif cableType == 7
        fmax(1)=inp.fmax_c2l(1);
        fmax(2)=inp.fmax_c2l(1);
        fNq=inp.fNq(1:2); %fNq=inp.fNq(1);
        Tb=inp.Tb(1:2);   %Tb=inp.Tb(1);
        Tr=inp.Tr(1:2);   %Tr=inp.Tr(1);
    end
   
    % Input pulse spectrum,SS
    for i=1:length(Tb)
        Vin(:,i)=abs(sin(omega*Tr(i)/2)./(omega*Tr(i)/2)).*abs(sin(omega*Tb(i)/2)./(omega*Tb(i)/2));
        if inp.freq(1) == 0
            Vin(1,i)=1;
        end
        
        % Power spectrum
        Pin=Vin(:,i).^2;

        % Normalized power sum
        ID=find(inp.freq==fmax(i));
        Ein(i)=sum(Pin(1:ID))*fstep;
        ID=find(inp.freq==1.2e9); % USB2.0 fmax=1.2GHz 
        Ein_dd(i)=sum(Pin(1:ID))*fstep;
    end    
        
    % Input pulse spectrum,D+/D-
    Tb_dd=2.08e-9;
    Tr_dd=200e-12;
    Vdd(:,1)=abs(sin(omega*Tr_dd/2)./(omega*Tr_dd/2)).*abs(sin(omega*Tb_dd/2)./(omega*Tb_dd/2));
    if inp.freq(1) == 0
        Vdd(1)=1;
    end
          
    % Integrated Return Loss
    %--------------------------------------------------------------------------
    for k=1:length(fNq) 
        ID=find(inp.freq<=fmax(k));
        a=abs(SDD11(ID)).^2+abs(SDD22(ID)).^2;
        b=abs(Vin(ID,k)).^2.*abs(SDD21(ID)).^2.*a*fstep;
        IRL(1,k)=db(sqrt(sum(b)/Ein(k)));
        a=abs(SDD33(ID)).^2+abs(SDD44(ID)).^2;
        b=abs(Vin(ID,k)).^2.*abs(SDD43(ID)).^2.*a*fstep;
        IRL(2,k)=db(sqrt(sum(b)/Ein(k)));
    end
      
    % Integrated NEXT, SS2SS
    %--------------------------------------------------------------------------
    for k=1:length(fNq)
        ID=find(inp.freq<=fmax(k));
        if ~isempty(SDD51)
            a1=(abs(Vin(ID,k)).^2.*(abs(SDD31(ID)).^2+0.125^2*abs(SDC12(ID)).^2)+...
                abs(Vdd(ID)).^2.*abs(SDD51(ID)).^2);
        else
            a1=(abs(Vin(ID,k)).^2.*(abs(SDD31(ID)).^2+0.125^2*abs(SDC12(ID)).^2));
        end            
        INEXT(1,k)=db(sqrt(sum(a1)*fstep/Ein(k)));
        if ~isempty(SDD53)
            a2=(abs(Vin(ID,k)).^2.*(abs(SDD31(ID)).^2+0.125^2*abs(SDC34(ID)).^2)+...
                abs(Vdd(ID)).^2.*abs(SDD53(ID)).^2);
        else
            a2=abs(Vin(ID,k)).^2.*(abs(SDD31(ID)).^2+0.125^2*abs(SDC34(ID)).^2);
        end
        INEXT(2,k)=db(sqrt(sum(a2)*fstep/Ein(k)));        
        if ~isempty(SDD62)
            a1=(abs(Vin(ID,k)).^2.*(abs(SDD42(ID)).^2+0.125^2*abs(SDC21(ID)).^2)+...
                abs(Vdd(ID)).^2.*abs(SDD62(ID)).^2);
        else
            a1=abs(Vin(ID,k)).^2.*(abs(SDD42(ID)).^2+0.125^2*abs(SDC21(ID)).^2);
        end
        INEXT(3,k)=db(sqrt(sum(a1)*fstep/Ein(k)));
        if ~isempty(SDD64)
            a2=(abs(Vin(ID,k)).^2.*(abs(SDD42(ID)).^2+0.125^2*abs(SDC43(ID)).^2)+...
                abs(Vdd(ID)).^2.*abs(SDD64(ID)).^2);
        else
            a2=abs(Vin(ID,k)).^2.*(abs(SDD42(ID)).^2+0.125^2*abs(SDC43(ID)).^2);
        end
        INEXT(4,k)=db(sqrt(sum(a2)*fstep/Ein(k)));        
    end    
    
    % Integrated FEXT, SS2SS
    %--------------------------------------------------------------------------
    for k=1:length(fNq)        
        ID=find(inp.freq<=fmax(k));
        if ~isempty(SDD61)
            a=(abs(Vin(ID,k)).^2.*(abs(SDD41(ID)).^2+0.125^2*abs(SDC12(ID)).^2)+...
               abs(Vdd(ID)).^2.*abs(SDD61(ID)).^2);
        else
            a=abs(Vin(ID,k)).^2.*(abs(SDD41(ID)).^2+0.125^2*abs(SDC12(ID)).^2);
        end
        IFEXT(1,k)=db(sqrt(sum(a)*fstep/Ein(k)));
        if ~isempty(SDD63)
            a=(abs(Vin(ID,k)).^2.*(abs(SDD32(ID)).^2+0.125^2*abs(SDC34(ID)).^2)+...
               abs(Vdd(ID)).^2.*abs(SDD63(ID)).^2);
        else
            a=abs(Vin(ID,k)).^2.*(abs(SDD32(ID)).^2+0.125^2*abs(SDC34(ID)).^2);
        end
        IFEXT(2,k)=db(sqrt(sum(a)*fstep/Ein(k)));
        if ~isempty(SDD52)
            a=(abs(Vin(ID,k)).^2.*(abs(SDD32(ID)).^2+0.125^2*abs(SDC21(ID)).^2)+...
               abs(Vdd(ID)).^2.*abs(SDD52(ID)).^2);
        else
            a=abs(Vin(ID,k)).^2.*(abs(SDD32(ID)).^2+0.125^2*abs(SDC21(ID)).^2);
        end
        IFEXT(3,k)=db(sqrt(sum(a)*fstep/Ein(k)));
        if ~isempty(SDD54)
            a=(abs(Vin(ID,k)).^2.*(abs(SDD41(ID)).^2+0.125^2*abs(SDC43(ID)).^2)+...
               abs(Vdd(ID)).^2.*abs(SDD54(ID)).^2);
        else
            a=abs(Vin(ID,k)).^2.*(abs(SDD41(ID)).^2+0.125^2*abs(SDC43(ID)).^2);
        end
        IFEXT(4,k)=db(sqrt(sum(a)*fstep/Ein(k)));
    end
    
    % Integrated NEXT, Vic=Rx, Agg=Tx and D+/D-
    %--------------------------------------------------------------------------
    if cableType == 6 | cableType == 7 
        for k=1:length(fNq)
            ID=find(inp.freq<=fmax(k));
            if ~isempty(SDD53)
                a1=abs(Vdd(ID)).^2.*abs(SDD53(ID)).^2;
            else
                a1=0;
            end
            if ~isempty(SDD62)
                a2=abs(Vdd(ID)).^2.*abs(SDD62(ID)).^2; 
            else
                a2=0;
            end
            b1=(abs(Vin(ID,k)).^2.*abs(SDD31(ID)).^2+a1)*fstep;
            b2=(abs(Vin(ID,k)).^2.*abs(SDD42(ID)).^2+a2)*fstep;
            ISSXT(1,k)=db(sqrt(sum(b1)/Ein(k))); 
            ISSXT(2,k)=db(sqrt(sum(b2)/Ein(k)));
        end
    else
       ISSXT=[];
    end

        
    % Integrated XT on D+/D-
    %--------------------------------------------------------------------------
    if cableType == 1 | cableType == 2 
        ID=find(inp.freq <= 1.2e9);
        for k=1:length(fNq)
            a1=abs(SDD51(ID)).^2+abs(SDD53(ID)).^2;
            b1=abs(Vin(ID,k)).^2.*a1*fstep;
            IDDXT_NN(1,k)=db(sqrt(sum(b1)/Ein(k)));  
            a2=abs(SDD62(ID)).^2+abs(SDD64(ID)).^2;
            b2=abs(Vin(ID,k)).^2.*a2*fstep;
            IDDXT_NN(2,k)=db(sqrt(sum(b2)/Ein(k)));  
            
            if ~isempty(SDD54) & ~isempty(SDD52) & ~isempty(SDD61) & ~isempty(SDD63)
                a1=abs(SDD51(ID)).^2+abs(SDD54(ID)).^2;
                a2=abs(SDD53(ID)).^2+abs(SDD52(ID)).^2;
                a3=abs(SDD62(ID)).^2+abs(SDD63(ID)).^2;
                a4=abs(SDD64(ID)).^2+abs(SDD61(ID)).^2;
                b1=abs(Vin(ID,k)).^2.*a1*fstep;
                b2=abs(Vin(ID,k)).^2.*a2*fstep;
                b3=abs(Vin(ID,k)).^2.*a3*fstep;
                b4=abs(Vin(ID,k)).^2.*a4*fstep;            
                IDDXT_NF(1,k)=db(sqrt(sum(b1)/Ein(k)));  
                IDDXT_NF(2,k)=db(sqrt(sum(b2)/Ein(k)));
                IDDXT_NF(3,k)=db(sqrt(sum(b3)/Ein(k)));
                IDDXT_NF(4,k)=db(sqrt(sum(b4)/Ein(k)));
            else
                IDDXT_NF=[];  
                IDDXT_NF=[];
                IDDXT_NF=[];
                IDDXT_NF=[];
            end
        end
    end
    
    if cableType == 6 | cableType == 7 
        ID=find(inp.freq <= 1.2e9);
        for k=1:length(fNq)
            if ~isempty(SDD51)
                a1=abs(SDD51(ID)).^2;
            else
                a1=0;
            end
            if ~isempty(SDD54)
                b1=abs(SDD54(ID)).^2;
            else
                b1=0;
            end
            if ~isempty(SDD64)
                 a2=abs(SDD64(ID)).^2;
            else
                a2=0;
            end
            if ~isempty(SDD61)
                b2=abs(SDD61(ID)).^2;
            else
                b2=0;
            end
            
            c1=abs(Vin(ID,k)).^2.*(a1+b1)*fstep;
            IDDXT(1,k)=db(sqrt(sum(c1)/Ein_dd(k)));  
            c2=abs(Vin(ID,k)).^2.*(a2+b2)*fstep;
            IDDXT(2,k)=db(sqrt(sum(c2)/Ein_dd(k)));            
        end
    end
   
    % Insertion loss fit
    SSIL(:,1)=SDD21; SSIL(:,2)=SDD43; 
    %--------------------------------------------------------------------------
    for k=1:length(fNq)

        % Reduce frequency range
        f_red=inp.freq(find(inp.freq<=fmax(k)));

        % Use Sinc function as the weighting function
        sinc_r=Tb(k)*pi*f_red;
        sinc_w=sin(sinc_r)./sinc_r;
        if sinc_r(1)==0
            sinc_w(1)=1;
        end

        % For differential pair
        for i=1:size(SSIL,2)

            ID=find(inp.freq<=fmax(k));
            IL_red=SSIL(ID,i);            
                f=inp.freq(ID);
            % "Propagation constant"
            gamma=log(IL_red); 
            gamma=complex(real(gamma),unwrap(imag(gamma)));
            
            % Extrapolate to DC using the first 5 points
            if f_red(1) ~= 0
                p = polyfit(f_red(1:5),gamma(1:5),1);
                DC=complex(real(p(2)),0);  
            else
                DC=gamma(1);
            end
            

            % Weight- exponentially decay
            v=[0:length(f_red)-1]'/length(f_red);
            W0=exp(-v);     
            % Find optimal weight
            x=[0.0:1:20];
            for ii=1:length(x)
                y(ii)=myIMRfun(x(ii),W0,sinc_w,f_red,IL_red,gamma,DC,fmax(k));
            end
            [miny, ID]=min(y);

            x_pick=x(ID);

            % Least square fit with optimal weight
            W=W0.^x_pick;
            X=[sqrt(f_red/1e6) (f_red/1e6) (f_red/1e6).^1.5];
            Xw=diag(W)*X;
            y=gamma-DC;            
            yw=diag(W)*y;
            b=Xw\yw;

            % Fitting results
            IL_fit=exp(DC+b(1)*sqrt(f_red/1e6)+b(2)*f_red/1e6+b(3)*(f_red/1e6).^1.5); 
            
            % Channel metrics- IL fit @ nyquist
            ILfitatNq(i,k)=db(abs(IL_fit(find(f_red>=fNq(k),1,'first'))));

            % Frequency domain IMR
            ILD=IL_red-IL_fit;
            a=abs(Vin(find(inp.freq<=fmax(k)),k)).^2.*abs(ILD).^2*fstep;
            IMR(i,k)=db(sqrt(sum(a)/Ein(k)));

            res(i,k).f=f_red;
            res(i,k).IL=IL_red;
            res(i,k).IL_fit=IL_fit;

            x=[]; y=[];

        end
    end
     
    setappdata(hMainGui,'res',res);
    
    %----------------------------------------------------------------------
    
    % Names of the spec items for plotting
    itemStr{1}='SSIL:SuperSpeed IL';
    itemStr{2}='DDIL: D+/D- IL';
    itemStr{3}='SSRL: SuperSpeed RL';
    itemStr{4}='SCD12/SCD21: Mode conversion';
    itemStr{5}='DDRL: D+/D- RL';
    itemStr{6}='SSNEXT: SuperSpeed to SuperSpeed NEXT';
    itemStr{7}='SS2DD_NEXT: SuperSpeed to D+/D- NEXT';
    itemStr{8}='SSFEXT: SuperSpeed to SuperSpeed FEXT';
    itemStr{9}='SS2DD_FEXT: SuperSpeed to D+/D- FEXT';
    itemStr{10}='SSILfit: SuperSpeed pair insertion loss fit';
    itemStr{11}='SSILD: SuperSpeed pair insertion loss deviation';
    set(handles.popupmenu_Spec,'String',itemStr);
    set(handles.popupmenu_Spec,'Value',1);
    
       
    % Prepare data to report
    %======================================================================
    
    % Table row and col names
    if cableType <= 2
        if cableType == 1
            IL_colname={'ILfit@2.5GHz','ILfit@2.5GHz Limit','ILfit@5GHz','ILfit@5GHz Limit','ILfit@10GHz','ILfit@10GHz Limit'}; 
        else
            IL_colname={'ILfit@2.5GHz','ILfit@2.5GHz Limit','ILfit@5GHz','ILfit@5GHz Limit'}; 
        end
        IL_rowname={'Pair 1-2', 'Pair 3-4'};
        
        IMRIRL_colname={'IMR','IMR Limit','IRL','IRL Limit'};
        IMRIRL_rowname={'Pair 1-2', 'Pair 3-4'};
        
        IXT1_colname={'INEXT','INEXT Limit'};
        IXT1_rowname={'Vic = 1','Vic = 3','Vic = 2','Vic = 4'};
        
        IXT2_colname={'IFEXT','IFEXT Limit'};
        IXT2_rowname={'Vic = 1','Vic = 3','Vic = 2','Vic = 4'};
        
% Update (2020/12/15)update IMR and IRL for Gen2 and Gen1 - Xiang Li
        if cableType == 1
            IMR_coeff=inp.IMR_c2c_gen2_coeff;
            IRL_coeff=inp.IRL_c2c_gen2_coeff;        
        else
            IMR_coeff=inp.IMR_c2c_gen1_coeff;
            IRL_coeff=inp.IRL_c2c_gen1_coeff;        
        end
% end of update
        
%         IMR_coeff=inp.IMR_c2c_coeff;
%         IRL_coeff=inp.IRL_c2c_coeff;        
    
    else
        if cableType ~= 7
            IL_colname={'ILfit@2.5GHz','ILfit@2.5GHz Limit','ILfit@5GHz','ILfit@5GHz Limit'}; 
            IMR_coeff=inp.IMR_coeff_legacy;
            IRL_coeff=inp.IRL_coeff_legacy;
            IMRIRL_colname={'IMR','IMR Limit','IRL','IRL Limit'};
            IMRIRL_rowname={'Pair 1-2', 'Pair 3-4'};
        else
            IL_colname={'ILfit@2.5GHz','ILfit@2.5GHz Limit','ILfit@5GHz','ILfit@5GHz Limit'}; 
            IMRIRL_colname={'IMR|@2.5GHz','IMR Limit|@2.5GHz','IRL|@2.5GHz','IRL Limit|@2.5GHz',...
                'IMR|@5.0GHz','IMR Limit|@5.0GHz','IRL|@5.0GHz','IRL Limit|@5.0GHz'};
            IMRIRL_rowname={'Pair 1-2', 'Pair 3-4'}; 
        end
        IL_rowname={'Pair 1-2', 'Pair 3-4'};

        IXT1_colname={'ISSXT','ISSXT Limit'};
        IXT1_rowname={'Left Side','Right Side'};
        
        IXT2_colname={'IDDXT','IDDXT Limit'};
        IXT2_rowname={'Left Side','Right Side'};
    
    end
           
    D2C_colname={'Max Mode Conversion', 'Limit'};
    D2C_rowname={'SCD12','SCD21','SCD34','SCD43'};
    
    % Calculate crosstalk limits    
    if cableType ~= 7
        for i=1:size(ILfitatNq,1)
            IMR_limit(i)=IMR_coeff(1)*ILfitatNq(i,2)^2+...
                         IMR_coeff(2)*ILfitatNq(i,2)+...
                         IMR_coeff(3);
            IRL_limit(i)=IRL_coeff(1)*ILfitatNq(i,2)^2+...
                         IRL_coeff(2)*ILfitatNq(i,2)+...
                         IRL_coeff(3);         
        end
    else
        for i=1:size(ILfitatNq,1)
            IMR_limit(i)=inp.IMR_adaptor(i);
            IRL_limit(i)=inp.IRL_adaptor(i);
        end
    end
    
    % Get limits for ILfitatNq 
    if cableType == 1
        ILfitatNq_limit=inp.ILfitatNq_c2c_gen2; 
        DD_Loss_limit=inp.IL_c2c_dd;
    elseif cableType == 2
        ILfitatNq_limit=inp.ILfitatNq_c2c_gen1;
        DD_Loss_limit=inp.IL_c2c_dd;
    elseif cableType == 6
        ILfitatNq_limit=inp.ILfitatNq_stdA_legacy;
        DD_Loss_limit=inp.IL_c2l_dd;
    elseif cableType == 7
        ILfitatNq_limit=inp.ILfitatNq_adaptor;
        DD_Loss_limit=inp.IL_adaptor_dd;
    end
    
    % Combine ILfit, IMR and IRL with limits
    for i=1:size(ILfitatNq,1)
        tmp=[];
        for j=1:size(ILfitatNq,2)
            tmp=[tmp ILfitatNq(i,j) ILfitatNq_limit(j)];
        end
        ILData(i,:)=tmp;        
        
        if cableType ~= 7
            IMR_IRL_Data(i,:)=[IMR(i,2) IMR_limit(i) IRL(i,2) IRL_limit(i)];
        else
            %IMR_IRL_Data(i,:)=[IMR(i,1) IMR_limit(i) IRL(i,1) IRL_limit(i)];
            IMR_IRL_Data_Gen1(i,:)=[IMR(i,1) IMR_limit(1) IRL(i,1) IRL_limit(1)];
            IMR_IRL_Data_Gen2(i,:)=[IMR(i,2) IMR_limit(2) IRL(i,2) IRL_limit(2)];
            IMR_IRL_Data=[IMR_IRL_Data_Gen1,IMR_IRL_Data_Gen2];
        end
    end
    
    %IMR_IRL_Data
    
    % D+/D- Attenuation
    if cableType==1 | cableType==2 
        fdd_mea=inp.f_c2c_dd;
    elseif cableType==6
        fdd_mea=inp.f_c2l_dd;
    elseif cableType==7
        fdd_mea=inp.f_adator_dd;
    end    
      
    if cableType ~= 7        
        for i=1:length(fdd_mea)
            ID=max(find(inp.freq<=fdd_mea(i)*1e6));
            IL_dd(i)=db(SDD65(ID));
            IL_dd_Data(i,:)=[IL_dd(i) DD_Loss_limit(i)];
        end
    else
        ID=max(find(inp.freq<=fdd_mea(2)*1e6));
        IL_dd=db(SDD65(ID));
        IL_dd_Data=[IL_dd DD_Loss_limit(2)];
    end
        
    
    %IL_dd_Data   
    
    
    % Crosstalk
    if cableType <= 2
        for i=1:size(INEXT,1)
           IXT1_Data(i,:)=[INEXT(i,2)  inp.INEXT_c2c];
           IXT2_Data(i,:)=[IFEXT(i,2)  inp.IFEXT_c2c];
        end
        for i=1:size(IDDXT_NN,1)
            IXT3_Data(i,:)=[IDDXT_NN(i,2)  inp.IDDXT_c2c_NN_limit];
        end
        
        if ~isempty(IDDXT_NF)
            for i=1:size(IDDXT_NF,1)
                IXT4_Data(i,:)=[IDDXT_NF(i,2)  inp.IDDXT_c2c_NF_limit];
            end
        else
            IXT4_Data=[];
        end
    elseif cableType == 6     
        for i=1:size(ISSXT,1)
            IXT1_Data(i,:)=[ISSXT(i,2), inp.ISSXT_legacy];
        end
        for i=1:size(IDDXT,1)
            IXT2_Data(i,:)=[IDDXT(i,2), inp.IDDXT_legacy];
        end
    elseif cableType == 7 
        for i=1:size(ISSXT,1)
%             IXT1_Data(i,:)=[ISSXT(i,1), inp.ISSXT_adaptor];
            IXT1_Data(i,:)=[ISSXT(i,2), inp.ISSXT_adaptor];
        end
        for i=1:size(ISSXT,1)
%             IXT2_Data(i,:)=[IDDXT(i,1), inp.IDDXT_adaptor];
            IXT2_Data(i,:)=[IDDXT(i,2), inp.IDDXT_adaptor];
        end
    end
       
       
    % Diff2Comm mode conversion
    SSD2C(:,1)=SDC12; SSD2C(:,2)=SDC21; SSD2C(:,3)=SDC34; SSD2C(:,4)=SDC43;
    if cableType ~= 7
        ID=find(inp.freq<=10e9);
    else 
        ID=find(inp.freq<=7.5e9);
    end
    for i=1:size(SSD2C,2)
        if cableType ~= 7
            if cableType == 2
                SSD2C_Data(i,:)=[max(db(SSD2C(ID,i)))  inp.CM_limit_gen1];
            else
                SSD2C_Data(i,:)=[max(db(SSD2C(ID,i)))  inp.CM_limit];
            end
        else
            SSD2C_Data(i,:)=[max(db(SSD2C(ID,i)))  inp.CM_adaptor_limit];
        end
            
    end    
  
    %======================================================================
    
    DetailReport;
    
    hDetailReport = getappdata(0, 'hDetailReport');    
    htable = findobj(hDetailReport, 'tag', 'uitable_IL');
    set(htable,'RowName',IL_rowname);
    set(htable,'ColumnName',IL_colname);
    set(htable,'ColumnWidth',{80,120,80,120,80,120});
    set(htable,'Data',ILData);
    
    htable = findobj(hDetailReport, 'tag', 'uitable_IMR');
    set(htable,'RowName',IMRIRL_rowname);
    set(htable,'ColumnName',IMRIRL_colname);
    set(htable,'Data',IMR_IRL_Data);
    
    htable = findobj(hDetailReport, 'tag', 'uitable_XT1');
    set(htable,'RowName',IXT1_rowname);
    set(htable,'ColumnName',IXT1_colname);
    set(htable,'Data',IXT1_Data);
    
    htable = findobj(hDetailReport, 'tag', 'uitable_XT2');
    set(htable,'RowName',IXT2_rowname);
    set(htable,'ColumnName',IXT2_colname);
    set(htable,'Data',IXT2_Data);
    
    htable = findobj(hDetailReport, 'tag', 'uitable_D2C');
    set(htable,'RowName',D2C_rowname);
    set(htable,'ColumnName',D2C_colname);
    set(htable,'Data',SSD2C_Data);
    
    if cableType <= 2
        htext = findobj(hDetailReport, 'tag', 'XT1_text');
        set(htext,'String','Integrated Near-End Crosstalk');
        htext = findobj(hDetailReport, 'tag', 'XT2_text');
        set(htext,'String','Integrated Far-End Crosstalk');
        
    else
        htext = findobj(hDetailReport, 'tag', 'XT1_text');
        set(htext,'String','Integrated Crosstalk on SuperSpeed Pair');
        htext = findobj(hDetailReport, 'tag', 'XT2_text');
        set(htext,'String','Integrated Crosstalk on D+/D- Pair');
    end
        
    %======================================================================
    
        
    % Pass/fail summary    
    if cableType == 1
        tableData{1,1}=num2str(round(min(ILData(:,1))*10)/10); 
        tableData{1,2}=num2str(ILData(1,2));
        tableData{2,1}=num2str(round(min(ILData(:,3))*10)/10); 
        tableData{2,2}=num2str(ILData(1,4));
        tableData{3,1}=num2str(round(min(ILData(:,5))*10)/10); 
        tableData{3,2}=num2str(ILData(1,6));
        
        [C,I]=max(IMR_IRL_Data(:,1)-IMR_IRL_Data(:,2));
        tableData{4,1}=num2str(round(IMR_IRL_Data(I,1)*10)/10); 
        tableData{4,2}=num2str(round(IMR_IRL_Data(I,2)*10)/10); 
        
        [C,I]=max(IMR_IRL_Data(:,3)-IMR_IRL_Data(:,4));
        tableData{5,1}=num2str(round(IMR_IRL_Data(I,3)*10)/10); 
        tableData{5,2}=num2str(round(IMR_IRL_Data(I,4)*10)/10); 
        
        [C,I]=max(IXT1_Data(:,1)-IXT1_Data(:,2));
        tableData{6,1}=num2str(round(IXT1_Data(I,1)*10)/10); 
        tableData{6,2}=num2str(round(IXT1_Data(I,2)*10)/10); 
        
        [C,I]=max(IXT2_Data(:,1)-IXT2_Data(:,2));
        tableData{7,1}=num2str(round(IXT2_Data(I,1)*10)/10); 
        tableData{7,2}=num2str(round(IXT2_Data(I,2)*10)/10);        
        
        tableData{8,1}=num2str(round(max(SSD2C_Data(:,1))*10)/10); 
        tableData{8,2}=num2str(round(SSD2C_Data(1,2)*10)/10);
        
        tableData{9,1}=num2str(round(IL_dd_Data(1,1)*100)/100); 
        tableData{9,2}=num2str(round(IL_dd_Data(1,2)*100)/100); 
        tableData{10,1}=num2str(round(IL_dd_Data(2,1)*100)/100); 
        tableData{10,2}=num2str(round(IL_dd_Data(2,2)*100)/100);
        tableData{11,1}=num2str(round(IL_dd_Data(3,1)*100)/100); 
        tableData{11,2}=num2str(round(IL_dd_Data(3,2)*100)/100); 
        tableData{12,1}=num2str(round(IL_dd_Data(4,1)*100)/100); 
        tableData{12,2}=num2str(round(IL_dd_Data(4,2)*100)/100);
        
        [C,I]=max(IXT3_Data(:,1));
        tableData{13,1}=num2str(round(IXT3_Data(I,1)*10)/10); 
        tableData{13,2}=num2str(round(IXT3_Data(I,2)*10)/10);         
        
        if ~isempty(IXT4_Data)
            [C,I]=max(IXT4_Data(:,1));
            tableData{14,1}=num2str(round(IXT4_Data(I,1)*10)/10); 
            tableData{14,2}=num2str(round(IXT4_Data(I,2)*10)/10); 
        else
            tableData{14,1}='';
            tableData{14,2}='-34.5 dB';
        end
            
        
        for i=1:14
            if str2num(tableData{i,1})<=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        for i=1:3
            if str2num(tableData{i,1})>=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        for i=9:12
            if str2num(tableData{i,1})>=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        tableData{14,3}='Informative';
        
    elseif cableType == 2  
        tableData{1,1}=num2str(round(min(ILData(:,1))*10)/10); 
        tableData{1,2}=num2str(ILData(1,2));
        tableData{2,1}=num2str(round(min(ILData(:,3))*10)/10); 
        tableData{2,2}=num2str(ILData(1,4));        
        
        [C,I]=max(IMR_IRL_Data(:,1)-IMR_IRL_Data(:,2));
        tableData{3,1}=num2str(round(IMR_IRL_Data(I,1)*10)/10); 
        tableData{3,2}=num2str(round(IMR_IRL_Data(I,2)*10)/10); 
        
        [C,I]=max(IMR_IRL_Data(:,3)-IMR_IRL_Data(:,4));
        tableData{4,1}=num2str(round(IMR_IRL_Data(I,3)*10)/10); 
        tableData{4,2}=num2str(round(IMR_IRL_Data(I,4)*10)/10); 
        
        [C,I]=max(IXT1_Data(:,1)-IXT1_Data(:,2));
        tableData{5,1}=num2str(round(IXT1_Data(I,1)*10)/10); 
        tableData{5,2}=num2str(round(IXT1_Data(I,2)*10)/10); 
        
        [C,I]=max(IXT2_Data(:,1)-IXT2_Data(:,2));
        tableData{6,1}=num2str(round(IXT2_Data(I,1)*10)/10); 
        tableData{6,2}=num2str(round(IXT2_Data(I,2)*10)/10);        
        
        tableData{7,1}=num2str(round(max(SSD2C_Data(:,1))*10)/10); 
        tableData{7,2}=num2str(round(SSD2C_Data(1,2)*10)/10);
        
        tableData{8,1}=num2str(round(IL_dd_Data(1,1)*100)/100); 
        tableData{8,2}=num2str(round(IL_dd_Data(1,2)*100)/100); 
        tableData{9,1}=num2str(round(IL_dd_Data(2,1)*100)/100); 
        tableData{9,2}=num2str(round(IL_dd_Data(2,2)*100)/100);
        tableData{10,1}=num2str(round(IL_dd_Data(3,1)*100)/100); 
        tableData{10,2}=num2str(round(IL_dd_Data(3,2)*100)/100); 
        tableData{11,1}=num2str(round(IL_dd_Data(4,1)*100)/100); 
        tableData{11,2}=num2str(round(IL_dd_Data(4,2)*100)/100);
        
        [C,I]=max(IXT3_Data(:,1));
        tableData{12,1}=num2str(round(IXT3_Data(I,1)*10)/10); 
        tableData{12,2}=num2str(round(IXT3_Data(I,2)*10)/10); 
        
        [C,I]=max(IXT4_Data(:,1));
        tableData{13,1}=num2str(round(IXT4_Data(I,1)*10)/10); 
        tableData{13,2}=num2str(round(IXT4_Data(I,2)*10)/10); 
        
        for i=1:13
            if str2num(tableData{i,1})<=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        for i=1:2
            if str2num(tableData{i,1})>=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        for i=8:11
            if str2num(tableData{i,1})>=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        tableData{13,3}='Informative';
        
    elseif cableType == 6
        tableData{1,1}=num2str(round(min(ILData(:,1))*10)/10); 
        tableData{1,2}=num2str(ILData(1,2));
        tableData{2,1}=num2str(round(min(ILData(:,3))*10)/10); 
        tableData{2,2}=num2str(ILData(1,4));        
        
        [C,I]=max(IMR_IRL_Data(:,1)-IMR_IRL_Data(:,2));
        tableData{3,1}=num2str(round(IMR_IRL_Data(I,1)*10)/10); 
        tableData{3,2}=num2str(round(IMR_IRL_Data(I,2)*10)/10); 
        
        [C,I]=max(IMR_IRL_Data(:,3)-IMR_IRL_Data(:,4));
        tableData{4,1}=num2str(round(IMR_IRL_Data(I,3)*10)/10); 
        tableData{4,2}=num2str(round(IMR_IRL_Data(I,4)*10)/10); 
        
        [C,I]=max(IXT1_Data(:,1)-IXT1_Data(:,2));
        tableData{5,1}=num2str(round(IXT1_Data(I,1)*10)/10); 
        tableData{5,2}=num2str(round(IXT1_Data(I,2)*10)/10); 
        
        [C,I]=max(IXT2_Data(:,1)-IXT2_Data(:,2));
        tableData{6,1}=num2str(round(IXT2_Data(I,1)*10)/10); 
        tableData{6,2}=num2str(round(IXT2_Data(I,2)*10)/10);        
        
        tableData{7,1}=num2str(round(max(SSD2C_Data(:,1))*10)/10); 
        tableData{7,2}=num2str(round(SSD2C_Data(1,2)*10)/10);
        
        tableData{8,1}=num2str(round(IL_dd_Data(1,1)*100)/100); 
        tableData{8,2}=num2str(round(IL_dd_Data(1,2)*100)/100); 
        tableData{9,1}=num2str(round(IL_dd_Data(2,1)*100)/100); 
        tableData{9,2}=num2str(round(IL_dd_Data(2,2)*100)/100);
        tableData{10,1}=num2str(round(IL_dd_Data(3,1)*100)/100); 
        tableData{10,2}=num2str(round(IL_dd_Data(3,2)*100)/100); 
        tableData{11,1}=num2str(round(IL_dd_Data(4,1)*100)/100); 
        tableData{11,2}=num2str(round(IL_dd_Data(4,2)*100)/100);
        
        for i=1:11
            if str2num(tableData{i,1})<=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        for i=1:2
            if str2num(tableData{i,1})>=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        for i=8:11
            if str2num(tableData{i,1})>=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end        
    
    elseif cableType == 7
        tableData{1,1}=num2str(round(min(ILData(:,1))*10)/10); 
        tableData{1,2}=num2str(ILData(1,2));
        
        tableData{2,1}=num2str(round(min(ILData(:,3))*10)/10); 
        tableData{2,2}=num2str(ILData(1,4));        
        
        [C,I]=max(IMR_IRL_Data(:,1)-IMR_IRL_Data(:,2));
        tableData{3,1}=num2str(round(IMR_IRL_Data(I,1)*10)/10); 
        tableData{3,2}=num2str(round(IMR_IRL_Data(I,2)*10)/10); 
        
        [C,I]=max(IMR_IRL_Data(:,5)-IMR_IRL_Data(:,6));
        tableData{4,1}=num2str(round(IMR_IRL_Data(I,5)*10)/10); 
        tableData{4,2}=num2str(round(IMR_IRL_Data(I,6)*10)/10); 
        
        [C,I]=max(IMR_IRL_Data(:,3)-IMR_IRL_Data(:,3));
        tableData{5,1}=num2str(round(IMR_IRL_Data(I,3)*10)/10); 
        tableData{5,2}=num2str(round(IMR_IRL_Data(I,4)*10)/10); 
        
        [C,I]=max(IMR_IRL_Data(:,7)-IMR_IRL_Data(:,8));
        tableData{6,1}=num2str(round(IMR_IRL_Data(I,7)*10)/10); 
        tableData{6,2}=num2str(round(IMR_IRL_Data(I,8)*10)/10); 
          
        [C,I]=max(IXT1_Data(:,1)-IXT1_Data(:,2));
        tableData{7,1}=num2str(round(IXT1_Data(I,1)*10)/10); 
        tableData{7,2}=num2str(round(IXT1_Data(I,2)*10)/10); 
        
        [C,I]=max(IXT2_Data(:,1)-IXT2_Data(:,2));
        tableData{8,1}=num2str(round(IXT2_Data(I,1)*10)/10); 
        tableData{8,2}=num2str(round(IXT2_Data(I,2)*10)/10);        
        
        tableData{9,1}=num2str(round(max(SSD2C_Data(:,1))*10)/10); 
        tableData{9,2}=num2str(round(SSD2C_Data(1,2)*10)/10);
        
        tableData{10,1}=num2str(round(IL_dd_Data(1,1)*100)/100); 
        tableData{10,2}=num2str(round(IL_dd_Data(1,2)*100)/100); 
        
        for i=1:10
            if str2num(tableData{i,1})<=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        for i=1:2
            if str2num(tableData{i,1})>=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end
        for i=10:10
            if str2num(tableData{i,1})>=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        end        

    end
    set(handles.uitable_result,'Data',tableData)
    
    axes(handles.axes_plot)
%     if cableType == 5
%         f=res(1,1).f;
%         IL=res(1,1).IL;
%         IL_fit=res(1,1).IL_fit;
%     else
        f=res(1,2).f;
        IL=res(1,2).IL;
        IL_fit=res(1,2).IL_fit;
%     end
    plot(f,db(IL),f,db(IL_fit),'LineWidth',3)
    legend('IL','IL fit');
    ylabel ('IL Fit, dB');
    grid on
    
   
    % Save
    setappdata(hMainGui,'SSIL',SSIL);
    setappdata(hMainGui,'SSD2C',SSD2C);
    DDIL=SDD65;
    setappdata(hMainGui,'DDIL',DDIL);
    SSRL(:,1)=SDD11; SSRL(:,2)=SDD22; SSRL(:,3)=SDD33; SSRL(:,4)=SDD44;
    setappdata(hMainGui,'SSRL',SSRL);
    if ~isempty(SDD55)
        DDRL(:,1)=SDD55; DDRL(:,2)=SDD66;
    else
        DDRL=[];
    end
    setappdata(hMainGui,'DDRL',DDRL);
    SS2SS_NEXT(:,1)=SDD31; SS2SS_NEXT(:,2)=SDD42;
    setappdata(hMainGui,'SS2SS_NEXT',SS2SS_NEXT);
    if ~isempty(SDD51) & ~isempty(SDD53) & ~isempty(SDD62) & ~isempty(SDD64)    
        SS2DD_NEXT(:,1)=SDD51; SS2DD_NEXT(:,2)=SDD53; SS2DD_NEXT(:,3)=SDD62; SS2DD_NEXT(:,4)=SDD64;
    else
        SS2DD_NEXT=[];
    end
    setappdata(hMainGui,'SS2DD_NEXT',SS2DD_NEXT);
    SS2SS_FEXT(:,1)=SDD41; SS2SS_FEXT(:,2)=SDD32;
    setappdata(hMainGui,'SS2SS_FEXT',SS2SS_FEXT);
    if ~isempty(SDD52) & ~isempty(SDD54) & ~isempty(SDD61) & ~isempty(SDD63) 
        SS2DD_FEXT(:,1)=SDD52; SS2DD_FEXT(:,2)=SDD54; SS2DD_FEXT(:,3)=SDD61; SS2DD_FEXT(:,4)=SDD63;
    else
        SS2DD_FEXT=[];
    end
    setappdata(hMainGui,'SS2DD_FEXT',SS2DD_FEXT);  

%==================================================================
elseif cableType == 4  % LS   
    check_LSTD1=get(handles.checkbox5,'Value');
    check_LSTD2=get(handles.checkbox8,'Value');
    if check_LSTD1 == 0 & check_LSTD2 == 0
        LSCableFDEV; 
        set(handles.checkbox5,'Enable','on');
        if isempty(failedItems)
            set(handles.checkbox8,'Enable','off');
        else
            set(handles.checkbox8,'Enable','on');
        end
    elseif check_LSTD1 == 1
        LSCableTDEV_Full;
        set(handles.checkbox8,'Enable','off');
    elseif check_LSTD2 == 1
        LSCableTDEV_Partial;        
    end
elseif cableType == 5
    check_LSTD1=get(handles.checkbox5,'Value');
    check_LSTD2=get(handles.checkbox8,'Value');
    if check_LSTD1 == 0 & check_LSTD2 == 0
        LSCableEV_CT;
        set(handles.checkbox5,'Enable','on');
        if isempty(failedItems)
            set(handles.checkbox8,'Enable','off');
        else
            set(handles.checkbox8,'Enable','on');
        end
    elseif check_LSTD1 == 1
        LSCableTDEV_CT_Full;
        set(handles.checkbox8,'Enable','off');
    elseif check_LSTD2 == 1
        LSCableTDEV_CT_Partial;
    end
elseif cableType == 8 | cableType == 9 | cableType == 10 
    if VNA12
        m=12; n=1; 
    elseif VNA8
        m=8; n=1;
    elseif VNA4
        m=4; n=1;
    end

    Zref=50;
 
    if ~strcmp(rawSpStr{1},'Not Defined')           
            f=rawSp{1}.f;
            S=rawSp{1}.S;
            Z0=rawSp{1}.Z0;

            % Renoramlize impedance
            if Zref ~= Z0
            rho=(Zref-Z0)/(Zref+Z0);
                for k=1:size(S,3)
                    S(:,:,k)=inv(eye(m,m)-rho*S(:,:,k))*(S(:,:,k)-rho*eye(m,m));
                end
            end
            for k=1:size(S,3)
                mix{1}.S(:,:,k)=S(:,:,k);
            end
       else
            mix{1}.S=[];
    end

    itemStr{1}='Differential coupling';
    itemStr{2}='Common coupling';
    set(handles.popupmenu_Spec,'String',itemStr);
    set(handles.popupmenu_Spec,'Value',1);  
 
    if ~strcmp(rawSpStr{1},'Not Defined')
        f=rawSp{1}.f;
        f_1=500e6; 
        f_2=4000e6;
        f_3=5000e6;
        f_4=6000e6;
        ID=find(f>=f_1 & f<=f_2 | f>=f_3 & f<=f_4);
        f_RFI=f(ID);
        if ~isempty(f_RFI)
            % Differential mode coupling
            diff= squeeze((mix{1}.S(1,2,:) - mix{1}.S(1,3,:))/sqrt(2));
            S_RFI_diff_1=interp1(f,diff,inp.freq_RFI_1);
            S_RFI_diff_2=interp1(f,diff,inp.freq_RFI_2);
            S_RFI_diff=[S_RFI_diff_1,S_RFI_diff_2];
            
            % Common mode coupling
            comm= squeeze((mix{1}.S(1,2,:) + mix{1}.S(1,3,:))/sqrt(2));
            S_RFI_comm_1=interp1(f,comm,inp.freq_RFI_1);
            S_RFI_comm_2=interp1(f,comm,inp.freq_RFI_2);
            S_RFI_comm=[S_RFI_comm_1,S_RFI_comm_2];
        else
            disp('Frequency of RFI measurment is out of range');
            S_RFI_diff_1=[]; S_RFI_diff_2=[];
            S_RFI_comm_1=[]; S_RFI_comm_2=[];
            S_RFI_diff=[]; S_RFI_comm=[];
        end
    else
        S_RFI_diff_1=[]; S_RFI_diff_2=[];
        S_RFI_comm_1=[]; S_RFI_comm_2=[];
        S_RFI_diff=[]; S_RFI_comm=[];
    end
 
    if cableType == 8
        interp_diff_RFI_spec_1 = interp1(inp.f_RFI_1,inp.RFI_diff_typeC_1,inp.freq_RFI_1);
        interp_diff_RFI_spec_2 = interp1(inp.f_RFI_2,inp.RFI_diff_typeC_2,inp.freq_RFI_2);
        interp_diff_RFI_spec = [interp_diff_RFI_spec_1,interp_diff_RFI_spec_2];
 
        interp_comm_RFI_spec_1 = interp1(inp.f_RFI_1,inp.RFI_comm_typeC_1,inp.freq_RFI_1);
        interp_comm_RFI_spec_2 = interp1(inp.f_RFI_2,inp.RFI_comm_typeC_2,inp.freq_RFI_2);
        interp_comm_RFI_spec = [interp_comm_RFI_spec_1,interp_comm_RFI_spec_2];
    
    elseif cableType == 9
        interp_diff_RFI_spec_1 = interp1(inp.f_RFI_1,inp.RFI_diff_legacy_1,inp.freq_RFI_1);
        interp_diff_RFI_spec_2 = interp1(inp.f_RFI_2,inp.RFI_diff_legacy_2,inp.freq_RFI_2);
        interp_diff_RFI_spec = [interp_diff_RFI_spec_1,interp_diff_RFI_spec_2];
 
        interp_comm_RFI_spec_1 = interp1(inp.f_RFI_1,inp.RFI_comm_legacy_1,inp.freq_RFI_1);
        interp_comm_RFI_spec_2 = interp1(inp.f_RFI_2,inp.RFI_comm_legacy_2,inp.freq_RFI_2);
        interp_comm_RFI_spec = [interp_comm_RFI_spec_1,interp_comm_RFI_spec_2];
        
    elseif cableType == 10
        interp_diff_RFI_spec_1 = interp1(inp.f_RFI_1,inp.RFI_diff_adaptor_1,inp.freq_RFI_1);
        interp_diff_RFI_spec_2 = interp1(inp.f_RFI_2,inp.RFI_diff_adaptor_2,inp.freq_RFI_2);
        interp_diff_RFI_spec = [interp_diff_RFI_spec_1,interp_diff_RFI_spec_2];
 
        interp_comm_RFI_spec_1 = interp1(inp.f_RFI_1,inp.RFI_comm_adaptor_1,inp.freq_RFI_1);
        interp_comm_RFI_spec_2 = interp1(inp.f_RFI_2,inp.RFI_comm_adaptor_2,inp.freq_RFI_2);
        interp_comm_RFI_spec = [interp_comm_RFI_spec_1,interp_comm_RFI_spec_2];    
    end

    setappdata(hMainGui,'S_RFI_diff_1',S_RFI_diff_1);
    setappdata(hMainGui,'S_RFI_diff_2',S_RFI_diff_2);
    setappdata(hMainGui,'S_RFI_comm_1',S_RFI_comm_1);
    setappdata(hMainGui,'S_RFI_comm_2',S_RFI_comm_2);

    for i=1:size(S_RFI_diff,2)
        delta_S_diff(:,i)= interp_diff_RFI_spec(:,i) - db(S_RFI_diff(:,i));
    end
    if min(delta_S_diff(:))<0
       tableData{1,2}=['Fail'];      else tableData{1,2}=['Pass']; 
    end
       tableData{1,1}=[num2str(round(min(delta_S_diff(:))*10)/10),'dB']; 
    
    for i=1:size(S_RFI_comm,2)
        delta_S_comm(:,i)= interp_comm_RFI_spec(:,i) - db(S_RFI_comm(:,i));
    end
    if min(delta_S_comm(:))<0
       tableData{2,2}=['Fail'];      else tableData{2,2}=['Pass']; 
    end
    tableData{2,1}=[num2str(round(min(delta_S_comm(:))*10)/10),'dB'];   
      
    set(handles.uitable_result,'Data',tableData);
      
    popupmenu_Spec_Callback(handles.popupmenu_Spec, '', handles);
    

%===========================================================================
elseif cableType == 3
    
    % S-parameter port number
    if VNA12
        n=1; 
    elseif VNA8
        n=1;        
    elseif VNA4
        n=4; 
        if length(rawSp)<4
            n=length(rawSp);        
        end
    end
    
    % Reference impedance
    Zref=inp.Zref;
    
    for i=1:n        
        if ~strcmp(rawSpStr{i},'Not Defined')           
            f=rawSp{i}.f;
            S=rawSp{i}.S;
            Z0=rawSp{i}.Z0;
            m=size(S,1);

            % Renoramlize impedance
            if Zref ~= Z0
            rho=(Zref-Z0)/(Zref+Z0);
                for k=1:size(S,3)
                    new{i}.S(:,:,k)=inv(eye(m,m)-rho*S(:,:,k))*(S(:,:,k)-rho*eye(m,m));
                end
            end
        else
             new{i}.S=[];
        end            
    end
        
    if VNA4  
        for i=1:n
            if ~isempty(new{i}.S) 
                p2p{i}.NEXT=squeeze(0.5*(new{i}.S(1,2,:)+new{i}.S(3,4,:)-new{i}.S(1,4,:)-new{i}.S(2,3,:)));
            else
                p2p{i}.NEXT=[];
            end
        end 
    
    else
        p2p{1}.NEXT=squeeze(0.5*(new{i}.S(1,2,:)+new{i}.S(3,4,:)-new{i}.S(1,4,:)-new{i}.S(2,3,:)));
        p2p{2}.NEXT=squeeze(0.5*(new{i}.S(1,6,:)+new{i}.S(3,8,:)-new{i}.S(1,8,:)-new{i}.S(3,6,:)));
        p2p{3}.NEXT=squeeze(0.5*(new{i}.S(2,5,:)+new{i}.S(4,7,:)-new{i}.S(2,7,:)-new{i}.S(4,5,:)));
        p2p{4}.NEXT=squeeze(0.5*(new{i}.S(5,6,:)+new{i}.S(7,8,:)-new{i}.S(5,8,:)-new{i}.S(6,7,:)));        
    end
   
    % Resample
    for i=1:4
        if ~isempty(p2p{i}.NEXT)    
            p2p{i}.NEXT=interp1(f,p2p{i}.NEXT,inp.freq);
        end
    end
    
    % Frequency array 
    omega=2*pi*inp.freq;    
       
    % Input / control parameters    
    fstep=inp.fstep;
    fmax=inp.fmax_c2c(2);
    fNq=inp.fNq(2);
    Tb=inp.Tb(2);
    Tr=inp.Tr(2);    
   
    % Input pulse spectrum,SS    
    Vin(:,1)=abs(sin(omega*Tr/2)./(omega*Tr/2)).*abs(sin(omega*Tb/2)./(omega*Tb/2));
    if inp.freq(1) == 0
        Vin(1,1)=1;
    end

    % Power spectrum
    Pin=Vin(:,1).^2;

    % Normalized power sum
    ID=find(inp.freq==fmax);
    Ein=sum(Pin(1:ID))*fstep;  
        
    % Integrated p2p NEXT, SS2SS    
    for i=1:4
        ID=find(inp.freq<=fmax);
        if ~isempty(p2p{i}.NEXT)
            a=abs(Vin(ID)).^2.*abs(p2p{i}.NEXT(ID)).^2;
            INEXTp2p(i)=db(sqrt(sum(a)*fstep/Ein));
        else
            INEXTp2p(i)=9999;
        end
    end
     
    % Names of the spec items for plotting
    itemStr{1}='SuperSpeed p2p NEXT';
    set(handles.popupmenu_Spec,'String',itemStr);
    set(handles.popupmenu_Spec,'Value',1);
    
    % Pass/fail summary    
    for i=1:4
        if INEXTp2p(i)~= 9999;
            tableData{i,1}=num2str(round(INEXTp2p(i)*10)/10);
        else
            tableData{i,1}='';
        end
        tableData{i,2}=num2str(inp.INEXT_c2c);
    end
        
    for i=1:4
        if INEXTp2p(i)~= 9999;
            if str2num(tableData{i,1})<=str2num(tableData{i,2})
                tableData{i,3}='Pass';
            else
                tableData{i,3}='Fail';
            end
        else
            tableData{i,3}='';
        end
    end    
    
    set(handles.uitable_result,'Data',tableData)
    
     k=1;
    for i=1:4
        if ~isempty(p2p{i}.NEXT)
            p2pSS2SS_NEXT(:,k)=p2p{i}.NEXT;
            k=k+1;
        end
    end
    
    f_XT_spec=inp.f_XT_c2c;
    DDXT_spec=inp.DDXT_c2c;
         
    axes(handles.axes_plot)
    plot(inp.freq,db(p2pSS2SS_NEXT),f_XT_spec,DDXT_spec,'LineWidth',3)
    ylabel ('Port2Port NEXT, dB');
    grid on    
   
    % Save   
    setappdata(hMainGui,'p2pSS2SS_NEXT',p2pSS2SS_NEXT);
    
    SSIL=[]; setappdata(hMainGui,'SSIL',SSIL);
    SSRL=[]; setappdata(hMainGui,'SSRL',SSRL);
    DDIL=[]; setappdata(hMainGui,'DDIL',DDIL);
    DDRL=[]; setappdata(hMainGui,'DDRL',DDRL);
    SSD2C=[]; setappdata(hMainGui,'SSD2C',SSD2C);
    SS2SS_NEXT=[]; setappdata(hMainGui,'SS2SS_NEXT',SS2SS_NEXT);
    SS2DD_NEXT=[]; setappdata(hMainGui,'SS2DD_NEXT',SS2DD_NEXT);
    SS2SS_FEXT=[]; setappdata(hMainGui,'SS2SS_FEXT',SS2SS_FEXT);
    SS2DD_FEXT=[]; setappdata(hMainGui,'SS2DD_FEXT',SS2DD_FEXT);
    res=[]; setappdata(hMainGui,'res',res); 
    cc_usb2=[]; setappdata(hMainGui,'cc_usb2',cc_usb2);
    vbus_usb2=[]; setappdata(hMainGui,'vbus_usb2',vbus_usb2);
    cc_usbDminus=[]; setappdata(hMainGui,'cc_usbDminus',cc_usbDminus);
    sbu_cc=[]; setappdata(hMainGui,'sbu_cc',sbu_cc);
    sbu_usb2=[]; setappdata(hMainGui,'sbu_usb2',sbu_usb2);
    sbu_sbu=[]; setappdata(hMainGui,'sbu_sbu',sbu_sbu);
    L_VBUS=[];  setappdata(hMainGui,'L_VBUS',L_VBUS);
    f_vbus=[]; setappdata(hMainGui,'f_vbus',f_vbus);
    S_RFI_diff_1=[]; setappdata(hMainGui,'S_RFI_diff_1',S_RFI_diff_1);
    S_RFI_diff_2=[]; setappdata(hMainGui,'S_RFI_diff_2',S_RFI_diff_2);
    S_RFI_comm_1=[]; setappdata(hMainGui,'S_RFI_comm_1',S_RFI_comm_1);
    S_RFI_comm_2=[]; setappdata(hMainGui,'S_RFI_comm_2',S_RFI_comm_2);
     
    
%===========================================================================

end
    
set(handles.pushbutton_Save,'Enable','on');
set(handles.edit_resultFile,'Enable','on');

    
% --- Executes on button press in pushbutton_report.
function pushbutton_report_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_report (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    %{
    hMainGui = getappdata(0, 'hMainGui');
    inp=getappdata(hMainGui,'inp');
    freq=inp.freq;
    SSIL=getappdata(hMainGui,'SSIL');
    SSRL=getappdata(hMainGui,'SSRL');
    DDIL=getappdata(hMainGui,'DDIL');
    DDRL=getappdata(hMainGui,'DDRL');
    SSD2C=getappdata(hMainGui,'SSD2C');
    SS2SS_NEXT=getappdata(hMainGui,'SS2SS_NEXT');
    SS2DD_NEXT=getappdata(hMainGui,'SS2DD_NEXT');
    SS2SS_FEXT=getappdata(hMainGui,'SS2SS_FEXT');
    SS2DD_FEXT=getappdata(hMainGui,'SS2DD_FEXT');
    res=getappdata(hMainGui,'res');
     
    cableTypeValue=get(handles.popupmenu_cabletype,'Value');
    cableTypeStr=get(handles.popupmenu_cabletype,'String');
    cableType=cableTypeStr{cableTypeValue};
     
    [filename, pathname]=uiputfile('Report (*.html)','Save results as');
    if filename==0, return; end;

    [pathname, filename, ext]=fileparts([pathname, filename]);
    ext='.html';

    %fid=fopen('.\html\GenReport.html','w');
    fid=fopen([pathname, '\', filename, ext],'w');


    % HTML code for generating report
    fprintf(fid, '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">\n');
    fprintf(fid, '<html><head>\n');
    fprintf(fid, '      <meta http-equiv="Content-Type" content="text/html; charset=utf-8">\n');
    str=date;
    fprintf(fid, '<title>USB Type-C High Speed Compliance Report</title><meta name="generator" content="MATLAB 7.10"><meta name="date" content="%s"><meta name="m-file" content="GenReport"><style type="text/css">\n\n',str);
    fprintf(fid, 'body {  background-color: white;  margin:10px; }\n\n');
    fprintf(fid, 'h1 {  color: #990000;   font-size: x-large; }\n\n');
    fprintf(fid, 'h2 {  color: #990000;  font-size: medium; }\n\n');
    fprintf(fid, 'p,h1,h2,div.content div {  max-width: 600px;  width: auto !important; width: 600px; }\n\n');
    fprintf(fid, 'pre.codeinput {  background: #EEEEEE;  padding: 10px; }\n');
    fprintf(fid, '@media print {  pre.codeinput {word-wrap:break-word; width:100%;} }\n\n');
    fprintf(fid, 'span.keyword {color: #0000FF}\n');
    fprintf(fid, 'span.comment {color: #228B22}\n');
    fprintf(fid, 'span.string {color: #A020F0}\n');
    fprintf(fid, 'span.untermstring {color: #B20000}\n');
    fprintf(fid, 'span.syscmd {color: #B28C00}\n\n');
    fprintf(fid, 'pre.codeoutput {  color: #666666;  padding: 10px; }\n\n');
    fprintf(fid, 'pre.error {  color: red; }\n\n');
    fprintf(fid, 'p.footer {  text-align: right;  font-size: xx-small;  font-weight: lighter;  font-style: italic;  color: gray; }\n\n');
    fprintf(fid, '  </style></head><body><div class="content"><h1>USB Type-C High Speed Compliance Report</h1><!--introduction--><p>This report includes the USB Type-C high speed compliance test results.\n\n');

    %{
    % Transmission Line Type
    figure(100)
    imagesc(Tline_Plot);
    axis off;
    title(Plot_Title)
    h=gcf;
    %print(h, '-dpng', '.\html\GenReport_01.png');
    print(h, '-dpng', [pathname, '\GenReport_01.png']);
    close(100);
    %}

    % User Inputs
    fprintf(fid, 'Cable Type: %s\n',cableType);
    
    %{
    str=[];
    str{1,1}='Input'; str{1,2}='Nominal'; str{1,3}='Tolerance';
    fprintf(fid,'%s\t\t%s\t\t%s\n',str{1,1},str{1,2},str{1,3});
    for kk=1:length(xentries)
        str{kk+1,1}=xentries{kk}; str{kk+1,2}=tableData_unit(kk,1); str{kk+1,3}=tableData_unit(kk,2);
        fprintf(fid,'%s\t\t%3.4f\t\t%3.4f\n',str{kk+1,1},str{kk+1,2},str{kk+1,3});
    end
    fprintf(fid, '\nSample Size:\t%d\n',smpSize);
    fprintf(fid, '\nReference Frequency:\t%2.3f GHz\n',refFreq);
    fprintf(fid, '\nRise Time:\t%2.2f ps\n',risetime);
    %}

%{
% X-Y Plot
fprintf(fid, '</pre><h2>X-Y Plot<a name="3"></a></h2><img vspace="5" hspace="5" src="GenReport_02.png" alt=""> <h2>Plot histograms<a name="4"></a></h2><pre class="codeoutput">\n\n');
figure(100)
plot( xvar_unit, yplot, 'LineWidth', 3 ); grid on
xlim( [ xvar_unit( 1 ) xvar_unit( end ) ] );
if abs(yvar_pct)<0.25
    ylim( [ min(yvar_min/1.2, yvar_max*1.2) max(yvar_min/1.2, yvar_max*1.2) ] );
end
switch yName
    case 'Z0'
        ylabel([yName,': ohm']);
    case 'Td'
        ylabel([yName,': ps/inch']);
    case 'A'
        ylabel([yName,': dB/inch']);
    case 'Kb1'
        ylabel([yName,': %']);
    case 'Kb2'
        ylabel([yName,': %']);
    otherwise
        ylabel([yName,': %/inch @ risetime']);
end
if ( strcmp(xName,'D1') || strcmp(xName,'D2') || strcmp(xName,'D3') || strcmp(xName,'T') || strcmp(xName,'W') || strcmp(xName,'S') || strcmp(xName,'PTPS') || strcmp(xName,'OFST') )
    xlabel([xName,': ',Tline_unit]);
end
h=gcf;
%print(h, '-dpng', '.\html\GenReport_02.png');
print(h, '-dpng', [pathname, '\GenReport_02.png']);
close(100);

% Distribution Plot
figure(100)
hist(YYplot,XX); xlim([YYmin YYmax]);
switch YYName
    case 'Z0'
        xlabel([YYName,': ohm']);
    case 'Td'
        xlabel([YYName,': ps/inch']);
    case 'A'
        xlabel([YYName,': dB/inch']);
    case 'Kb1'
        xlabel([yName,': %']);
    case 'Kb2'
        xlabel([yName,': %']);
    otherwise
        xlabel([YYName,': %/inch @ risetime']);
end
h=gcf;
%print(h, '-dpng', '.\html\GenReport_03.png');
print(h, '-dpng', [pathname, '\GenReport_03.png']);
close(100)
str=[];
str{1,1}='Output'; str{1,2}='Unit'; str{1,3}='Mean'; str{1,4}='Sigma'; str{1,5}='3Sigma Max'; str{1,6}='3Sigma Min';
fprintf(fid,'%s\t\t%s\t\t\t%s\t\t\t%s\t\t\t%s\t\t%s\n',str{1,1},str{1,2},str{1,3},str{1,4},str{1,5},str{1,6});
for kk=1:length(YYentries)
    switch YYentries{kk}
        case 'Z0'
            YYunit{kk}='ohm';
        case 'Td'
            YYunit{kk}='ps/in';
        case 'A'
            YYunit{kk}='dB/in';
        case 'Kb1'
            YYunit{kk}='%';
        case 'Kb2'
            YYunit{kk}='%';
        otherwise
            YYunit{kk}='%/in@rt';
    end
    str{kk+1,1}=YYentries{kk}; str{kk+1,2}=YYunit{kk}; str{kk+1,3}=YYmean(kk); str{kk+1,4}=YYstd(kk); str{kk+1,5}=YYmean(kk)+3*YYstd(kk); str{kk+1,6}=YYmean(kk)-3*YYstd(kk);
    if kk==length(YYentries)-1
        fprintf(fid,'%s\t\t%s\t\t\t%5.4f\t\t%5.4f\t\t\t%5.4f\t\t%5.4f\n',str{kk+1,1},str{kk+1,2},str{kk+1,3},str{kk+1,4},str{kk+1,5},str{kk+1,6});
    else
        fprintf(fid,'%s\t\t%s\t\t\t%5.4f\t\t\t%5.4f\t\t\t%5.4f\t\t\t%5.4f\n',str{kk+1,1},str{kk+1,2},str{kk+1,3},str{kk+1,4},str{kk+1,5},str{kk+1,6});
    end
end
%}

fprintf(fid, '</pre><img vspace="5" hspace="5" src="GenReport_03.png" alt=""> <p class="footer"><br>\n');
fprintf(fid, '      Published with MATLAB&reg; 7.10<br></p></div>\n\n');


fprintf(fid, '</body></html>\n');
% End of HTML code

% Finish generating the report file
fclose(fid);

%}

     

% --- Executes on button press in pushbutton_exit.
function pushbutton_exit_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_exit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    close;
    
% --- Executes on button press in pushbutton_help.
function pushbutton_help_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_help (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    winopen('Brief User Guides.pdf');
    
% --- Executes on button press in pushbutton_import.
function pushbutton_import_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_import (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    % Get the MainGui handle hMainGui
    hMainGui = getappdata(0, 'hMainGui');    
    inp=getappdata(hMainGui,'inp');
    
    % Check VNA ports
    val12=get(handles.checkbox_VNA_12,'Value');
    val8=get(handles.checkbox_VNA_8,'Value');
    val4=get(handles.checkbox_VNA_4,'Value'); 
    
    cableType=get(handles.popupmenu_cabletype,'Value');
    
    % Get S-parameter file names
    spName{1}=get(handles.edit_Spara_1,'String');
    spName{2}=get(handles.edit_Spara_2,'String');
    spName{3}=get(handles.edit_Spara_3,'String');
    spName{4}=get(handles.edit_Spara_4,'String');
    spName{5}=get(handles.edit_Spara_5,'String');
    spName{6}=get(handles.edit_Spara_6,'String');
    spName{7}=get(handles.edit_Spara_7,'String');
    spName{8}=get(handles.edit_Spara_8,'String');
    spName{9}=get(handles.edit_Spara_9,'String');
    spName{10}=get(handles.edit_Spara_10,'String');
    spName{11}=get(handles.edit_Spara_11,'String');
    spName{12}=get(handles.edit_Spara_12,'String');
    spName{13}=get(handles.edit_Spara_13,'String');
    spName{14}=get(handles.edit_Spara_14,'String');
    spName{15}=get(handles.edit_Spara_15,'String');
       
    % Get port definition
    portDef{1}=get(handles.edit_port_1,'String');
    portDef{2}=get(handles.edit_port_2,'String');
    portDef{3}=get(handles.edit_port_3,'String');
    portDef{4}=get(handles.edit_port_4,'String');
    portDef{5}=get(handles.edit_port_5,'String');
    portDef{6}=get(handles.edit_port_6,'String');
    portDef{7}=get(handles.edit_port_7,'String');
    portDef{8}=get(handles.edit_port_8,'String');
    portDef{9}=get(handles.edit_port_9,'String');
    portDef{10}=get(handles.edit_port_10,'String');
    portDef{11}=get(handles.edit_port_11,'String');
    portDef{12}=get(handles.edit_port_12,'String');
    portDef{13}=get(handles.edit_port_13,'String');
    portDef{14}=get(handles.edit_port_14,'String');
    portDef{15}=get(handles.edit_port_15,'String');
       
    % Fill-in the S-parameter element in popupmenu_port
    k=1;
    if val12
        m=12; n=1;        
        for i=1:12
            for j=i:12
                eleStr{k}=[num2str(i),', ',num2str(j)];
                k=k+1;
            end
        end
        
    elseif val8
        if  cableType == 1 | cableType == 2 | cableType == 4 | cableType == 6 | cableType == 7
            m=8; n=3;
        elseif cableType == 8 | cableType == 9 | cableType == 10 | cableType == 5 | cableType == 3
            m=8; n=1;
        end
   
        for i=1:8
            for j=i:8
                eleStr{k}=[num2str(i),', ',num2str(j)];
                k=k+1;
            end
        end
    elseif val4
        if  cableType == 1 | cableType == 2 | cableType == 6 | cableType == 7 
            m=4; n=15;
        elseif cableType == 4
            m=4; n=15;
        elseif cableType == 8 | cableType == 9 | cableType == 10
            m=4; n=1;  
        elseif cableType==5
            m=4; n=6;
        elseif cableType==3
            m=4; n=4;    
        end
        for i=1:4
            for j=i:4
                eleStr{k}=[num2str(i),', ',num2str(j)];
                k=k+1;
            end
        end
    end
    set(handles.popupmenu_port,'String',eleStr);
    set(handles.popupmenu_port,'Value',1);  
    
    % Waiting bar
    h = waitbar(0,'Please wait...');
    
    % Load S-parameters
    rawSpStr=[];
    for i=1:n
        waitbar(i/n)
        spNameStr=spName{i};
        if ~isempty(spNameStr)
            [pathstr, name, ext] = fileparts(spNameStr);            
            if ~isempty(ext)
                if lower(ext(2))=='s' & lower(ext(end))=='p'

                    % Load S-Parameter
                    data = read(rfdata.data,spNameStr);  
                    S=data.S_Parameters;
                    f=data.Freq;
                    reOrder=str2num(portDef{i});
                    S=S(reOrder,reOrder,:);
                    rawSp{i}.S=S;
                    rawSp{i}.f=f;
                    rawSp{i}.Z0=data.Z0;
                    rawSp{i}.name=name;
                    rawSpStr{i}=name;
                    
                    % Check sampling points requirement
                    if f(1) > inp.flo
                        error(['Starting frequency is above ',num2str(inp.flo/1e6),' MHz']);
                    end
                    
                    if cableType <= 2
                        fmax=inp.fmax_c2c(2);
                        if f(end) < fmax
                            error(['Ending frequency is below ',num2str(inp.fhi/1e9),' GHz']);
                        end  
                    elseif cableType == 6 | cableType == 7
                        fmax=inp.fmax_c2l(2);
                        if f(end) < fmax
                            error(['Ending frequency is below ',num2str(inp.fhi/1e9),' GHz']);
                        end  
                    end

                else
                    rawSp{i}.S=[];
                    rawSp{i}.f=[];
                    rawSp{i}.Z0=[];
                    rawSp{i}.name='Not Defined';
                    rawSpStr{i}='Not Defined';
                end
            else
                rawSp{i}.name='Not Defined';
                rawSpStr{i}='Not Defined';
            end
        else
            if i == 1
                error('Please define the correct S-parameter location');
            elseif val4==1 & i==2
                if cableType <= 5
                    error('Please define the correct S-parameter location');
                end
            end                
            rawSp{i}.S=[];
            rawSp{i}.f=[];
            rawSp{i}.Z0=[];
            rawSp{i}.name='Not Defined';
            rawSpStr{i}='Not Defined';
        end
    end    
    close(h);        
    
    if ~isempty(rawSpStr)
        set(handles.popupmenu_rawSpara,'String',rawSpStr);
        set(handles.popupmenu_rawSpara,'Value',1);
        set(handles.popupmenu_port,'Value',1);
        fmin=rawSp{1}.f(1)/1e6;
        fmax=rawSp{1}.f(end)/1e9;
        fstep=(rawSp{1}.f(2)-rawSp{1}.f(1))/1e6;
        set(handles.text_fmin,'String',[num2str(fmin),' MHz']);
        set(handles.text_fmax,'String',[num2str(fmax),' GHz']);
        set(handles.text_fstep,'String',[num2str(fstep),' MHz']);
    
        axes(handles.axes_plot);
        H=squeeze(rawSp{1}.S(1,1,:));
        plot(rawSp{1}.f,db(H),'LineWidth',3)
        xlabel('Frequency, Hz');
        ylabel ('dB')
        legend('S(i,j)');
        grid on
    
        setappdata(hMainGui,'rawSp',rawSp);
        setappdata(hMainGui,'rawSpStr',rawSpStr);
        set(handles.pushbutton_compliance,'Enable','on');

    else
        disp('No S-parameter imported')
    end

set(handles.checkbox5,'Enable','off')
set(handles.checkbox5,'Value',0)
set(handles.checkbox8,'Enable','off')
set(handles.checkbox8,'Value',0)

% --- Executes during object creation, after setting all properties.
function axes_plot_CreateFcn(hObject, eventdata, handles)
% hObject    handle to axes_plot (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: place code in OpeningFcn to populate axes_plot


% --- Executes when entered data in editable cell(s) in uitable_result.
function uitable_result_CellEditCallback(hObject, eventdata, handles)
% hObject    handle to uitable_result (see GCBO)
% eventdata  structure with the following fields (see UITABLE)
%	Indices: row and column indices of the cell(s) edited
%	PreviousData: previous data for the cell(s) edited
%	EditData: string(s) entered by the user
%	NewData: EditData or its converted form set on the Data property. Empty if Data was not changed
%	Error: error string when failed to convert EditData to appropriate value for Data
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in pushbutton25.
function pushbutton25_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes during object creation, after setting all properties.
function figure1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


% --- Executes on mouse press over figure background, over a disabled or
% --- inactive control, or over an axes background.
function figure1_WindowButtonUpFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in about_button.
function about_button_Callback(hObject, eventdata, handles)
% hObject    handle to about_button (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
About;


% --- Executes on button press in pushbutton_Save.
function pushbutton_Save_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_Save (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

    % Save results to spreadsheet
    rowName=get(handles.uitable_result,'RowName');
    colName=get(handles.uitable_result,'ColumnName');
    tabData=get(handles.uitable_result,'Data');
    
    resData{1,1}='';
    for i=1:length(rowName)
        resData{1+i,1}=rowName{i};
    end
    for j=1:length(colName)
        resData{1,1+j}=colName{j};
    end
    for i=1:length(rowName)
        for j=1:length(colName)
            resData{1+i,1+j}=tabData{i,j};
        end
    end
    
    FileName=get(handles.edit_resultFile,'String');
    ID=max(find(FileName=='\'));
    PathName=FileName(1:ID);
    status=xlswrite(FileName,resData);
    if status==1
        disp('Results successfully saved');
    else
        disp('Failed to Save Results');
    end
        
    
    %================================================================
    
     hMainGui = getappdata(0, 'hMainGui');
     inp=getappdata(hMainGui,'inp');
     freq=inp.freq;
     freq_low=inp.freq_low;
     SSIL=getappdata(hMainGui,'SSIL');
     SSRL=getappdata(hMainGui,'SSRL');
     DDIL=getappdata(hMainGui,'DDIL');
     DDRL=getappdata(hMainGui,'DDRL');
     SSD2C=getappdata(hMainGui,'SSD2C');
     SS2SS_NEXT=getappdata(hMainGui,'SS2SS_NEXT');
     SS2DD_NEXT=getappdata(hMainGui,'SS2DD_NEXT');
     SS2SS_FEXT=getappdata(hMainGui,'SS2SS_FEXT');
     SS2DD_FEXT=getappdata(hMainGui,'SS2DD_FEXT');
     res=getappdata(hMainGui,'res');

     cc_usb2=getappdata(hMainGui,'cc_usb2');
     vbus_usb2=getappdata(hMainGui,'vbus_usb2');
     cc_usbDminus = getappdata(hMainGui,'cc_usbDminus');

     sbu_cc=getappdata(hMainGui,'sbu_cc');
     sbu_usb2=getappdata(hMainGui,'sbu_usb2');
     sbu_sbu=getappdata(hMainGui,'sbu_sbu');
     L_VBUS=getappdata(hMainGui,'L_VBUS');
     f_vbus=getappdata(hMainGui,'f_vbus');

     S_RFI_diff_1=getappdata(hMainGui,'S_RFI_diff_1');
     S_RFI_diff_2=getappdata(hMainGui,'S_RFI_diff_2');
     S_RFI_comm_1=getappdata(hMainGui,'S_RFI_comm_1');
     S_RFI_comm_2=getappdata(hMainGui,'S_RFI_comm_2');
     
     cableType=get(handles.popupmenu_cabletype,'Value');  
     
     if cableType == 1
         f_ILspec=inp.f_IL_c2c_gen2;
         DDIL_spec=inp.DDIL_c2c_gen2;
         f_dd_ILspec=inp.f_c2c_dd;
         DDIL_dd_spec=inp.IL_c2c_dd;
         f_RLspec=inp.f_RL_c2c;
         DDRL_spec=inp.DDRL_c2c;
         f_XT_spec=inp.f_XT_c2c;
         DDXT_spec=inp.DDXT_c2c;
         f_XTusb2_spec=inp.f_XT_usb2_c2c;
         DDXT_usb2_spec=inp.DDXT_usb2_c2c;
         f_CM_spec=inp.f_CM_c2c;
         DCM_spec=inp.DCM_c2c_gen2; % update 12/17/2020 - Xiang
     elseif cableType == 2
         f_ILspec=inp.f_IL_c2c_gen1;
         DDIL_spec=inp.DDIL_c2c_gen1;
         f_dd_ILspec=inp.f_c2c_dd;
         DDIL_dd_spec=inp.IL_c2c_dd;
         f_RLspec=inp.f_RL_c2c;
         DDRL_spec=inp.DDRL_c2c;
         f_XT_spec=inp.f_XT_c2c;
         DDXT_spec=inp.DDXT_c2c;
         f_XTusb2_spec=inp.f_XT_usb2_c2c;
         DDXT_usb2_spec=inp.DDXT_usb2_c2c;
         f_CM_spec=inp.f_CM_c2c;
         DCM_spec=inp.DCM_c2c_gen1; % update 12/17/2020 - Xiang
     elseif cableType == 3
         f_XT_spec=inp.f_XT_c2c;
         DDXT_spec=inp.DDXT_c2c;          
     elseif cableType == 6
         f_ILspec=inp.f_IL_legacy;
         DDIL_spec=inp.DDIL_legacy;
         f_dd_ILspec=inp.f_c2l_dd;
         DDIL_dd_spec=inp.IL_c2l_dd;
         f_RLspec=inp.f_RL_legacy;
         DDRL_spec=inp.DDRL_legacy;
         f_XT_spec=inp.f_NEXT_legacy;
         DDXT_spec=inp.DDNEXT_legacy;
         f_XTusb2_spec=inp.f_SS2DD_XT_legacy;
         DDXT_usb2_spec=inp.SS2DD_XT_legacy;
         f_CM_spec=inp.f_CM_legacy;
         DCM_spec=inp.DCM_legacy;
     elseif cableType == 7
         f_ILspec=inp.f_IL_adaptor;
         DDIL_spec=inp.DDIL_adaptor;
         f_dd_ILspec=inp.f_adator_dd;
         DDIL_dd_spec=inp.IL_adaptor_dd;
         f_RLspec=inp.f_RL_adaptor;
         DDRL_spec=inp.DDRL_adaptor;
         f_XT_spec=inp.f_NEXT_adaptor;
         DDXT_spec=inp.DDNEXT_adaptor;
         f_XTusb2_spec=inp.f_SS2DD_XT_adaptor;
         DDXT_usb2_spec=inp.SS2DD_XT_adaptor;
         f_CM_spec=inp.f_CM_adaptor;
         DCM_spec=inp.DCM_adaptor;
     elseif cableType == 4
         f_CC_USB2_spec = inp.f_CC_USB2_COUPLING;
         CC_USB2_spec=inp.CC_USB2_COUPLING;
         f_VBUS_USB2_spec=inp.f_VBUS_USB2_COUPLING;
         VBUS_USB2_spec=inp.VBUS_USB2_COUPLING;
         f_SBU_CC_spec=inp.f_SBU_CC_COUPLING;
         SBU_CC_spec=inp.SBU_CC_COUPLING;
         f_SBU_USB2_spec=inp.f_SBU_USB2_COUPLING;
         SBU_USB2_spec=inp.SBU_USB2_COUPLING;
         f_SBU_SBU_spec=inp.f_SBU_SBU_COUPLING;
         SBU_SBU_spec=inp.SBU_SBU_COUPLING;         
         f_cc_usbDminus_charge_spec=inp.f_cc_usbDminus_charge;
         cc_usbDminus_charge_coupling_spec = inp.cc_usbDminus_charge_coupling;         
         f_cc_usbDminus_full_spec=inp.f_cc_usbDminus_full;
         cc_usbDminus_full_coupling_spec = inp.cc_usbDminus_full_coupling;         
     elseif cableType==8
         f_RFI_1=inp.f_RFI_1;
         f_RFI_2=inp.f_RFI_2;
         freq_RFI_1=inp.freq_RFI_1;
         freq_RFI_2=inp.freq_RFI_2;
         Spec_RFI_diff_1=inp.RFI_diff_typeC_1;
         Spec_RFI_diff_2=inp.RFI_diff_typeC_2;
         Spec_RFI_comm_1=inp.RFI_comm_typeC_1;
         Spec_RFI_comm_2=inp.RFI_comm_typeC_2;
     elseif cableType==9
         f_RFI_1=inp.f_RFI_1;
         f_RFI_2=inp.f_RFI_2;
         freq_RFI_1=inp.freq_RFI_1;
         freq_RFI_2=inp.freq_RFI_2;
         Spec_RFI_diff_1=inp.RFI_diff_legacy_1;
         Spec_RFI_diff_2=inp.RFI_diff_legacy_2;
         Spec_RFI_comm_1=inp.RFI_comm_legacy_1;
         Spec_RFI_comm_2=inp.RFI_comm_legacy_2;
     elseif cableType==10
         f_RFI_1=inp.f_RFI_1;
         f_RFI_2=inp.f_RFI_2;
         freq_RFI_1=inp.freq_RFI_1;
         freq_RFI_2=inp.freq_RFI_2;
         Spec_RFI_diff_1=inp.RFI_diff_adaptor_1;
         Spec_RFI_diff_2=inp.RFI_diff_adaptor_2;
         Spec_RFI_comm_1=inp.RFI_comm_adaptor_1;
         Spec_RFI_comm_2=inp.RFI_comm_adaptor_2;    
     elseif cableType == 5
         f_CC_USB2_spec = inp.f_CC_USB2_COUPLING;
         CC_USB2_spec=inp.CC_USB2_COUPLING;
         f_VBUS_USB2_spec=inp.f_VBUS_USB2_COUPLING;
         VBUS_USB2_spec=inp.VBUS_USB2_COUPLING;         
         f_cc_usbDminus_charge_spec=inp.f_cc_usbDminus_charge;
         cc_usbDminus_charge_coupling_spec = inp.cc_usbDminus_charge_coupling;         
         f_cc_usbDminus_full_spec=inp.f_cc_usbDminus_full;
         cc_usbDminus_full_coupling_spec = inp.cc_usbDminus_full_coupling;
     end      
    
     %=====================================================================
         
     if cableType == 1 | cableType == 2 | cableType == 6| cableType == 7
         hh=figure(1);
         plot(freq*1e-9,db(SSIL),f_ILspec*1e-9,DDIL_spec,'LineWidth',3)
         xlabel('Frequency, GHz'); ylabel ('SS DDIL, dB'); ylim([-20 0]); grid on;
         filename=[PathName,'SuperSpeedDiffIL'];
         print(hh,'-djpeg',filename);
         close(hh)
         
         if ~isempty(DDIL)
            ID=find(freq>=f_dd_ILspec(1)*1e6 & freq<=f_dd_ILspec(end)*1e6);
            hh=figure(1);
            plot(freq(ID)*1e-6,db(DDIL(ID)),f_dd_ILspec,DDIL_dd_spec,'LineWidth',3)
            xlabel('Frequency, MHz'); ylabel ('D+/D- DDIL, dB'); grid on;
            filename=[PathName,'USB2DpDmIL'];
            print(hh,'-djpeg',filename);
            close(hh)
         end
         
         hh=figure(1);
         plot(freq*1e-9,db(SSRL),f_RLspec*1e-9,DDRL_spec,'LineWidth',3)
         xlabel('Frequency, GHz'); ylabel ('SS DDRL, dB'); grid on;
         filename=[PathName,'SuperSpeedDiffRL'];
         print(hh,'-djpeg',filename);
         close(hh)
         
         hh=figure(1);
         plot(freq*1e-9,db(SSD2C),f_CM_spec*1e-9,DCM_spec,'LineWidth',3)  
         xlabel('Frequency, GHz'); ylabel ('SS SCD12/SCD21, dB'); grid on; ylim([-70 -10]);
         filename=[PathName,'SuperSpeedModeConversion'];
         print(hh,'-djpeg',filename);
         close(hh)    
          
         if ~isempty(DDRL)
            hh=figure(1);
            plot(freq*1e-9,db(DDRL),'LineWidth',3)
            xlabel('Frequency, GHz'); ylabel ('D+/D- Pair RL, dB'); grid on;   
            filename=[PathName,'USB2DpDmRL'];
            print(hh,'-djpeg',filename);
            close(hh)  
         end
         
         hh=figure(1);
         plot(freq*1e-9,db(SS2SS_NEXT),f_XT_spec*1e-9,DDXT_spec,'LineWidth',3)
         xlabel('Frequency, GHz'); ylabel ('SS2SS NEXT, dB'); ylim([-70 -20]); grid on
         filename=[PathName,'SuperSpeed2SuperSpeedNEXT'];
         print(hh,'-djpeg',filename);
         close(hh)  

         if ~isempty(SS2DD_NEXT)
            hh=figure(1);
            plot(freq*1e-9,db(SS2DD_NEXT),f_XTusb2_spec*1e-9,DDXT_usb2_spec,'LineWidth',3)
            xlabel('Frequency, GHz'); ylabel ('SS2D+/D- NEXT, dB');
            ylim([-70 -20]); grid on
            filename=[PathName,'SuperSpeed2DpDmNEXT'];
            print(hh,'-djpeg',filename);
            close(hh)
         end
         
         hh=figure(1);
         plot(freq*1e-9,db(SS2SS_FEXT),f_XT_spec*1e-9,DDXT_spec,'LineWidth',3) 
         xlabel('Frequency, GHz'); ylabel ('SS2SS FEXT, dB'); 
         ylim([-70 -20]); grid on
         filename=[PathName,'SuperSpeed2SuperSpeedFEXT'];
         print(hh,'-djpeg',filename);
         close(hh)
         
         if ~isempty(SS2DD_FEXT)
            hh=figure(1);
            plot(freq*1e-9,db(SS2DD_FEXT),f_XTusb2_spec*1e-9,DDXT_usb2_spec,'LineWidth',3)  
            xlabel('Frequency, GHz'); ylabel ('SS2D+/D- FEXT, dB');
            ylim([-70 -20]); grid on
            filename=[PathName,'SuperSpeed2DpDmFEXT'];
            print(hh,'-djpeg',filename);
            close(hh)
         end
         
         if cableType == 7
            f1=res(1,1).f;
            IL1=res(1,1).IL;
            IL1_fit=res(1,1).IL_fit;
            f2=res(2,1).f;
            IL2=res(2,1).IL;
            IL2_fit=res(2,1).IL_fit;
         else                 
            f1=res(1,2).f;
            IL1=res(1,2).IL;
            IL1_fit=res(1,2).IL_fit;
            f2=res(2,2).f;
            IL2=res(2,2).IL;
            IL2_fit=res(2,2).IL_fit;
         end
         hh=figure(1);
         plot(f1*1e-9,db(IL1),f1*1e-9,db(IL1_fit),f2*1e-9,db(IL2),f2*1e-9,db(IL2_fit),'LineWidth',3)
%          legend('IL','IL fit'); 
         xlabel('Frequency, GHz'); ylabel ('IL Fit, dB'); ylim([-15 0]);
         filename=[PathName,'SuperSpeedILFit'];
         print(hh,'-djpeg',filename);
         close(hh)
         
     elseif cableType == 4
                      
            if ~isempty(tabData)
                if ~isempty(cc_usb2)
                    hh=figure(1);
                    semilogx(f_CC_USB2_spec,CC_USB2_spec,freq_low,db(cc_usb2),'LineWidth',3);
                    xlim([300e3 100e6]); ylim([-80 -10]);
                    xlabel('Frequency, Hz'); ylabel ('CC to D+/D- Coupling, dB'); grid on;
                    legend ('Spec. limit','Near end coupling','Far end coupling','Location','southeast');
                    filename=[PathName,'CC2USB2DpDmCoupling'];
                    print(hh,'-djpeg',filename);
                    close(hh)
                end
            end
            
            if ~isempty(cc_usbDminus)
                hh=figure(1);
                semilogx(f_cc_usbDminus_charge_spec,cc_usbDminus_charge_coupling_spec,f_cc_usbDminus_full_spec,cc_usbDminus_full_coupling_spec,freq_low,db(cc_usbDminus),'LineWidth',3)
                xlim([300e3 100e6]);ylim([-80 -10]); xlabel('Frequency, Hz'); ylabel ('CC to D- Coupling, dB'); 
                legend ('Spec. limit (Charging only)','Spec. limit (Full featured)','Near end coupling','Fear end coupling','Location','southeast');
                grid on;
                filename=[PathName,'CC2USB2DmCoupling'];
                print(hh,'-djpeg',filename);
                close(hh)
            end
            
            if ~isempty(vbus_usb2)
                hh=figure(1);
                semilogx(f_VBUS_USB2_spec,VBUS_USB2_spec,freq_low,db(vbus_usb2),'LineWidth',3)
                xlim([300e3 100e6]);ylim([-80 -10]);
                xlabel('Frequency, Hz'); ylabel ('VBUS to D+/D- Coupling, dB'); 
                legend ('Spec. limit','Near end coupling','Fear end coupling','Location','Northwest');
                grid on;
                filename=[PathName,'Vbus2USB2DpDmCoupling'];
                print(hh,'-djpeg',filename);
                close(hh)
            end
                
            if ~isempty(sbu_cc)
                hh=figure(1);
                semilogx(f_SBU_CC_spec,SBU_CC_spec,freq_low,db(sbu_cc),'LineWidth',3)
                xlim([300e3 100e6]);ylim([-70 -10]);
                xlabel('Frequency, Hz'); ylabel ('SBU-A/SBU-B to CC Coupling, dB'); 
                legend ('Spec. limit','SBU-A/CC coupling (Near end)','SBU-B/CC coupling (Near end)','SBU-A/CC coupling (Far end)','SBU-B/CC coupling (Far end)','Location','Northwest');
                grid on;
                filename=[PathName,'SBUASBUB2CCCoupling'];
                print(hh,'-djpeg',filename);
                close(hh)
            end
                
            if ~isempty(sbu_usb2)
                hh=figure(1);
                semilogx(f_SBU_USB2_spec,SBU_USB2_spec,freq_low,db(sbu_usb2),'LineWidth',3)
                xlim([300e3 100e6]);ylim([-100 -30]);
                xlabel('Frequency, Hz'); ylabel ('SBU-A/SBU-B to D+/D- Coupling, dB');
                legend ('Spec. limit','SBU-A (Near end)','SBU-B (Near end)','SBU-A (Far end)','SBU-B (Far end)','Location','southeast');
                grid on;
                filename=[PathName,'SBUASBUB2USB2DpDmCoupling'];
                print(hh,'-djpeg',filename);
                close(hh)
            end
                
            if ~isempty(sbu_sbu)
                hh=figure(1);
                semilogx(f_SBU_SBU_spec,SBU_SBU_spec,freq_low,db(sbu_sbu),'LineWidth',3)
                xlim([300e3 100e6]);ylim([-80 -10]);
                xlabel('Frequency, Hz'); ylabel ('SBU-A to SBU-B Coupling, dB');
                legend ('Spec. limit','SBU-A/SBU-B (Near end)','SBU-A/SBU-B (Far end)','Location','southeast');
                grid on;
                filename=[PathName,'SBUA2SBUBCoupling'];
                print(hh,'-djpeg',filename);
                close(hh)
            end        
          
     elseif cableType==8 | cableType==9 | cableType==10
            
            if ~isempty(tabData)
                if ~isempty([S_RFI_diff_1, S_RFI_diff_2])
                    hh=figure(1);
                    plot(freq_RFI_1,db(S_RFI_diff_1),'b',freq_RFI_2,db(S_RFI_diff_2),'b',...
                        f_RFI_1,Spec_RFI_diff_1,'r',f_RFI_2,Spec_RFI_diff_2,'r','LineWidth',3);
                    xlim([500e6 6e9]); ylim([-90 -20]);
                    xlabel('Frequency, Hz'); ylabel ('Differential mode Coupling, dB');
                    grid on;
                    filename=[PathName,'DiffModeCoupling'];
                    print(hh,'-djpeg',filename);
                    close(hh)
                end
            end
            
            if ~isempty([S_RFI_comm_1, S_RFI_comm_2])
                hh=figure(1);
                plot(freq_RFI_1,db(S_RFI_comm_1),'b',freq_RFI_2,db(S_RFI_comm_2),'b',...
                        f_RFI_1,Spec_RFI_comm_1,'r',f_RFI_2,Spec_RFI_comm_2,'r','LineWidth',3);
                xlim([500e6 6e9]); ylim([-90 -20]);
                xlabel('Frequency, Hz'); ylabel ('Common mode Coupling, dB');
                grid on;
                filename=[PathName,'CommonModeCoupling'];
                print(hh,'-djpeg',filename);
                close(hh)
            end
            
     
     elseif cableType==5
            
            if ~isempty(cc_usb2)
                if ~isempty(tabData)
                    hh=figure(1);
                    semilogx(f_CC_USB2_spec,CC_USB2_spec,freq_low,db(cc_usb2),'LineWidth',3)
                    xlim([300e3 100e6]);
                    ylim([-80 -10]);
                    xlabel('Frequency, Hz'); ylabel ('CC to D+/D- Coupling, dB');
                    legend ('Spec. limit','Near end coupling','Far end coupling','Location','southeast');
                    grid on;
                    filename=[PathName,'CC2USB2DpDmCoupling'];
                    print(hh,'-djpeg',filename);
                    close(hh)
                end                
            end                
            
            if ~isempty(cc_usbDminus)
                hh=figure(1);
                semilogx(f_cc_usbDminus_charge_spec,cc_usbDminus_charge_coupling_spec,f_cc_usbDminus_full_spec,cc_usbDminus_full_coupling_spec,freq_low,db(cc_usbDminus),'LineWidth',3)
                xlim([300e3 100e6]);ylim([-80 -10]);
                xlabel('Frequency, Hz'); ylabel ('CC to D- Coupling, dB'); 
                legend ('Spec. limit (Charging only)','Spec. limit (Full featured)','Near end coupling','Fear end coupling','Location','southeast');
                grid on;
                filename=[PathName,'CC2USB2DmCoupling'];
                print(hh,'-djpeg',filename);
                close(hh)
            end
                
            if ~isempty(vbus_usb2)
                hh=figure(1);
                semilogx(f_VBUS_USB2_spec,VBUS_USB2_spec,freq_low,db(vbus_usb2),'LineWidth',3)
                xlim([300e3 100e6]);ylim([-80 -10]);
                xlabel('Frequency, Hz'); ylabel ('VBUS to D+/D- Coupling, dB'); 
                legend ('Spec. limit','Near end coupling','Fear end coupling','Location','Northwest');
                grid on;
                filename=[PathName,'Vbus2USB2DpDmCoupling'];
                print(hh,'-djpeg',filename);
                close(hh)
            end
     elseif cableType == 3
           p2pSS2SS_NEXT=getappdata(hMainGui,'p2pSS2SS_NEXT');
           if ~isempty(p2pSS2SS_NEXT)
                hh=figure(1);
                plot(freq*1e-9,db(p2pSS2SS_NEXT),f_XT_spec*1e-9,DDXT_spec,'LineWidth',3)
                xlabel('Frequency, GHz');
                ylabel ('p2p SS2SS NEXT, dB'); 
                ylim([-70 -20]); grid on;
                filename=[PathName,'p2p_SS2SS_NEXT'];
                print(hh,'-djpeg',filename);
                close(hh)
           end           
     end
 

function edit_resultFile_Callback(hObject, eventdata, handles)
% hObject    handle to edit_resultFile (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_resultFile as text
%        str2double(get(hObject,'String')) returns contents of edit_resultFile as a double


% --- Executes during object creation, after setting all properties.
function edit_resultFile_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_resultFile (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in checkbox5.
function checkbox5_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox5

val1=get(handles.checkbox5,'Value');
if val1 == 1
    set(handles.checkbox8,'Value',0);
end

hMainGui = getappdata(0, 'hMainGui');
LSTD_Checked=get(handles.checkbox5,'Value');
LSTD_Checked1=get(handles.checkbox8,'Value');
cableType=get(handles.popupmenu_cabletype,'Value');
tableData_TD=getappdata(hMainGui,'tableData_TD_Full');

if cableType == 4 & (LSTD_Checked == 0 & LSTD_Checked1 == 0)
        columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'};        
        rowname = {'CC to D+/D-','CC to D-','VBUS to D+/D-',...
            'SBU_A/SBU_B to CC',...
            'SBU_A/SBU_B to D+/D-','SBU_A to SBU_B','VBUS Lloop',...
            'VBUS Cap', 'M(VBUS,D+)/M(VBUS,D-)',...
            'M(VBUS,CC)','M(VBUS,SBU_A)/M(VBUS,SBU_B)',...
            'SBU IL @ 0.5 MHz', 'SBU IL @ 1 MHz', 'SBU IL @ 10 MHz',...
            'SBU IL @ 25 MHz', 'SBU IL @ 50 MHz', 'SBU IL @ 100 MHz'};
        set(handles.uitable_result,'ColumnName', columnname);
        set(handles.uitable_result,'RowName', rowname);
        tableData=getappdata(hMainGui,'tableData_FD');
        set(handles.uitable_result,'Data', tableData);

        itemStr{1}='CC to USB D+/D-';
        itemStr{2}='CC to USB D-';
        itemStr{3}='VBUS to USB D+/D-';
        itemStr{4}='SBU_A/SBU_B to CC';
        itemStr{5}='SBU_A/SBU_B to USB D+/D-';
        itemStr{6}='SBU_A to SBU_B';    
        itemStr{7}='SBU Insertion Loss'; 
        set(handles.popupmenu_Spec,'String',itemStr);
        set(handles.popupmenu_Spec,'Value',1);
elseif cableType == 5 & (LSTD_Checked == 0 & LSTD_Checked1 == 0)
        columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'};        
        rowname = {'CC to D+/D-','CC to D- (CT)','VBUS to D+/D-',...
                   'VBUS Lloop','M(VBUS,D+)/M(VBUS,D-)',...
                   'M(VBUS,CC)'};
        set(handles.uitable_result,'ColumnName', columnname);
        set(handles.uitable_result,'RowName', rowname);
        tableData=getappdata(hMainGui,'tableData_FD');
        set(handles.uitable_result,'Data', tableData);  
        
        itemStr{1}='CC to USB D+/D-';
        itemStr{2}='USB D- to CC (BMC Active)';
        itemStr{3}='USB D- to CC (BMC Idle)';
        itemStr{4}='USB D+/D- to CC (BMC Active)';
        itemStr{5}='USB D+/D- to CC (BMC Idle)';
        set(handles.popupmenu_Spec,'String',itemStr);
        set(handles.popupmenu_Spec,'Value',1);   
end

if ~isempty(tableData_TD)
    if cableType == 4 & LSTD_Checked == 1
        columnname = {'Value', 'Criteria', 'Pass/Fail'};        
        rowname = {'CC to D+/D-','CC to SBU',...
                   'D- to CC (Active)', 'D- to CC (Idle)',...  
                   'D+/D- to CC (Active)', 'D+/D- to CC (Idle)', 'D+/D- to SBU',...  
                   'SBU to CC (Active)', 'SBU to CC (Idle)','SBU to D+/D-', 'SBU_A to SBU_B'};
        set(handles.uitable_result,'ColumnName', columnname);
        set(handles.uitable_result,'RowName', rowname);        
        set(handles.uitable_result,'Data', tableData_TD);

        itemStr{1}='CC to USB D+/D-';
        itemStr{2}='CC to SBU_A/SBU_B';
        itemStr{3}='USB D- to CC (BMC Active)';
        itemStr{4}='USB D- to CC (BMC Idle)';
        itemStr{5}='USB D+/D- to CC (BMC Active)';
        itemStr{6}='USB D+/D- to CC (BMC Idle)';
        itemStr{7}='USB D+/D- to SBU_A/SBU_B';
        itemStr{8}='SBU_A/SBU_B to CC (BMC Active)';
        itemStr{9}='SBU_A/SBU_B to CC (BMC Idle)';
        itemStr{10}='SBU_A/SBU_B to USB D+/D-';
        itemStr{11}='SBU_A to SBU_B';    
        set(handles.popupmenu_Spec,'String',itemStr);
        set(handles.popupmenu_Spec,'Value',1);
    elseif cableType == 5 & LSTD_Checked == 1
        columnname = {'Value', 'Criteria', 'Pass/Fail'};        
        rowname = {'CC to D+/D-',...
                   'D- to CC (Active)', 'D- to CC (Idle)',...  
                   'D+/D- to CC (Active)', 'D+/D- to CC (Idle)'};      
        set(handles.uitable_result,'ColumnName', columnname);
        set(handles.uitable_result,'RowName', rowname);        
        set(handles.uitable_result,'Data', tableData_TD);

        itemStr{1}='CC to USB D+/D-';
        itemStr{2}='USB D- to CC (BMC Active)';
        itemStr{3}='USB D- to CC (BMC Idle)';
        itemStr{4}='USB D+/D- to CC (BMC Active)';
        itemStr{5}='USB D+/D- to CC (BMC Idle)';  
        set(handles.popupmenu_Spec,'String',itemStr);
        set(handles.popupmenu_Spec,'Value',1);        
    end
    
    %popupmenu_Spec_Callback(handles.popupmenu_Spec, '', handles);
end

popupmenu_Spec_Callback(handles.popupmenu_Spec, '', handles);

% --- Executes on button press in checkbox6.
function checkbox6_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox6

 set(handles.checkbox6,'Value',1);
 set(handles.checkbox7,'Value',0);
 val=get(handles.checkbox6,'Value');
 
 axes(handles.axes_plot);
 if val == 1
     pan on;
 else
     pan off
 end

% --- Executes on button press in checkbox7.
function checkbox7_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox7

 set(handles.checkbox6,'Value',0);
 set(handles.checkbox7,'Value',1);
 val=get(handles.checkbox7,'Value'); 
 axes(handles.axes_plot);
 if val == 1
     zoom on;
 else
     zoom off
 end


% --- Executes on button press in checkbox8.
function checkbox8_Callback(hObject, eventdata, handles)
% hObject    handle to checkbox8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of checkbox8

val1=get(handles.checkbox8,'Value');
if val1 == 1
    set(handles.checkbox5,'Value',0);
end

hMainGui = getappdata(0, 'hMainGui');
LSTD_Checked=get(handles.checkbox8,'Value');
LSTD_Checked1=get(handles.checkbox5,'Value');
cableType=get(handles.popupmenu_cabletype,'Value');
StrForPartialTD=getappdata(hMainGui,'StrForPartialTD');
tableData_TD=getappdata(hMainGui,'tableData_TD_Partial');

if cableType == 4 & (LSTD_Checked == 0 & LSTD_Checked1 == 0)
    columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'};        
    rowname = {'CC to D+/D-','CC to D-','VBUS to D+/D-',...
        'SBU_A/SBU_B to CC',...
        'SBU_A/SBU_B to D+/D-','SBU_A to SBU_B','VBUS Lloop',...
        'VBUS Cap', 'M(VBUS,D+)/M(VBUS,D-)',...
        'M(VBUS,CC)','M(VBUS,SBU_A)/M(VBUS,SBU_B)',...
        'SBU IL @ 0.5 MHz', 'SBU IL @ 1 MHz', 'SBU IL @ 10 MHz',...
        'SBU IL @ 25 MHz', 'SBU IL @ 50 MHz', 'SBU IL @ 100 MHz'};
    set(handles.uitable_result,'ColumnName', columnname);
    set(handles.uitable_result,'RowName', rowname);
    tableData=getappdata(hMainGui,'tableData_FD');
    set(handles.uitable_result,'Data', tableData);

    itemStr{1}='CC to USB D+/D-';
    itemStr{2}='CC to USB D-';
    itemStr{3}='VBUS to USB D+/D-';
    itemStr{4}='SBU_A/SBU_B to CC';
    itemStr{5}='SBU_A/SBU_B to USB D+/D-';
    itemStr{6}='SBU_A to SBU_B';
    itemStr{7}='SBU Insertion Loss'; 
    set(handles.popupmenu_Spec,'String',itemStr);
    set(handles.popupmenu_Spec,'Value',1);
elseif cableType == 5 & (LSTD_Checked == 0 & LSTD_Checked1 == 0)
    columnname = {'Value', 'Margin/Criteria', 'Pass/Fail'};        
    rowname = {'CC to D+/D-','CC to D- (CT)','VBUS to D+/D-',...
               'VBUS Lloop','M(VBUS,D+)/M(VBUS,D-)',...
               'M(VBUS,CC)'};
    set(handles.uitable_result,'ColumnName', columnname);
    set(handles.uitable_result,'RowName', rowname);
    tableData=getappdata(hMainGui,'tableData_FD');
    set(handles.uitable_result,'Data', tableData);  

    itemStr{1}='CC to USB D+/D-';
    itemStr{2}='USB D- to CC (BMC Active)';
    itemStr{3}='USB D- to CC (BMC Idle)';
    itemStr{4}='USB D+/D- to CC (BMC Active)';
    itemStr{5}='USB D+/D- to CC (BMC Idle)';
    set(handles.popupmenu_Spec,'String',itemStr);
    set(handles.popupmenu_Spec,'Value',1);       
end

if isempty(tableData_TD)
    disp('Click on Check Compliance Button to obtain time-domain responses');
else
    if cableType == 4 & LSTD_Checked == 1
        columnname = {'Value', 'Criteria', 'Pass/Fail'};        
        rowname = StrForPartialTD;
        set(handles.uitable_result,'ColumnName', columnname);
        set(handles.uitable_result,'RowName', rowname);
        tableData=getappdata(hMainGui,'tableData_TD');
        set(handles.uitable_result,'Data', tableData_TD);
        set(handles.popupmenu_Spec,'String',StrForPartialTD);
        set(handles.popupmenu_Spec,'Value',1);    
    elseif cableType == 5 & LSTD_Checked == 1
        columnname = {'Value', 'Criteria', 'Pass/Fail'};        
        rowname = StrForPartialTD;
        set(handles.uitable_result,'ColumnName', columnname);
        set(handles.uitable_result,'RowName', rowname);
        tableData=getappdata(hMainGui,'tableData_TD');
        set(handles.uitable_result,'Data', tableData_TD);
        set(handles.popupmenu_Spec,'String',StrForPartialTD);
        set(handles.popupmenu_Spec,'Value',1);
    end

    %popupmenu_Spec_Callback(handles.popupmenu_Spec, '', handles);
end

popupmenu_Spec_Callback(handles.popupmenu_Spec, '', handles);
